<?php
	/*
	* GMapFP Component Google Map for Joomla! 1.7.x
	* Version 10.0pro
	* Creation date: Aot 2011
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die();

class GMapFPControllerAuteur extends GMapFPController
{
	function __construct()
	{
		parent::__construct();
	}

	function view()
	{
		JRequest::setVar( 'view', 'auteur' );
		JRequest::setVar( 'layout', 'default'  );

		parent::display();
	}

	function save()
	{
		$post	= JRequest::get('post');
		$model = $this->getModel('auteur');

		$return=$model->store($post);
		if ($return>0) {
			$msg = JText::_( 'GMAPFP_SAVED' );
		} else {
			$msg = JText::_( 'GMAPFP_SAVED_ERROR' );
		}

		$link = 'index.php?option=com_gmapfp&controller=gmapfp&task=view';
		// Check the table in so it can be edited.... we are done with it anyway
		$this->setRedirect($link, $msg);
	}

	function cancel()
	{
		$msg = JText::_( 'Operation Cancelled' );
		$this->setRedirect( 'index.php?option=com_gmapfp&controller=gmapfp&task=view', $msg );
	}
}
?>
