<?php
	/*
	* GMapFP Component Google Map for Joomla! 1.7.x
	* Version 10.0pro
	* Creation date: Aot 2011
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die();

class GMapFPControllerPhotos extends GMapFPController
{
	function __construct()
	{
		parent::__construct();
	}

	function view()
	{
		JRequest::setVar( 'view', 'photos' );
		JRequest::setVar( 'layout', 'form'  );
		JRequest::setVar('hidemainmenu', 0);

		parent::display();
	}

	function makeXML()
	{	
		$model = $this->getModel('photos');
		$return=$model->make();
		if ($return=='') {
			$msg = JText::_( 'GMAPFP_SAVED' );
		} else {
			$msg = JText::_( 'GMAPFP_SAVED_ERROR').' : '.$return;
		}

		$link = 'index.php?option=com_gmapfp&controller=photos&task=view';
		$this->setRedirect($link, $msg);
	
	}

	function album()
	{
		global $mainframe, $option;

		// Initialize variables
		$db		=& JFactory::getDBO();

		$cid	= JRequest::getVar( 'cid', array(), 'post', 'array' );
		$msg	= null;

		JArrayHelper::toInteger($cid);

		if (count($cid) < 1) {
			$msg = JText::_('Select an item to toggle');
			$mainframe->redirect('index.php?option='.$option, $msg, 'error');
		}

		foreach ($cid as $id)
		{
			$query = 'UPDATE #__gmapfp '.
					'SET album= not(album) '.
					'WHERE id='.$id;
			$db->setQuery($query);
			if (!$db->query()) {
				JError::raiseError( 500, $db->stderr() );
				return false;
			}
		}

		$cache = & JFactory::getCache('com_gmapfp');
		$cache->clean();

		$mainframe->redirect('index.php?option='.$option.'&controller=photos&task=view', $msg);
	}

}
?>
