<?php
	/*
	* GMapFP Component Google Map for Joomla! 1.7.x
	* Version 10.0pro
	* Creation date: Aot 2011
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die();

class JElementGMapFPCategories extends JElement
{

	var	$_name = 'GMapFPCategories';

	function fetchTooltip($label, $description, &$node, $control_name, $name) {
		return '<label id="'.$control_name.'-lbl" for="'.$control_name.'" class="hasTip" title="'.JText::_($label).'::'.JText::_($description).'">'.JText::_($label).'</label>';
	}

	function fetchElement($name, $value, &$node, $control_name)
	{
		$listcategories = array();
		$db				= & JFactory::getDBO();

		$query = " SELECT id, title FROM #__categories ".
				"  WHERE section = 'com_gmapfp'";
		$db->setQuery( $query );
		$listcategories = $db->loadObjectList();

		if (!empty($listcategories))
		{
			foreach($listcategories as $temp) {
				$list_categories[] = JHTML::_('select.option', $temp->id, $temp->title);
			}			
			$lists['categories']	= JHTML::_('select.genericlist',   $list_categories, $control_name.'['.$name.'][]', 'class="inputbox" size="8" multiple="multiple"', 'value', 'text', $value, '' );
			
			return $lists['categories'];
		} else {
			return 'Error : no existing categories';
		}
	}
}

?>