<?php
	/*
	* GMapFP Component Google Map for Joomla! 2.5.x
	* Version 10.91pro
	* Creation date: Août 2013
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die();

jimport( 'joomla.application.component.model' );
jimport( 'joomla.utilities.simplexml' );

class GMapFPModelConfiguration extends Jmodel {

	function getParams()
	{
	    $language 	= JFactory::getLanguage();
		
		$db = $this->getDBO();
			$query = 'SELECT params' .
					' FROM #__extensions' .
					' WHERE ' . $db->nameQuote( 'element' ) . '=' . $db->Quote( 'com_gmapfp' ) ;
			$db->setQuery( $query, 0, 1 );
			$parametres = $db->loadResult();
	
		$name_groupe = array();
		$params = array();

		$files = JFolder::files(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_gmapfp', '.xml');
		foreach ( $files as $file) {
			$file	= JPATH_ADMINISTRATOR.DS.'components'.DS.'com_gmapfp'.DS.$file;
			if(file_exists($file)) {
				$xml = new JSimpleXML;
				$xml->loadFile($file);
				$xml = $xml->document;
				
				if (@$xml->_children[0]->_attributes['config_lang_file']) $language->load('com_gmapfp_'.$xml->_children[0]->_attributes['config_lang_file']);
				
				if (@$xml->_children[0]->_attributes['config_name']) {
					$name_groupe[$xml->_children[0]->_attributes['pane_order']] = array($xml->_children[0]->_attributes['config_name'], $xml->_children[0]->_attributes['pane_name']);
					$params[$xml->_children[0]->_attributes['pane_name']] = new JParameter( $parametres, $file );
				}
			}
		}
		ksort($name_groupe, SORT_NUMERIC);
		return array($name_groupe, $params);
	}	

}
?>