<?php
	/*
	* GMapFP Component Google Map for Joomla! 2.5.x
	* Version 10.108pro
	* Creation date: Mars 2014
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die('Restricted access');
JHTML::_( 'behavior .modal' );
jimport( 'joomla.filesystem.folder' );

$mainframe = JFactory::getApplication(); 
$lang		= JFactory::getLanguage();
$template	= $mainframe->getTemplate();
$params 	= JComponentHelper::getParams('com_gmapfp'); 

$langue		=substr((@$lang->getTag()),0,2);
if ($langue!='fr') $langue = 'en';

require_once JPATH_COMPONENT.'/helpers/gmapfp.php';
$canDo	= GMapFPHelper::getActions($this->state->get('filter.category_id'));
$user	= JFactory::getUser();
?>

<div id="message" style="display:none;">Veuillez patienter s.v.p.</div>
<table class="admintable">
    <tr>
        <td width="55%" valign="top" colspan="2">
            <div id="cpanel">
            	<?php if ($canDo->get('core.admin')) {?>
                <div style="float:left;">
                    <div class="icon">
                        <a class="modal" href="index.php?option=com_gmapfp&controller=configuration&task=configuration" rel="{handler: 'iframe', size: {x: 875, y: 550}, onClose: function() {}}">
                            <?php echo JHTML::_('image.site',  'parametres48.png', '/components/com_gmapfp/images/'); ?>
                            <span><?php echo JText::_('GMAPFP_PARAMETRES'); ?></span>
                        </a>
                    </div>
                </div>
                <?php };?>
                <div style="float:<?php echo ($lang->isRTL()) ? 'right' : 'left'; ?>;">
                    <div class="icon">
                        <a href="index.php?option=com_gmapfp&controller=gmapfp&task=view">
                            <?php echo JHTML::_('image.site',  'lieux48.png', '/components/com_gmapfp/images/'); ?>
                            <span><?php echo JText::_('GMAPFP_LIEUX'); ?></span>
                        </a>
                    </div>
                </div>
                <div style="float:<?php echo ($lang->isRTL()) ? 'right' : 'left'; ?>;">
                    <div class="icon">
                        <a href="index.php?option=com_gmapfp&controller=champs&task=view">
                            <?php echo JHTML::_('image.site',  'champs48.jpg', '/components/com_gmapfp/images/'); ?>
                            <span><?php echo JText::_('GMAPFP_CHAMPS'); ?></span>
                        </a>
                    </div>
                </div>
                <div style="float:<?php echo ($lang->isRTL()) ? 'right' : 'left'; ?>;">
                    <div class="icon">
                        <a href="index.php?option=com_gmapfp&controller=marqueurs&task=view">
                            <?php echo JHTML::_('image.site',  'marqueurs48.png', '/components/com_gmapfp/images/'); ?>
                            <span><?php echo JText::_('GMAPFP_MARQUEURS'); ?></span>
                        </a>
                    </div>
                </div>
                <div style="float:<?php echo ($lang->isRTL()) ? 'right' : 'left'; ?>;">
                    <div class="icon">
                        <a href="index.php?option=com_gmapfp&controller=classements&task=view">
                            <?php echo JHTML::_('image.site',  'classements48.png', '/components/com_gmapfp/images/'); ?>
                            <span><?php echo JText::_('GMAPFP_CLASSEMENTS'); ?></span>
                        </a>
                    </div>
                </div>
                <div style="float:<?php echo ($lang->isRTL()) ? 'right' : 'left'; ?>;">
                    <div class="icon">
                        <a href="index.php?option=com_categories&extension=com_gmapfp">
                            <?php echo JHTML::_('image.site',  'categories48.jpg', '/components/com_gmapfp/images/'); ?>
                            <span><?php echo JText::_('JCATEGORIES'); ?></span>
                        </a>
                    </div>
                </div>
                <div style="float:<?php echo ($lang->isRTL()) ? 'right' : 'left'; ?>;">
                    <div class="icon">
                        <a href="index.php?option=com_gmapfp&controller=personnalisations&task=view">
                            <?php echo JHTML::_('image.site',  'personnalisation48.png', '/components/com_gmapfp/images/'); ?>
                            <span><?php echo JText::_('GMAPFP_PERSONNALISATION'); ?></span>
                        </a>
                    </div>
                </div>
                <?php if (COM_GMAPFP_VERSION_OT) {?>
                <div style="float:<?php echo ($lang->isRTL()) ? 'right' : 'left'; ?>;">
                    <div class="icon">
                        <a href="index.php?option=com_gmapfp&controller=photos&task=view">
                            <?php echo JHTML::_('image.site',  'icon-48-media.png', '/templates/'. $template .'/images/header/'); ?>
                            <span><?php echo JText::_('GMAPFP_PHOTOS'); ?></span>
                        </a>
                    </div>
                </div>
                <?php } ?>
                <div style="float:<?php echo ($lang->isRTL()) ? 'right' : 'left'; ?>;">
                    <div class="icon">
                        <a href="index.php?option=com_gmapfp&controller=css&task=view">
                            <?php echo JHTML::_('image.site',  'css48.jpg', '/components/com_gmapfp/images/'); ?>
                            <span>CSS</span>
                        </a>
                    </div>
                </div>
                <div style="float:<?php echo ($lang->isRTL()) ? 'right' : 'left'; ?>;">
                    <div class="icon">
                        <a href="index.php?option=com_gmapfp&controller=accueil&task=miniatures">
                            <?php echo JHTML::_('image.site',  'miniatures48.png', '/components/com_gmapfp/images/'); ?>
                            <span><?php echo JText::_('GMAPFP_REGENERER_MINIATURES'); ?></span>
                        </a>
                    </div>
                </div>
				<?php if ($canDo->get('core.delete')) {?>
                <div style="float:<?php echo ($lang->isRTL()) ? 'right' : 'left'; ?>;">
                    <div class="icon">
                        <a href="index.php?option=com_gmapfp&controller=accueil&task=clear_images">
                            <?php echo JHTML::_('image.site',  'poubelle48.png', '/components/com_gmapfp/images/'); ?>
                            <span><?php echo JText::_('GMAPFP_NETOYER_IMAGES'); ?></span>
                        </a>
                    </div>
                </div>
                <?php } ?>
				<?php if ($canDo->get('core.admin') && $this->non_lat_lng > 0) {?>
                <div style="float:<?php echo ($lang->isRTL()) ? 'right' : 'left'; ?>;">
                    <div class="icon">
                        <a href="index.php?option=com_gmapfp&controller=accueil&task=getCoordonner">
                            <?php echo '<img src="'.JURI::root().'administrator/components/com_gmapfp/images/latlng48.gif" alt="'.JText::_('GMAPFP_FIND_LAT_LNG').'" title="'.$this->non_lat_lng.' '.JText::_('GMAPFP_LIEUX').'">'; ?>
                            <span><?php echo JText::_('GMAPFP_FIND_LAT_LNG'); ?></span>
                        </a>
                    </div>
                </div>
                <?php } ?>
            	<?php if ($canDo->get('core.admin') and !$params->get('gmapfp_compa_trad_joom25', 0)  and JFolder::exists(JPATH_ROOT.'/administrator/components/com_falang/models')) {?>
                <div style="float:left;">
                    <div class="icon">
                        <a class="modal" href="index.php?option=com_gmapfp&controller=accueil&task=falang&tmpl=component" rel="{handler: 'iframe', size: {x: 875, y: 550}, onClose: function() {}}">
                            <?php echo JHTML::_('image.site',  'icon-48-falang.png', '/components/com_gmapfp/images/'); ?>
                            <span><?php echo JText::_('GMAPFP_FALANG'); ?></span>
                        </a>
                    </div>
                </div>
                <?php };?>
            	<?php if ($canDo->get('core.admin') and !$params->get('gmapfp_compa_trad_joom25', 0)  and JFolder::exists(JPATH_ROOT.'/administrator/components/com_joomfish/models')) {?>
                <div style="float:left;">
                    <div class="icon">
                        <a class="modal" href="index.php?option=com_gmapfp&controller=accueil&task=joomfish&tmpl=component" rel="{handler: 'iframe', size: {x: 875, y: 550}, onClose: function() {}}">
                            <?php echo JHTML::_('image.site',  'icon-48-joomfish.png', '/components/com_gmapfp/images/'); ?>
                            <span><?php echo JText::_('GMAPFP_JOOMFISH'); ?></span>
                        </a>
                    </div>
                </div>
                <?php };?>
            	<?php if ($canDo->get('core.admin') and $params->get('gmapfp_compa_trad_joom25', 0) and JFolder::exists(JPATH_ROOT.'/administrator/components/com_josetta/classes')) {?>
                <div style="float:left;">
                    <div class="icon">
                        <a class="modal" href="index.php?option=com_gmapfp&controller=accueil&task=josetta&tmpl=component" rel="{handler: 'iframe', size: {x: 875, y: 550}, onClose: function() {}}">
                           <?php echo JHTML::_('image.site',  'icon-josetta-48x48.png', '/components/com_gmapfp/images/'); ?>
                            <span><?php echo JText::_('GMAPFP_JOSETTA'); ?></span>
                        </a>
                    </div>
                </div>
                <?php };?>
			</div>
    	</td>
		<td width="45%" valign="top">
		<div style="width: 100%">
		<?php
			$tabs	= $this->get('publishedTabs');
			$onglet		=JPane::getInstance('sliders');
			echo $onglet->startPane("content-pane");
	
			foreach ($tabs as $tab) {
				$title = JText::_($tab->title);
				echo $onglet->startPanel( $title, 'gmapfpcpanel-panel-'.$tab->name );
				$contenu = 'infos_' .$tab->name;
				echo $this->$contenu();
				echo $onglet->endPanel();
			}
	
			echo $onglet->endPane();

		 ?>
		</div>
		</td>
	</tr>
	<tr>
    	<td>
        	<table class="admintable">
            	<tr>
                    <td class="key">
                        <?php echo JText::_( 'Forum' );?>
                    </td>
                    <td>
                        <a href="http://www.gmapfp.org/<?php echo $langue; ?>/forum" target="_new">www.gmapfp.org/<?php echo $langue; ?>/forum</a>
                    </td>
                </tr>
                <tr>
                    <td class="key">
                        <?php echo JText::_( 'GMAPFP_DOCUMENTATION' );?>
                    </td>
                    <td>
                        <a href="http://www.gmapfp.org/<?php echo $langue; ?>/documentation" target="_new">www.gmapfp.org/<?php echo $langue; ?>/documentation</a>
                    </td>
                </tr>
             </table>
    	</td>
   </tr>
</table>
<div class="copyright" align="center">
	<br />
	<?php echo JText::_( 'GMAPFP_COPYRIGHT' );?>
</div>
<div class="clr"></div>