<?php
	/*
	* GMapFP Component Google Map for Joomla! 1.7.x
	* Version 10.48pro
	* Creation date: Mai 2012
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die('Restricted access'); ?>

<script language="javascript" type="text/javascript">
	Joomla.submitbutton = function(pressbutton) {
		var form = document.adminForm;
		if (pressbutton == 'cancel') {
			submitform( pressbutton );
			return;
		}
		if (form.nom.value == "") {
			alert( "<?php echo JText::_( 'GMAPFP_CHAMPS_VIDE', true ); ?>" );
			return false;
		} else {
			submitform( pressbutton );
		}
	}
</script>
<script language="javascript" type="text/javascript">
	
	function ChangeLabelFiltre() {
		if (document.getElementById('filtrer0').checked) {
			document.getElementById('view_LabelFiltre').style.display = "none";
		} else {
			document.getElementById('view_LabelFiltre').style.display = "table-row";
		}
	}
	
	function ActualiseParametres() {
		switch (document.adminForm.type.selectedIndex) {
		case 0:
			document.getElementById('parametreslabel').style.display = "none";
			document.getElementById('form_separatorlabel').style.display = "none";
			document.getElementById('view_separatorlabel').style.display = "none";
			document.getElementById('table_filtre').style.display = "table";
			break;
		case 1:
		case 2:
			document.getElementById('parametreslabel').style.display = "none";
			document.getElementById('form_separatorlabel').style.display = "none";
			document.getElementById('view_separatorlabel').style.display = "none";
			document.getElementById('table_filtre').style.display = "none";
			break;
		case 3:
		case 4:
			document.getElementById('parametreslabel').style.display = "table-row";
			document.getElementById('form_separatorlabel').style.display = "table-row";
			document.getElementById('view_separatorlabel').style.display = "table-row";
			document.getElementById('table_filtre').style.display = "table";
			break;
		case 5:
		case 6:
			document.getElementById('parametreslabel').style.display = "table-row";
			document.getElementById('form_separatorlabel').style.display = "none";
			document.getElementById('view_separatorlabel').style.display = "table-row";
			document.getElementById('table_filtre').style.display = "table";
			break;
		case 7:
		case 8:
			document.getElementById('parametreslabel').style.display = "table-row";
			document.getElementById('form_separatorlabel').style.display = "none";
			document.getElementById('view_separatorlabel').style.display = "none";
			document.getElementById('table_filtre').style.display = "none";
		};
	}

	function ActualiseCat() {
		if (document.adminForm.for_cat1.checked) {
			document.getElementById('view_affecte_categories').style.display = "table-row";
		}else{
			document.getElementById('view_affecte_categories').style.display = "none";
		}
	}

</script>

<form action="index.php" method="post" name="adminForm" id="adminForm">
<div>
    <table  class="adminform">
        <tr>
            <td>
                <label for="nom" class="hasTip" title="<?php echo str_replace('"', '&quot;', JText::_( 'GMAPFP_NOM' ).'::'.JText::_('JFIELD_TITLE_DESC')).'">';
                    echo JText::_( 'GMAPFP_NOM' ); ?>:
                </label>
            </td>
            <td>
                <input class="inputbox" type="text" name="nom" id="nom" size="60" maxlength="200" value="<?php echo str_replace('"', '&quot;',$this->champs->nom); ?>" />
            </td>
            <td>
                <label for="published" class="hasTip" title="<?php echo str_replace('"', '&quot;', JText::_('JPUBLISHED').'::'.JText::_('JFIELD_PUBLISHED_DESC')) ?>">
                    <?php echo JText::_( 'JPUBLISHED' ); ?>:
                </label>
            </td>
            <td >
                <?php echo JHTML::_( 'select.booleanlist',  'published', 'class="inputbox"', $this->champs->published ); ?>
            </td>
        </tr>
        <tr>
            <td>
                <label for="alias" class="hasTip" title="<?php echo str_replace('"', '&quot;', JText::_('JFIELD_ALIAS_LABEL').'::'.JText::_('JFIELD_ALIAS_DESC')) ?>">
                    <?php echo JText::_( 'JFIELD_ALIAS_LABEL' ); ?>:
                </label>
            </td>
            <td>
                <input class="text_area" type="text" name="alias" id="alias" size="32" maxlength="255" value="<?php echo $this->champs->alias;?>" />
            </td>
            <td>
                <label for="published" class="hasTip" title="<?php echo str_replace('"', '&quot;', JText::_('GMAPFP_CHAMP_POSITION').'::'.JText::_('GMAPFP_CHAMP_POSITION_DESC')) ?>">
                    <?php echo JText::_( 'GMAPFP_CHAMP_POSITION' ); ?>:
                </label>
            </td>
            <td>
                <?php echo $this->position_champs;?>
            </td>
        </tr>
        <tr>
            <td>
                <label for="access" class="hasTip" title="<?php echo str_replace('"', '&quot;', JText::_('JFIELD_ACCESS_LABEL').'::'.JText::_('JFIELD_ACCESS_DESC')) ?>">
                    <?php echo JText::_( 'JFIELD_ACCESS_LABEL' ); ?>:
                </label>
            </td>
            <td>
                <?php echo JHtml::_('access.level', 'access', $this->champs->access, '', false); ?>
            </td>
            <td>
            </td>
            <td>
            </td>
        </tr>
    </table>

    <fieldset class="adminform gmapfp_configuration">
    <legend><?php echo JText::_( 'GMAPFP_DETAILS' ); ?></legend>
        <table class="admintable">
            <tr>
                <td width="110" class="key">
                    <label for="description">
                        <?php echo JText::_( 'GMAPFP_CHAMP_DESCIPTION' ); ?>:
                    </label>
                </td>
                <td>
                    <input class="inputbox" type="textarea" name="description" id="description" maxlength="255" size="100" value="<?php echo $this->champs->description; ?>" />
                </td>
            </tr>
            <tr>
                <td class="key">
                    <label for="url">
                        <?php echo JText::_( 'GMAPFP_CHAMP_TYPE' ); ?>:
                    </label>
                </td>
                <td>
                    <?php echo $this->list_champs; ?>
                </td>
            </tr>
            <tr id="parametreslabel" style="display: <?php if ($this->champs->type < 3) echo "none"; else echo "table-row";?>;">
                <td class="key">
                    <label for="parametres" class="hasTip" title="<?php echo str_replace('"', '&quot;', JText::_('GMAPFP_CHAMP_PARAMS').'::'.JText::_('GMAPFP_CHAMP_PARAMS_DESC')) ?>">
                        <?php echo JText::_( 'GMAPFP_CHAMP_PARAMS' ); ?>:
                    </label>
                </td>
                <td>
                    <textarea name="parametres" id="parametres" rows="6" cols="40"><?php echo $this->champs->parametres; ?></textarea>
                </td>
            </tr>
            <tr id="form_separatorlabel" style="display: <?php if (($this->champs->type == 3) || ($this->champs->type == 4)) echo "table-row"; else echo "none";?>;">
                <td width="110" class="key">
                	<label for="form_separator" class="hasTip" title="<?php echo str_replace('"', '&quot;', JText::_('GMAPFP_CHAMP_FORM_SEPARATOR').'::'.JText::_('GMAPFP_CHAMP_FORM_SEPARATOR_DESC')) ?>">
                        <?php echo JText::_( 'GMAPFP_CHAMP_FORM_SEPARATOR' ); ?>:
                    </label>
                </td>
                <td>
                    <input class="inputbox" type="text" name="form_separator" id="form_separator" maxlength="50" size="30" value="<?php if ($this->champs->id) echo $this->champs->form_separator; else echo"<br />";?>" />
                </td>
            </tr>
            <tr id="view_separatorlabel" style="display: <?php if (($this->champs->type < 3) || ($this->champs->type > 6)) echo "none"; else echo "table-row";?>;">
                <td width="110" class="key">
                	<label for="view_separator" class="hasTip" title="<?php echo str_replace('"', '&quot;', JText::_('GMAPFP_CHAMP_VIEW_SEPARATOR').'::'.JText::_('GMAPFP_CHAMP_VIEW_SEPARATOR_DESC')) ?>">
                        <?php echo JText::_( 'GMAPFP_CHAMP_VIEW_SEPARATOR' ); ?>:
                    </label>
                </td>
                <td>
                    <input class="inputbox" type="text" name="view_separator" id="view_separator" maxlength="50" size="30" value="<?php if ($this->champs->id) echo $this->champs->view_separator; else echo"<br />";?>" />
                </td>
            </tr>
		</table>
        <table id="table_filtre" style="display: <?php if (($this->champs->type == 0) || (($this->champs->type > 2) && ($this->champs->type < 7))) echo "table"; else echo "none";?>;">
            <td>
                <label for="filtrer" class="hasTip" title="<?php echo str_replace('"', '&quot;', JText::_('GMAPFP_FILTRE').'::'.JText::_('GMAPFP_FILTRE_DESC')) ?>">
                    <?php echo JText::_( 'GMAPFP_FILTRE' ); ?>:
                </label>
            </td>
            <td >
                <input type="radio" name="filtrer" id ="filtrer0" class="inputbox" onchange="ChangeLabelFiltre();" value="0" <?php if ($this->champs->filtrer==0) echo "checked"; ?>><?php echo JText::_( 'JNO' ); ?> 
                <input type="radio" name="filtrer" id ="filtrer1" class="inputbox" onchange="ChangeLabelFiltre();" value="1" <?php if ($this->champs->filtrer==1) echo "checked"; ?>><?php echo JText::_( 'GMAPFP_STANDARD' ); ?> 
                <input type="radio" name="filtrer" id ="filtrer2" class="inputbox" onchange="ChangeLabelFiltre();" value="2" <?php if ($this->champs->filtrer==2) echo "checked"; ?>><?php echo JText::_( 'GMAPFP_INTEL_SEARCH' ); ?> 
            </td>
            <tr id="view_LabelFiltre" style="display: <?php if ($this->champs->filtrer) echo "table-row"; else echo "none";?>;">
                <td class="key">
                	<label for="filtre_label" class="hasTip" title="<?php echo str_replace('"', '&quot;', JText::_('GMAPFP_FILTRE_LABEL').'::'.JText::_('GMAPFP_FILTRE_LABEL_DESC')) ?>">
                        <?php echo JText::_( 'GMAPFP_FILTRE_LABEL' ); ?>:
                    </label>
                </td>
                <td>
                    <input class="inputbox" type="text" name="filtre_label" id="filtre_label" maxlength="100" size="30" value="<?php echo $this->champs->filtre_label;?>" />
                </td>
            </tr>
            <tr id="view_Recherche">
                <td class="key">
                	<label for="recherche" class="hasTip" title="<?php echo str_replace('"', '&quot;', JText::_('GMAPFP_SEARCH').'::'.JText::_('GMAPFP_SEARCH_DESC')) ?>">
                        <?php echo JText::_( 'GMAPFP_SEARCH' ); ?>:
                    </label>
                </td>
                <td>
                <?php echo JHTML::_( 'select.booleanlist',  'recherche', 'class="inputbox"', $this->champs->recherche ); ?>
                </td>
            </tr>
		</table>
        <table>
            <tr>
                <td class="key">
                	<label for="for_cat" class="hasTip" title="<?php echo str_replace('"', '&quot;', JText::_('GMAPFP_FOR_CAT').'::'.JText::_('GMAPFP_FOR_CAT_DESC')) ?>">
                        <?php echo JText::_( 'GMAPFP_FOR_CAT' ); ?>:
                    </label>
                </td>
                <td>
                <?php echo JHTML::_( 'select.booleanlist',  'for_cat', 'class="inputbox" onchange="ActualiseCat();"', $this->champs->for_cat ); ?>
                </td>
            </tr>
            <tr id="view_affecte_categories" <?php if(!$this->champs->for_cat) echo "style='display: none;'" ?> >
                <td class="key">
                	<label for="catid" class="hasTip" title="<?php echo str_replace('"', '&quot;', JText::_('JGLOBAL_CHOOSE_CATEGORY_LABEL').'::'.JText::_('JGLOBAL_CHOOSE_CATEGORY_LABEL_DESC')) ?>">
                        <?php echo JText::_( 'JGLOBAL_CHOOSE_CATEGORY_LABEL' ); ?>:
                    </label>
                </td>
                <td>
					<?php
                        echo $this->lists['catid'];
                    ?>
                </td>
            </tr>
        </table>
    </fieldset>
</div>
<div class="clr"></div>

<input type="hidden" name="option" value="com_gmapfp" />
<input type="hidden" name="id" value="<?php echo $this->champs->id; ?>" />
<input type="hidden" name="task" value="edit" />
<input type="hidden" name="controller" value="champs" />
</form>
<div class="copyright" align="center">
    <br />
    <?php echo JText::_( 'GMAPFP_COPYRIGHT' );?>
</div>
