<?php 
	/*
	* GMapFP Component Google Map for Joomla! 2.5.x
	* Version 10.91pro
	* Creation date: Août 2013
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die('Restricted access'); 

$ordering = ($this->lists['order'] == 'ordering');
$params	= JComponentHelper::getParams('com_gmapfp'); 
?>

<form action="index.php?option=com_gmapfp&controller=champs&task=view" method="post" name="adminForm">
<div id="editcell">
	<table class="adminlist">
	<thead>
		<tr>
		<tr>
			<th width="5">
				<?php echo JText::_( 'JGRID_HEADING_ROW_NUMBER' ); ?>
			</th>
			<th width="20">
				<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count( $this->champs ); ?>);" />
			</th>
			<th  width="200" class="title">
				<?php echo JHTML::_('grid.sort',   'GMAPFP_NOM', 'nom', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
			</th>
			<th  width="20%" class="title">
				<?php echo JHTML::_('grid.sort',   'GMAPFP_CHAMP_TYPE', 'type', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
			</th>
			<th  class="title">
				<?php echo JHTML::_('grid.sort',   'GMAPFP_CHAMP_POSITION', 'position', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
			</th>
            <?php if ($params->get('gmapfp_compa_trad_joom25', 0)) { ?>
			<th  class="langue">
				<?php echo JText::_('JGRID_HEADING_LANGUAGE'); ?>
			</th>
            <?php }; ?>
			<th width="5%" align="center">
				<?php echo JHTML::_('grid.sort',   'JSTATUS', 'published', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
			</th>
			<th width="8%" nowrap="nowrap">
				<?php echo JHTML::_('grid.sort','JGRID_HEADING_ORDERING', 'ordering', @$this->lists['order_Dir'], $this->lists['order'] ); ?>
				<?php if ($ordering) echo JHTML::_('grid.order',  $this->champs ); ?>
			</th>
            <th  width="7%">
                <?php echo JHTML::_('grid.sort', 'JGRID_HEADING_ACCESS', 'access', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
            </th>
			<th width="10" nowrap="nowrap">
				<?php echo JHTML::_('grid.sort', 'JGRID_HEADING_ID', 'a.id', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
			</th>
		</tr>			
	</thead>
		<?php
		$k = 0;
		for ($i=0, $n=count( $this->champs ); $i < $n; $i++)
		{
			$row = $this->champs[$i];
			
			$published		= JHTML::_('grid.published', $row, $i );
			$checked = JHTML::_('grid.id',   $i, $row->id );
			$link = JRoute::_( 'index.php?option=com_gmapfp&controller=champs&task=edit&cid[]='. $row->id );
	
			?>
			<tr class="<?php echo "row$k"; ?>">
				<td>
				<?php echo $this->pageNav->getRowOffset( $i ); ?>
				</td>
				<td>
					<?php echo $checked; ?>
				</td>
				<td>
					<a href="<?php echo $link; ?>"><?php echo $row->nom; ?></a>
				</td>
				<td>
					<?php echo JTEXT::_("GMAPFP_CHAMP_TYPE".$row->type); ?>
				</td>
				<td>
					<?php echo JTEXT::_("GMAPFP_CHAMP_POSITION".$row->position); ?>
				</td>
         	   <?php if ($params->get('gmapfp_compa_trad_joom25', 0)) { ?>
				<td>
					<?php echo $row->langue; ?>
				</td>
				<?php }; ?>
                <td align="center">
                    <?php echo $published;?>
                </td>
                <td class="order">
                    <span><?php echo $this->pageNav->orderUpIcon( $i, true,'orderup', 'Move Up', $ordering ); ?></span>
                    <span><?php echo $this->pageNav->orderDownIcon( $i, $n, true, 'orderdown', 'Move Down', $ordering ); ?></span>
                    <?php $disabled = $ordering ?  '' : 'disabled="disabled"'; ?>
                    <input type="text" name="order[]" size="5" value="<?php echo $row->ordering;?>" <?php echo $disabled ?> class="text_area" style="text-align: center" />
                </td>
                <td align="center">
                    <?php echo $row->access; ?>
                </td>
                <td align="center">
                    <?php echo $row->id; ?>
                </td>
			</tr>
			<?php
			$k = 1 - $k;
		}
		?>
        <tfoot>
            <tr>
                <td colspan="15">
                    <?php echo $this->pageNav->getListFooter(); ?>
                </td>
            </tr>
        </tfoot>
		</table>
	</div>

	<input type="hidden" name="option" value="com_gmapfp" />
	<input type="hidden" name="controller" value="champs" />
	<input type="hidden" name="task" value="view" />
	<input type="hidden" name="boxchecked" value="0" />
	<input type="hidden" name="filter_order" value="<?php echo @$this->lists['order']; ?>" />
	<input type="hidden" name="filter_order_Dir" value="<?php echo @$this->lists['order_Dir']; ?>" />
	<?php echo JHTML::_( 'form.token' ); ?>
</form>
<div class="copyright" align="center">
	<br />
	<?php echo JText::_( 'GMAPFP_COPYRIGHT' );?>
</div>
