<?php
	/*
	* GMapFP Component Google Map for Joomla! 2.5.x
	* Version 10.91pro
	* Creation date: Aot 2013
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die();

jimport( 'joomla.application.component.view' );

class GMapFPViewMarqueurs extends JView
{
	function display($tpl = null)
	{
		$this->document->addStyleSheet('components/com_gmapfp/views/general.css');
		$mainframe = JFactory::getApplication(); 
		$option    = JRequest::getCMD('option'); 
		$controller = JRequest::getWord('controller');
		$this->state= $this->get('State');

		if (JRequest::getWord('task')=='view') 
		{
			require_once JPATH_COMPONENT.'/helpers/gmapfp.php';
			$canDo	= GMapFPHelper::getActions($this->state->get('filter.category_id'));
			JToolBarHelper::title(   JText::_( 'GMAPFP_MARQUEURS_MANAGER' ), 'marqueurs' );
			if ($canDo->get('core.create')) {
				JToolBarHelper::addNewX();
			}
			if (($canDo->get('core.edit'))) {
				JToolBarHelper::editListX();
			}
			if ($canDo->get('core.edit.state')) {
				JToolBarHelper::divider();
				JToolBarHelper::publishList();
				JToolBarHelper::unpublishList();
			}
			if ( $canDo->get('core.delete')) {
				JToolBarHelper::divider();
				JToolBarHelper::deleteList();
			}
		
			// Get data from the model
			$marqueurs		=  $this->get('List');
		}
		else
		{
			// Get data from the model
			$marqueurs		= $this->get('Data');
			$isNew		= ($marqueurs->id < 1);
	
			$text = $isNew ? JText::_( 'GMAPFP_NEW' ) : JText::_( 'GMAPFP_EDIT' );
			JToolBarHelper::title(   JText::_( 'GMAPFP_MARQUEURS_MANAGER' ).': <small>[ ' . $text.' ]</small>', 'marqueurs' );
			JToolBarHelper::apply();
			JToolBarHelper::save();
			if ($isNew)  {
				JToolBarHelper::cancel();
		} else {
			// for existing items the button is renamed `close`
			JToolBarHelper::cancel( 'cancel', 'JTOOLBAR_CLOSE' );
		}
		}
		JHTML::_('behavior.tooltip');

		$this->assignRef('marqueurs', $marqueurs);
		
		$pageNav =  $this->get( 'Pagination' );				
		$this->assignRef('pageNav', $pageNav);

		$filter_order 		= $mainframe->getUserStateFromRequest( $option.$controller.'filter_order', 'filter_order', 'nom', 'cmd');
		$filter_order_Dir 	= $mainframe->getUserStateFromRequest( $option.$controller.'filter_order_Dir', 'filter_order_Dir', '', 'word');
		$lists['order_Dir'] = $filter_order_Dir;
		$lists['order'] = $filter_order;
		$this->assignRef('lists', $lists);

		parent::display($tpl);

	}
}
