<?php
	/*
	* GMapFP Component Google Map for Joomla! 2.5.x
	* Version 10.102pro
	* Creation date: Novembre 2013
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die('Restricted access');

JHTML::_('behavior.formvalidation');
JHtml::_('behavior.keepalive');
JHtml::_('behavior.tooltip');

$jpane_ok = $this->params->get('choix_jpane', 0);

$Itemid    = JRequest::getInt('Itemid'); 

$editor = JFactory::getEditor();

$image = '&nbsp;&nbsp;&nbsp;<img src="components/com_gmapfp/images/switch.png" height="16px" title="'.JText::_( 'GMAPFP_OBLIGATOIRE' ).'" >';

$_lat = $this->params->get('gmapfp_centre_lat');
$_lng = $this->params->get('gmapfp_centre_lng');
$_zoom = $this->params->get('gmapfp_zoom');

if (empty($_lat)) {$_lat = 47.927385663;};
if (empty($_lng)) {$_lng = 2.1437072753;};
if (empty($_zoom)) {$_zoom = 10;};

if ($this->params->get('gmapfp_autocomplete_adresse', 0)) {
	echo '
		<style type="text/css">
			.disable {color: grey; font-size: 80%; }
		</style>
	';
	$readonly = 'readonly="readonly"';
} else {
	echo '
		<style type="text/css">
			.enable {display: none; }
		</style>
	';
	$readonly = '';
};
?>
<script language="javascript" type="text/javascript">

	function validateForm() {
		<?php
		echo $editor->save( 'text_message' );
		echo $editor->save( 'text_horaires_prix' );
		?>
		var valid = document.formvalidator.isValid(document.id('adminForm'));
		ValueIsReal = (IsReal("glat")&&IsReal("glng")&&IsReal("gzoom"));
		if ((valid == false) || !ValueIsReal) {
			if (ValueIsReal) {
				var msg = '<?php echo JText::_( 'GMAPFP_NON_OK' ); ?>';
				alert(msg);
			}
			document.adminForm.upform.disabled=false;
			return false;
		} else {
			document.id('adminForm').task.value = "submit";
			document.id('adminForm').submit();
			return true;
		}
	}
</script>
	
<script language="javascript" type="text/javascript">
	<?php
	echo 'var field_catid_json = '.$this->extension_fields['json'].';'."\n";
	?>
	function display_catid_field() {
		var value = document.adminForm.catid.value;
		
		for ( var cle in field_catid_json ) {
			var str ='';
			str += field_catid_json[cle];
			var my_array_cat = str.split(',');
			var correspond = false;
			for (var i = 0; i < my_array_cat.length; i++) {
				if (my_array_cat[i] == 'cat'+value) {
					correspond = true;
				}
			}
			if (correspond) {
				document.getElementById(cle).style.display = "table-row";
			} else {
				document.getElementById(cle).style.display = "none";
			}
		}
	}
</script>

<script language="javascript" type="text/javascript">
    var geocoder;
    var soumission_gmapfp_map;
    var marker1;

    function autocomplet_champs(latlng, change) {
	  //rcupre ville cp dpartement et pays
		if (latlng == "") latlng = marker1.getPosition();
		geocoder.geocode({'latLng': latlng}, function(results, status) {
		  if (status == google.maps.GeocoderStatus.OK) {
			  var cp=""; var pays=""; var region=""; var dep=""; var dep=""; var canton="";
			if (results[0]) {
				for ( var i=0; i<results[0].address_components.length; i++) {
					switch (results[0].address_components[i].types[0]) {
						case "postal_code":
							cp = results[0].address_components[i].long_name;
							break;
						case "country":
							pays = results[0].address_components[i].long_name;
							break;
						case "administrative_area_level_1": //FR:region US:state
							region = results[0].address_components[i].long_name;
							break;
						case "administrative_area_level_2": //FR:dpartement US:counties
							dep = results[0].address_components[i].long_name;
							break;
						case "administrative_area_level_3": //FR:canton US:?
							canton = results[0].address_components[i].long_name;
							break;
						case "locality":
							ville = results[0].address_components[i].long_name;
							break;
					}
				}
				<?php 
				if (!$this->params->get('gmapfp_cp_view',0) and $this->params->get('gmapfp_autocomplete_adresse',0)) echo "if ((document.getElementById('codepostal').value == '') || change) document.getElementById('codepostal').value = cp;";
				if (!$this->params->get('gmapfp_pays_view',0) and $this->params->get('gmapfp_autocomplete_adresse',0)) echo "if ((document.getElementById('pay').value == '') || change) document.getElementById('pay').value = pays;";

				switch ($this->params->get('gmapfp_autocomplete_adresse_dep',0)) {
					case 0 :
					if (!$this->params->get('gmapfp_departement_view',0) and $this->params->get('gmapfp_autocomplete_adresse',0)) echo "if ((document.getElementById('departement').value == '') || change) document.getElementById('departement').value = dep;";
					break;
					case 1 :
					if (!$this->params->get('gmapfp_departement_view',0) and $this->params->get('gmapfp_autocomplete_adresse',0)) echo "if ((document.getElementById('departement').value == '') || change) document.getElementById('departement').value = region;";
					break;
					case 2 :
					if (!$this->params->get('gmapfp_departement_view',0) and $this->params->get('gmapfp_autocomplete_adresse',0)) echo "if ((document.getElementById('departement').value == '') || change) document.getElementById('departement').value = canton;";
				}
				if (!$this->params->get('gmapfp_ville_view',0) and $this->params->get('gmapfp_autocomplete_adresse',0)) echo "if ((document.getElementById('ville').value == '') || change) document.getElementById('ville').value = ville;"; ?>
			} else {
			  alert("No results found");
			}
		  } else {
			alert("Geocoder failed due to: " + status);
		  }
		});		  
	}
	
    function init_GMapFP() {
		//redimensionne la lageur des editeurs
		if (window.addEventListener){
		 window.addEventListener("resize",GMapFP_editor_resize,false);}  
		else if (window.attachEvent){
		 window.attachEvent("onresize",GMapFP_editor_resize);
		}
		GMapFP_editor_resize();
		
		UpdateAddress();
		geocoder = new google.maps.Geocoder();
        
		var lat, lng, zoom_carte;
        if(document.adminForm.glat.value!=0) lat = document.adminForm.glat.value;
        else lat = <?php echo $_lat?>;
        if(document.adminForm.glng.value!=0) lng = document.adminForm.glng.value;
        else lng = <?php echo $_lng?>;
        if(document.adminForm.gzoom.value!=0) zoom_carte = parseInt(document.adminForm.gzoom.value);
        else zoom_carte = <?php echo $_zoom?>;

		var latlng = new google.maps.LatLng(lat, lng);
		var myOptions = {
		  zoom: zoom_carte,
		  center: latlng,
		  <?php if (!$this->params->get('gmapfp_draggable', 1)) { //dplacement de la carte ?>
		  draggable: false,
		  keyboardShortcuts: false,
		  panControl: false,
		  <?php } ?>
		  <?php if (!$this->params->get('gmapfp_enable_zoom', 1)) { //zoom de la carte ?>
		  disableDoubleClickZoom: true,
		  zoomControl: false,
		  keyboardShortcuts: false,
		  scrollwheel: false,
		  <?php } ?>
		  <?php if ($this->params->get('gmapfp_zoom_min')) { //zoom min de la carte ?>
		  minZoom: <?php echo $this->params->get('gmapfp_zoom_min', 10)?>,
		  <?php } ?>
		  mapTypeId: google.maps.MapTypeId.ROADMAP
		};

		soumission_gmapfp_map = new google.maps.Map(document.getElementById("soumission_gmapfp_map"), myOptions);

		<?php 
		  	if ($this->params->get('gmapfp_KML')) { //fichier KML 
				$kmls = explode(';', $this->params->get('gmapfp_KML'));
				$count = 0;
		?>
			var optionkml = {
				preserveViewport: true
			}
		<?php 
				foreach ($kmls as $kml) {
					$count++;
		?>
            ctaLayer<?php echo $count;?> = new google.maps.KmlLayer('<?php echo $kml;?>', optionkml);
                ctaLayer<?php echo $count;?>.setMap(soumission_gmapfp_map);
		<?php 
				}
		  	}
		?>

        var input = document.getElementById('autocomplete_adresse');
        var autocomplete_gmapfp_soumission = new google.maps.places.Autocomplete(input);

		google.maps.event.addListener(autocomplete_gmapfp_soumission, 'place_changed', function() {
			document.getElementById('localisation').value = document.getElementById('adresse').value + ' ' + document.getElementById('adresse2').value + ' ' + document.getElementById('autocomplete_adresse').value;
			showAddress(document.getElementById('localisation'));
		});

	  google.maps.event.addListener(soumission_gmapfp_map, "bounds_changed", function() {
		   document.adminForm.gzoom.value = soumission_gmapfp_map.getZoom();
	  });

		var infos_marqueur = ["http://www.google.com/mapfiles/marker.png", 20, 34, 10, 34];
		var image_marker = new google.maps.MarkerImage(
			infos_marqueur[0],
            new google.maps.Size(infos_marqueur[1], infos_marqueur[2]),
            new google.maps.Point(0,0),
            new google.maps.Point(infos_marqueur[3], infos_marqueur[4])
		);
		var shape_marker = {
			coord: [0, 0, infos_marqueur[1], infos_marqueur[2]],
			type: 'rect'
		};

	  // Create a draggable marker which will later on be binded to a
      marker1 = new google.maps.Marker({
          map: soumission_gmapfp_map,
          position: new google.maps.LatLng(lat, lng),
          draggable: true,
            icon: image_marker,
			shape: shape_marker,
          title: '<?php echo JText::_( 'GMAPFP_DRAG_ME' ); ?>'
      });
	  google.maps.event.addListener(marker1, "drag", function() {
		document.adminForm.glat.value = marker1.getPosition().lat();
		document.adminForm.glng.value = marker1.getPosition().lng();
	  });
	  google.maps.event.addListener(marker1, "dragend", function() {
		autocomplet_champs(marker1.getPosition(), false);
	  });
    }

    // Register an event listener to fire when the page finishes loading.
    google.maps.event.addDomListener(window, 'load', pre_init_GMapFP);

	var tstIntGMapFP;
	
	function CheckGMapFP() {
		if (document.getElementById("soumission_gmapfp_map")) {
			if (document.getElementById("soumission_gmapfp_map").offsetWidth != document.getElementById("soumission_gmapfp_map").getAttribute("oldValue")) {
				document.getElementById("soumission_gmapfp_map").setAttribute("oldValue",document.getElementById("soumission_gmapfp_map").offsetWidth);
				init_GMapFP();
			}
		}
	}
	
	function pre_init_GMapFP() {
	   document.getElementById("soumission_gmapfp_map").setAttribute("oldValue",0);
	   tstIntGMapFP = setInterval("CheckGMapFP()",500);
	}

	function GMapFP_editor_resize(){
		//Ajustement des fentres d'diteur		   
		var maDivForm = document.getElementById("gmapfp_titre");
		var maDivTitre = document.getElementById("gmapfp_titres");
		var maTaille = ''+(maDivForm.offsetWidth-maDivTitre.offsetWidth-50)+'px';
		var maDivEdit1 = document.getElementById("Edit1");
		maDivEdit1.style.width = maTaille;
		var maDivEdit2 = document.getElementById("Edit2");
		maDivEdit2.style.width = maTaille;
		<?php if (($this->params->get('gmapfp_submit_mess'))&&(!GMAPFP_ANDROID)){?>
		var maDivTextMessage = document.getElementById("text_message");
		maDivTextMessage.className = maDivTextMessage.className + " required";
		<?php }?>
		<?php if (($this->params->get('gmapfp_submit_prix'))&&(!GMAPFP_ANDROID)){?>
		var maDivTextHoraire = document.getElementById("text_horaires_prix");
		maDivTextHoraire.className = maDivTextHoraire.className + " required";
		<?php }?>

	}

    function showAddress(e) {
		if (geocoder) {
			geocoder.geocode( { 'address' : e.value}, function(results, status) {
				if (status == google.maps.GeocoderStatus.OK) {
				  soumission_gmapfp_map.setCenter(results[0].geometry.location);
				  marker1.setPosition(results[0].geometry.location); 
					document.adminForm.glat.value = results[0].geometry.location.lat();
					document.adminForm.glng.value = results[0].geometry.location.lng();
					autocomplet_champs(results[0].geometry.location, false);
				} else {
				  alert(address + " not found for the following reason: " + status);
				}
			})
		} else {
			alert('Fonction geocodeur non active !');
		}
    }

    function getCoordinate() {
		var lat, lng;
        if(document.adminForm.glat.value!=0) lat = document.adminForm.glat.value;
        else lat = <?php echo $_lat?>;
        if(document.adminForm.glng.value!=0) lng = document.adminForm.glng.value;
        else lng = <?php echo $_lng?>;
        if(document.adminForm.gzoom.value!=0) zoom_carte = parseInt(document.adminForm.gzoom.value);
        else zoom = <?php echo $_zoom?>;

		var latlng = new google.maps.LatLng(lat, lng);
		soumission_gmapfp_map.setZoom(zoom_carte);
		soumission_gmapfp_map.setCenter(latlng);
		marker1.setPosition(latlng); 
		autocomplet_champs(latlng, false);
    }
	
	function changeDisplayImage(chemin) {
		if (document.adminForm.img.value !='') {
			document.adminForm.imagelib.src=chemin + document.adminForm.img.value;
		} else {
			document.adminForm.imagelib.src=chemin + '../blank/blank.png';
		}
	}

    function addphoto(namefile, file){
        var optX = new Option(file, namefile);
        var selX = document.adminForm.elements['img'];
        var lenghX = selX.length;
        selX.options[lenghX] = optX;
                selX.options[lenghX].selected = true;
    }

	function jSelectArticle(id, title, object) {
		document.getElementById(object + '_id').value = id;
		document.getElementById(object + '_name').value = title;
		document.getElementById('sbox-window').close();
	}

	function UpdateAddress(){
 		document.adminForm.localisation.value = document.adminForm.adresse.value + " " + document.adminForm.adresse2.value + " " + document.adminForm.codepostal.value + " " + document.adminForm.ville.value + " " + document.adminForm.departement.value + ", " + document.adminForm.pay.value;	
	}

	function IsReal(id){
		MonNombre=document.getElementById(id).value;
		if(isNaN(MonNombre))
		{
			alert("\"" + MonNombre + "\" <?php echo JText::_( 'GMAPFP_PAS_NOMBRE' ); ?>");
			return false;
		}	
		return true;
	}

	function change_disable (nom) {
		document.getElementById(nom).removeAttribute('readonly');
		document.getElementById('disable'+nom).className = "";
		document.getElementById('button'+nom).style.display = "none";
	}
</script>

<?php if ($this->params->get('show_page_heading', 1)) : ?>
<div class="componentheading<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
<h1>
	<?php echo $this->escape($this->params->get('page_title')); ?>
</h1>
</div>
<?php endif; ?>

<p>
<?php echo $this->params->get('intro'); ?>
</p>

<form action="<?php  echo JRoute::_('index.php?',false);?>" class="gmapfp" method="post" name="adminForm" id="adminForm">
<div id="gmapfp_submit" style="overflow:auto;">
	<fieldset class="adminform" id="gmapfp_titre">
	<table class="admintable">
		<tr>
			<td width="20%" class="key">
				<label for="nom">
					<?php 
                        if (@$this->custom[6]->nom) {
                            echo $this->custom[6]->nom.$image;;
                        }else{
                            echo JText::_( 'GMAPFP_NOM' ).$image;;
                        }
                    ?>
				</label>
			</td>
			<td>
				<input class="inputbox required" type="text" name="nom" id="nom" size="60" maxlength="200" value="<?php echo str_replace('"', '&quot;',$this->items->nom); ?>" />
			</td>
		</tr>
		<?php if($this->params->get('choix_categorie')) { ?>
        <tr>
            <td class="key">
                <label for="catid">
                    <?php 
                        if (@$this->custom[12]->nom) {
                            echo $this->custom[12]->nom.$image;;
                        }else{
                            echo JText::_( 'JCATEGORY' ).$image;;
                        }
                    ?>
                </label>
            </td>
            <td>
                <?php
                    echo $this->lists['catid'];
                ?>
            </td>
        </tr>
        <?php }else{ 
            if (!$this->params->get('catids')) {
                echo '<script language="javascript" type="text/javascript">
                    alert("'.JText::_( 'GMAPFP_CAT_DANS_MENU' ).'")
                    </script>';
            }else{
				$catids = $this->params->get('catids');
                echo '<input type="hidden" name="catid" value="'.$catids[0].'" />';
            };
        }; ?>
        <tr <?php if (@$this->params->get('choix_langue')){echo 'style="display: none; visibility: hidden;"';}?>>
            <td class="key">
                <label for="langue">
                    <?php 
                    echo JText::_( 'JFIELD_LANGUAGE_LABEL' );
                    ?>
                </label>
            </td>
            <td>
                <?php
                    echo $this->lists['langue'];
                ?>
            </td>
        </tr>
	</table>
    </fieldset>
	<?php             
        if ($jpane_ok) {
            echo JHtml::_('tabs.start','content-sliders-'.$this->items->id, array('useCookie'=>1));
            echo JHtml::_('tabs.panel',JText::_('GMAPFP_LOCALISATION'), 'adminform');
        }else{
            echo '<fieldset class="adminform">';
            echo '<legend>'.JText::_( 'GMAPFP_LOCALISATION' ).'</legend>';
        }
    ?>
	<div class="clearboth"></div>
	<table class="detail">
		<tr>
			<td class="col1" width="50%">
				<table>
					<?php
                        if (@$this->extension_fields[0])
                        foreach($this->extension_fields[0] as $field) {
                            echo $field;
                        };
                    ?>
                    <tr <?php if (@$this->params->get('choix_adr1')){echo 'style="display: none; visibility: hidden;"';}?>>
            			<td width="15%" class="key">
                            <label for="adresse">
                                <?php echo JText::_( 'GMAPFP_ADRESSE' ); ?> 1
                                <?php if ($this->params->get('gmapfp_submit_adr1')){echo $image;} ?>
                            </label>
                        </td>
                        <td>
                            <input class="inputbox <?php if ($this->params->get('gmapfp_submit_adr1')){echo 'required';} ?>" type="text" name="adresse" id="adresse" onchange="UpdateAddress();" size="30" maxlength="200" value="<?php echo str_replace('"', '&quot;',$this->items->adresse); ?>" />
                        </td>
                    </tr>
                    <tr <?php if (@$this->params->get('choix_adr2')){echo 'style="display: none; visibility: hidden;"';}?>>
            			<td width="15%" class="key">
                            <label for="adresse2">
                                <?php echo JText::_( 'GMAPFP_ADRESSE' ); ?> 2
                                <?php if ($this->params->get('gmapfp_submit_adr2')){echo $image;} ?>
                            </label>
                        </td>
                        <td>
                            <input class="inputbox <?php if ($this->params->get('gmapfp_submit_adr2')){echo 'required';} ?>" type="text" name="adresse2" id="adresse2" onchange="UpdateAddress();" size="30" maxlength="200" value="<?php echo str_replace('"', '&quot;',$this->items->adresse2); ?>" />
                        </td>
                    </tr>
                    <tr <?php if (!$this->params->get('gmapfp_autocomplete_adresse',0)){echo 'style="display: none; visibility: hidden;"';}?>>
                        <td class="key">
                            <label for="codepostal">
                                <?php echo JText::_( 'GMAPFP_VILLE' ); ?>
                            </label>
                        </td>
                        <td>
                            <input class="inputbox" type="text" name="autocomplete_adresse" id="autocomplete_adresse" size="50" maxlength="80" title="<?php echo JText::_( 'GMAPFP_VILLE_DESC' ); ?>"/>
                        </td>
                    </tr>
                    <tr <?php if ($this->params->get('choix_cp', 1)){echo 'style="display: none; visibility: hidden;"';}?> id="disablecodepostal" class="disable">
            			<td width="15%" class="key">
                            <label for="codepostal">
                                <?php echo JText::_( 'GMAPFP_CODEPOSTAL' );
                                if ($this->params->get('gmapfp_submit_cp')){echo $image;} ?>
                            </label>
                        </td>
                        <td>
                            <input class="inputbox <?php if ($this->params->get('gmapfp_submit_cp')){echo 'required';} ?>" type="text" name="codepostal" id="codepostal" onchange="UpdateAddress();" size="30" maxlength="80" value="<?php echo str_replace('"', '&quot;',$this->items->codepostal); ?>"  <?php echo $readonly; ?>/>
                            <div class="blank enable" id="buttoncodepostal" style="margin-right:5px; float: left;"> 
                                    <input type="button" style="margin:0px;" class="button" onclick="change_disable('codepostal');" value="<?php echo JText::_('JACTION_EDIT'); ?>" />
                            </div> 
                        </td>
                    </tr>
                    <tr <?php if ($this->params->get('choix_ville', 1)){echo 'style="display: none; visibility: hidden;"';}?> id="disableville" class="disable">
            			<td width="15%" class="key">
                            <label for="ville">
                                <?php echo JText::_( 'GMAPFP_VILLE' );
                                if ($this->params->get('gmapfp_submit_ville')){echo $image;} ?>
                            </label>
                        </td>
                        <td>
                            <input class="inputbox <?php if ($this->params->get('gmapfp_submit_ville')){echo 'required';} ?>" type="text" name="ville" id="ville" onchange="UpdateAddress();" size="30" maxlength="200" value="<?php echo str_replace('"', '&quot;',$this->items->ville); ?>"  <?php echo $readonly; ?>/>
                            <div class="blank enable" id="buttonville" style="margin-right:5px; float: left;"> 
                                    <input type="button" style="margin:0px;" class="button" onclick="change_disable('ville');" value="<?php echo JText::_('JACTION_EDIT'); ?>" />
                            </div> 
                        </td>
                    </tr>
                    <tr <?php if ($this->params->get('choix_dep', 1)){echo 'style="display: none; visibility: hidden;"';}?> id="disabledepartement" class="disable">
            			<td width="15%" class="key">
                            <label for="departement">
                                <?php echo JText::_( 'GMAPFP_DEPARTEMENT' );
                                if ($this->params->get('gmapfp_submit_departement')){echo $image;} ?>
                            </label>
                        </td>
                        <td>
                            <input class="inputbox <?php if ($this->params->get('gmapfp_submit_departement')){echo 'required';} ?>" type="text" name="departement" id="departement" maxlength="200" onchange="UpdateAddress();" size="30" value="<?php echo str_replace('"', '&quot;',$this->items->departement); ?>"  <?php echo $readonly; ?>/>
                            <div class="blank enable" id="buttondepartement" style="margin-right:5px; float: left;"> 
								<input type="button" style="margin:0px;" class="button" onclick="change_disable('departement');" value="<?php echo JText::_('JACTION_EDIT'); ?>" />
                            </div> 
                        </td>
                    </tr>
                    <tr <?php if ($this->params->get('choix_pays', 1)){echo 'style="display: none; visibility: hidden;"';}?> id="disablepay" class="disable">
            			<td width="15%" class="key">
                            <label for="pay">
                                <?php echo JText::_( 'GMAPFP_PAYS' );
                                if ($this->params->get('gmapfp_submit_pays')){echo $image;} ?>
                            </label>
                        </td>
                        <td>
                            <input class="inputbox <?php if ($this->params->get('gmapfp_submit_pays')){echo 'required';} ?>" type="text" name="pay" id="pay" onchange="UpdateAddress();" size="30" maxlength="200" value="<?php echo str_replace('"', '&quot;',$this->items->pay); ?>"  <?php echo $readonly; ?>/>
                            <div class="blank enable" id="buttonpay" style="margin-right:5px; float: left;"> 
								<input type="button" style="margin:0px;" class="button" onclick="change_disable('pay');" value="<?php echo JText::_('JACTION_EDIT'); ?>"/>
                            </div> 
                        </td>
                    </tr>
                    <tr <?php if (!$this->params->get('gmapfp_autocomplete_adresse',0) or (
										$this->params->get('choix_ville', 1) and 
										$this->params->get('choix_cp', 1) and 
										$this->params->get('choix_dep', 1) and 
										$this->params->get('choix_pays', 1) 
										)){echo 'style="display: none; visibility: hidden;"';}?>>
                        <td>
                        </td>
                        <td>
                        	<input type="button" class="hasTip button" onclick="autocomplet_champs('', true);" title="<?php 
								echo JText::_('GMAPFP_REACATUALISER').'::'.JText::_('GMAPFP_REACATUALISER_DESC'); 
								$tmp = array();
								if (!$this->params->get('choix_ville', 1)) $tmp[] = substr(JText::_('GMAPFP_VILLE'), 0, -8);
								if (!$this->params->get('choix_cp', 1)) $tmp[] = substr(JText::_('GMAPFP_CODEPOSTAL'), 0, -8);
								if (!$this->params->get('choix_dep', 1)) $tmp[] = substr(JText::_('GMAPFP_DEPARTEMENT'), 0, -8);
								if (!$this->params->get('choix_pays', 1)) $tmp[] = substr(JText::_('GMAPFP_PAYS'), 0, -8);
								echo implode(', ', $tmp);
							?>"  value="<?php 
								echo JText::_('GMAPFP_REACATUALISER'); ?>"/>
                        </td>
                    </tr>
					<?php
                        if (@$this->extension_fields[1])
                        foreach($this->extension_fields[1] as $field) {
                            echo $field;
                        };
                    ?>
                    <?php
                        if (@$this->extension_fields[2])
                        foreach($this->extension_fields[2] as $field) {
                            echo $field;
                        };
                    ?>
                    <tr <?php if (@$this->params->get('choix_email')){echo 'style="display: none; visibility: hidden;"';}?>>
            			<td width="15%" class="key">
                            <label for="email">
                                <?php echo JText::_( 'GMAPFP_EMAIL' );
                                if ($this->params->get('gmapfp_submit_email')){echo $image;} ?>
                            </label>
                        </td>
                        <td>
                            <input class="inputbox <?php if ($this->params->get('gmapfp_submit_email')){echo 'required validate-email';} ?>" type="text" name="email" id="email" size="30" maxlength="100" value="<?php echo str_replace('"', '&quot;',$this->items->email); ?>" />
                        </td>
                    </tr>
                    <tr <?php if (@$this->params->get('choix_web')){echo 'style="display: none; visibility: hidden;"';}?>>
            			<td width="15%" class="key">
                            <label for="web">
                                <?php echo JText::_( 'GMAPFP_SITE_WEB' );
                                if ($this->params->get('gmapfp_submit_web')){echo $image;} ?>
                            </label>
                        </td>
                        <td>
                            <input class="inputbox <?php if ($this->params->get('gmapfp_submit_web')){echo 'required';} ?>" type="text" name="web" id="web" size="30" maxlength="200" value="<?php echo str_replace('"', '&quot;',$this->items->web); ?>" />
                        </td>
                    </tr>
					<?php
                        if (@$this->extension_fields[3])
                        foreach($this->extension_fields[3] as $field) {
                            echo $field;
                        };
                    ?>
				</table>
			</td>
			<td class="col2" >
				<table <?php if ((!$this->params->get('choix_list_image'))&&(!$this->params->get('choix_upload_image'))){echo 'style="display: none; visibility: hidden;"';}?>>
                    <tr>
            			<td width="15%" class="key">
                            <label for="imagelib">
                                <?php echo JText::_('GMAPFP_IMAGE');?>
                                <?php if ($this->params->get('gmapfp_submit_picture')){echo $image;} ?>
                            </label>
                        </td>
					</tr>
                    <tr>
                        <td valign="center">           	
                            <div id="gmapfp_image" style="overflow:none;">
                            <?php 
                                $directory		= JURI::base().'images/gmapfp/thumbsArt/';
            
                                if ((stristr($this->items->img,'bmp'))||(stristr($this->items->img,'gif'))||(stristr($this->items->img,'jpg'))||(stristr($this->items->img,'jpeg'))||(stristr($this->items->img,'png'))) {
                                    ?>
                                        <img src="<?php echo $directory.$this->items->img; ?>" name="imagelib" />
                                        &nbsp;<br /><br />
                                    <?php
                                } else {
                                    ?>
                                    <img src="images/gmapfp/blank/blank.png" name="imagelib" />
                                    &nbsp;<br /><br />
                                    <?php
                                }
                                echo'</div>';
                                echo '<div '; if (!@$this->params->get('choix_list_image')){echo 'style="display: none; visibility: hidden;"';}; echo'>';
                                    echo $this->lists['images'];
                                echo'</div>';
                            ?>
                    <?php if($this->params->get('choix_upload_image')) { ?>
                                <br /><a style="cursor:pointer; font-size: 150%" onclick="popupWindow('index.php?option=com_gmapfp&controller=editlieux&tmpl=component&task=edit_upload','win1',420,120,'no');" class="toolbar"><span class="icon-32-upload" style="height:32px; width:32px; display:block; clear: both;">&nbsp;</span> <?php echo JText::_('GMAPFP_UPLOAD') ?></a>
                    <?php }; ?>
                        </td>
                    </tr>
				</table>
			</td>
		</tr>
	</table>
	<table>
		<tr <?php if (@$this->params->get('choix_rechercher')){echo 'style="display: none; visibility: hidden;"';}?>>
            <td width="15%" class="key">
            	<label for="localisation">       
            		<?php echo JText::_('GMAPFP_MAJ_ADRESSE'); ?>
            	</label>
            </td>
            <td valign="top">
            	<input type="text" style="width:90% !important" id="localisation" name="localisation" value="" /><input type="button" class="button" onclick="showAddress(document.getElementById('localisation'));" value="<?php echo JText::_('JSEARCH_FILTER_SUBMIT'); ?>" />
            </td>
		</tr>
        <tr <?php if (@$this->params->get('choix_lat_lng')){echo 'style="display: none; visibility: hidden;"';}?>>
            <td width="15%" class="key">
            	<label for="glat">
                	<?php echo JText::_('GMAPFP_LAT'); ?> 
              	</label>
            	<label for="glng">
                	- <?php echo JText::_('GMAPFP_LON'); ?> 
              	</label>
            	<label for="gzoom">
                	- Zoom:
              	</label>
            	<label>
					<?php if ($this->params->get('gmapfp_submit_lat_lng')){echo $image;} ?>
              	</label>
            </td>
            <td valign="top">
                <input class="inputbox <?php if ($this->params->get('gmapfp_submit_lat_lng')){echo 'required';} ?>" onblur="IsReal('glat');" type="text" name="glat" id="glat" size="24" maxlength="30" value="<?php echo $this->items->glat ?>" />
                <input class="inputbox <?php if ($this->params->get('gmapfp_submit_lat_lng')){echo 'required';} ?>" onblur="IsReal('glng');" type="text" name="glng" id="glng" size="24" maxlength="30" value="<?php echo $this->items->glng ?>" />
                <input class="inputbox" onblur="IsReal('gzoom');" type="text" name="gzoom" id="gzoom" size="2" maxlength="2" value="<?php echo $this->items->gzoom ?>" />
                <input type="button" onclick="getCoordinate();" class="button" value="<?php echo JText::_('GMAPFP_CHERCHER_COORDONNEES'); ?>" />
            </td>
    	</tr>
        <tr <?php if (@$this->params->get('choix_map')){echo 'style="display: none; visibility: hidden;"';}?>>
            <td width="15%" class="key">
              	<label for="glat">
              		<?php echo JText::_('GMAPFP_CARTE'); ?>
              	</label>
            </td>
            <td>
            	<div id="soumission_gmapfp_map" style="width:100%; height:<?php echo (int)$this->params->get('gmapfp_height', 400);?>px; overflow:hidden;"></div>
            </td>
        </tr>
		<?php 
			if($this->params->get('choix_marqueur', 0)) {
				echo '<tr>';
			} else {
				echo '<tr style="display: none; visibility: hidden;">';
			}
		?>
            <td width="15%" class="key">
				<label for="marker"><?php echo JText::_( 'GMAPFP_MARKER' ); ?></label>
			</td>
			<td>
				<?php 
					$marqueurs = '';
					$marqueur_cat = '';
					$id_marqueur_cat = 0;
					$marqueurs_a_afficher = $this->params->get('marqueur_def', array());
					$deja_checked = false;
					if (property_exists($this, 'item') and property_exists(json_decode($this->item->cat_params), 'default_marqueur_categories'))$id_marqueur_cat = json_decode($this->item->cat_params)->default_marqueur_categories;
					$cnt = 0;
					foreach($this->marqueurs as $marqueur) {
						if (empty($marqueurs_a_afficher) or in_array($marqueur->id, $marqueurs_a_afficher)) {
							$checked = '';
							if (in_array(0, $marqueurs_a_afficher) or empty($marqueurs_a_afficher)) { $checked = 'checked="checked"'; }
							if (empty($marqueurs_a_afficher) and ($marqueur->id == $id_marqueur_cat or (!$id_marqueur_cat and !$cnt)) or in_array(0, $marqueurs_a_afficher)) {
								$marqueur_cat = '<div style="display: inline-block; vertical-align: bottom; border-right:1px solid #cccccc; width:40px; text-align: center;"><img src="'.JUri::root().'images/gmapfp/marqueurs/cat_default.png" title="'.JText::_( 'GMAPFP_MARKER_CAT_DEFAULT').'" /><br /><input type="radio" style="float:none;" name="index_marqueur" id="index_marqueur" value="0" '.$checked.' /></div>';
							}
							$checked = '';
							if (!empty($marqueurs_a_afficher) and !in_array(0, $marqueurs_a_afficher) and in_array($marqueur->id, $marqueurs_a_afficher) and !$deja_checked) { 
								$checked = 'checked="checked"'; 
								$deja_checked = true;
							}
							$marqueurs .= '<div style="display: inline-block; vertical-align: bottom; border-right:1px solid #cccccc; width:40px; text-align: center;"><img src="'.str_replace('..', JUri::root(), $marqueur->url).'" title="'.$marqueur->nom.'" /><br /><input type="radio" style="float:none;" name="index_marqueur" id="index_marqueur" value="'.$marqueur->id.'" '.$checked.' /></div>';
							$cnt++;
						}
					}
					echo $marqueur_cat.$marqueurs;
					unset($marqueur);
					?>
			</td>
		</tr>
	</table>
   <?php             
	if (!$this->params->get('choix_classements') or !$this->params->get('choix_labels') or !$this->params->get('choix_pictos')) {
		$hidden = '';
	} else {
		$hidden = 'style="display: none; visibility: hidden;"';
	}
	if ($jpane_ok and empty($hidden)) {
		echo JHtml::_('tabs.panel',JText::_('GMAPFP_ICONS'), 'adminform');
	}else{
		echo '</fieldset>';
		echo '<fieldset '.$hidden.'>';
		echo '<legend>'.JText::_( 'GMAPFP_ICONS' ).'</legend>';
	}
    ?>            
	<div class="clearboth"></div>
	<table>
    	<tr <?php if (@$this->params->get('choix_labels')){echo 'style="display: none; visibility: hidden;"';}?>>
            <td width="15%" class="key">
                <label for="labels">
                    <?php echo JText::_( 'GMAPFP_LABELS' ); ?>
                    <?php if ($this->params->get('gmapfp_submit_labels')){echo $image;} ?>
                </label>
            </td>
            <td>
                <?php echo $this->lists['labels'];?>
			</td>
		</tr>
    	<tr <?php if (@$this->params->get('choix_classements')){echo 'style="display: none; visibility: hidden;"';}?>>
            <td width="15%" class="key">
                <label for="classements">
                    <?php echo JText::_( 'GMAPFP_CLASSEMENTS' ); ?>
                    <?php if ($this->params->get('gmapfp_submit_classements')){echo $image;} ?>
                </label>
            </td>
            <td>
                <?php echo $this->lists['classements'];?>
			</td>
		</tr>
    	<tr <?php if (@$this->params->get('choix_pictos')){echo 'style="display: none; visibility: hidden;"';}?>>
            <td width="15%" class="key">
                <label for="pictos">
                    <?php echo JText::_( 'GMAPFP_PICTOS' ); ?>
                    <?php if ($this->params->get('gmapfp_submit_pictos')){echo $image;} ?>
                </label>
            </td>
            <td>
                <?php echo $this->lists['pictos'];?>
			</td>
		</tr>
	</table>
   <?php             
	if ($this->params->get('choix_message', 0) and $this->params->get('choix_horaire', 0) and empty($this->extension_fields[4]) and empty($this->extension_fields[5]) and empty($this->extension_fields[6])) {
		$hidden = 'style="display: none; visibility: hidden;"';
	} else {
		$hidden = '';
	}
	if ($jpane_ok and empty($hidden)) {
		echo JHtml::_('tabs.panel',JText::_('GMAPFP_DETAILS'), 'adminform');
	}else{
		echo '</fieldset>';
		echo '<fieldset '.$hidden.'>';
		echo '<legend>'.JText::_( 'GMAPFP_DETAILS' ).'</legend>';
	}
    ?>            
	<div class="clearboth"></div>
	<table>
		<?php
            if (@$this->extension_fields[4])
            foreach($this->extension_fields[4] as $field) {
                echo $field;
            };
        ?>
    	<tr <?php if (@$this->params->get('choix_message')){echo 'style="display: none; visibility: hidden;"';}?>>
            <td class="key" id="gmapfp_titres" class="key">
            	<label for="text_message">
					<?php 
                        if (@$this->custom[10]->nom) {
                            echo $this->custom[10]->nom;
                        }else{
                            echo JText::_( 'GMAPFP_MESSAGE' );
                        }
                    ?>
					<?php if ($this->params->get('gmapfp_submit_mess')){echo $image;} ?>
            	</label>
            </td>
        	<td>
            	<div id="Edit1" style="overflow:auto;">
                    <?php
					if (GMAPFP_ANDROID) {
						if ($this->params->get('gmapfp_submit_mess')){$class = 'required';}else{$class = '';}
						echo '<textarea class="inputbox '.$class.'" rows="6" cols="" style="width:95%;" id="text_message" name="text_message">'.$this->items->text.'</textarea>';
					}else{
                    	echo $editor->display( 'text_message', $this->items->text, '95%', '300', '75', '20', false);
					}
                    ?>
                </div>
        	</td>
		</tr>
    	<tr <?php if (@$this->params->get('choix_horaire')){echo 'style="display: none; visibility: hidden;"';}?>>
            <td width="15%" class="key">
            	<label for="text_horaires_prix">
					<?php 
                        if (@$this->custom[11]->nom) {
                            echo $this->custom[11]->nom;
                        }else{
                            echo JText::_( 'GMAPFP_HORAIRES_PRIX' );
                        }
                    ?>
					<?php if ($this->params->get('gmapfp_submit_prix')){echo $image;} ?>
            	</label>
            </td>
        	<td>
            	<div id="Edit2" style="overflow:auto;">
					<?php
					if (GMAPFP_ANDROID) {
						if ($this->params->get('gmapfp_submit_prix')){$class = 'required';}else{$class = '';}
						echo '<textarea class="inputbox '.$class.'" rows="6" cols="" style="width:95%;" id="text_horaires_prix" name="text_horaires_prix">'.$this->items->horaires_prix.'</textarea>';
					}else{
                    	echo $editor->display( 'text_horaires_prix', $this->items->horaires_prix, '95%', '200', '75', '20', false);
					}
                    ?>
                </div>
        	</td>
		</tr>
		<?php
            if (@$this->extension_fields[5])
            foreach($this->extension_fields[5] as $field) {
                echo $field;
            };
            if (@$this->extension_fields[6])
            foreach($this->extension_fields[6] as $field) {
                echo $field;
            };
        ?>
    </table>
   <?php             
	if ($this->params->get('choix_meta')) {
		$hidden = 'style="display: none; visibility: hidden;"';
	} else {
		$hidden = '';
	}
	if ($jpane_ok and empty($hidden)) {
		echo JHtml::_('tabs.panel',JText::_('GMAPFP_MOTEUR'), 'adminform');
	}else{
		echo '</fieldset>';
		echo '<fieldset '.$hidden.'>';
		echo '<legend>'.JText::_( 'GMAPFP_MOTEUR' ).'</legend>';
	}
    ?>            
	<div class="clearboth"></div>
	<table>
		<tr <?php if (@$this->params->get('choix_meta')){echo 'style="display: none; visibility: hidden;"';}?>>
			<td class="key" width="15%">
				<label for="metadesc">
					<?php echo JText::_( 'JFIELD_META_DESCRIPTION_LABEL' ); ?>
				</label>
			</td>
			<td>
				<textarea class="inputbox" name="metadesc" id="metadesc" cols="" rows="4" style="width:95% !important;"><?php echo $this->items->metadesc; ?></textarea>
			</td>
		</tr>
		<tr <?php if (@$this->params->get('choix_meta')){echo 'style="display: none; visibility: hidden;"';}?>>
            <td width="15%" class="key">
				<label for="metakey">
					<?php echo JText::_( 'JFIELD_META_KEYWORDS_LABEL' ); ?>
				</label>
			</td>
			<td>
				<textarea class="inputbox" name="metakey" id="metakey" cols="" rows="4" style="width:95% !important;"><?php echo $this->items->metakey; ?></textarea>
			</td>
		</tr>
	</table>
	</fieldset>
</div>
<div> 
	<fieldset>
        <div class="icon-32-back" style="float:right; width:32px; height:32px;"></div>
        <div class="next" style="float:right;">

			<button type="button" class="button" onclick="return validateForm();">
				<?php echo JText::_('GMAPFP_SOUMETTRE') ?>
			</button>



        </div>
        <div class="icon-32-forward" style="float:right; width:256px; height:32px;"></div>
	</fieldset>
</div>
<div class="clr"></div>

<input type="hidden" name="option" value="com_gmapfp" />
<input type="hidden" name="controller" value="editlieux" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="return" value="<?php echo base64_encode(JRoute::_('index.php?',false)); ?>" />
<?php echo JHTML::_( 'form.token' ); ?>
</form>
<?php if ($this->params->get('gmapfp_licence')) : ?>
<div class="copyright" align="center">
	<br />
	<?php echo JText::_( 'GMAPFP_COPYRIGHT' );?>
</div>
<?php endif; ?>
