<?php 
	/*
	* GMapFP Component Google Map for Joomla! 2.5.x
	* Version 10.70pro
	* Creation date: Janvier 2013
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die('Restricted access'); 

/*echo '<script type="text/javascript" src="http://localhost/essai/index.php?option=com_gmapfp&format=raw&layout=js-map"></script>';*/
$height_msg = '500px';
$width_msg = '400px';

//fonction pour execution des plugins dans la personnalisation
$dispatcher = JDispatcher::getInstance(); 
JPluginHelper::importPlugin('content'); 
?>

<?php if ($this->params->get('show_page_heading', 1)) : ?>
<div class="componentheading<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
<h1>
	<?php echo $this->escape($this->params->get('page_title')); ?>
</h1>
</div>
<?php endif; ?>

<?php if (($this->params->get('show_description', 1) || $this->params->def('show_description_image', 1)) && $this->params->def('catid')) : ?>
	<div class="category-desc">
	<?php if ($this->params->get('show_description_image') && $this->category->image) : ?>
		<img src="<?php echo $this->category->image; ?>"/>
	<?php endif; ?>
	<?php if ($this->params->get('show_description') && $this->category->description) : ?>
		<?php echo JHtml::_('content.prepare', $this->category->description, '', 'com_gmapfp.category'); ?>
	<?php endif; ?>
	<div class="clr"></div>
	</div>
<?php endif; ?>

<?php
echo '<div class="gmapfp">';

if ($this->params->get('gmapfp_filtre')==1) {
	$ajax = '';
	if ($this->ajax) $ajax = '_ajax';
	require(JPATH_SITE.DS.'components/com_gmapfp/views/gmapfp/tmpl/item_filtre'.$ajax.'.php');
};

if ((($this->params->get('type_affichage'))==0)||(($this->params->get('type_affichage'))==2)) : 
	echo '<div style="overflow: auto;">';
	echo $this->map;
	echo '</div>';
endif;
if (isset($this->perso->intro_detail)) {
	$article = new stdClass();
	$article->text=@$this->perso->intro_detail; 
    $results = $dispatcher->trigger('onPrepareContent', array (& $article, & $this->params, 0)); 
	echo $article->text;
}

//Verifier si un fichier article_template existe
$template = '';
if (($this->params->get('gmapfp_template')) and (is_file(JPATH_SITE.'/components/com_gmapfp/views/gmapfp/tmpl/'.$this->params->get('gmapfp_template').'_default.php'))) {
	$template = $this->params->get('gmapfp_template');
	$this->_layout=$template;
	echo JView::Display('default');
	$this->_layout='default';
} else {

	echo '<table class="blog'.$this->params->get('pageclass_sfx').' gmapfp" cellpadding="0" cellspacing="0">';
	 
	if (($this->params->get('type_affichage')<>2)&&($this->params->get('nombre_articles'))) : ?>
			<tr>
				<td valign="top">
				<?php for ($i = $this->pagination->limitstart; $i < ($this->pagination->limitstart + $this->params->get('nombre_articles')); $i++) : 
					if ($i >= $this->total) : break; endif;
	
					$this->lieu = $this->getItem($i, $this->params);
					$this->champs = $this->getChamps($i); 
					//$this->lieu =& $this->lieux[$i];
	
					//affichage du dtail d'un lieu
					$template = '';
					if (($this->params->get('gmapfp_template')) and (is_file(JPATH_SITE.'/components/com_gmapfp/views/gmapfp/tmpl/tmpl_'.$this->params->get('gmapfp_template').'_article.php'))) {
					$template = '_'.$this->params->get('gmapfp_template');
					}			
					$this->_layout='tmpl'.$template;
					echo JView::Display('article');
					$this->_layout='default';
				endfor;
	?>
				</td>
			</tr>
	<?php else : $i = $this->pagination->limitstart; endif; ?>
	</table>
	
	<?php if (($this->params->get('show_pagination'))&&(($this->params->get('type_affichage'))<>2)) : ?>
			<div class="pagination">
				<?php echo $this->pagination->getPagesLinks(); ?>
			</div>
	<?php endif; ?>
	<?php if (($this->params->get('show_pagination_results'))&&(($this->params->get('type_affichage'))<>2)) : ?>
			<div class="pagination">
				<?php echo $this->pagination->getPagesCounter(); ?>
			</div>
	<?php endif;
}
if (isset($this->perso->conclusion_detail)) {
	$article = new stdClass();
	$article->text=@$this->perso->conclusion_detail; 
	$results = $dispatcher->trigger('onPrepareContent', array (& $article, & $this->params, 0)); 
	echo $article->text;
}

if (($this->params->get('type_affichage'))==1) : 
	echo '<div style="overflow: auto;">';
	echo $this->map;
	echo '</div>';
endif;

if ($this->params->get('gmapfp_licence')) : ?>
<table class="gmapfp">
    <tr>
        <td valign="top" align="center">
            <?php echo JText::_('GMAPFP_COPYRIGHT'); ?>
        </td>
    </tr>
</table>
<?php endif; ?>
</div>