<?php
	/*
	* GMapFP Component Google Map for Joomla! 2.5.x
	* Version 10.88pro
	* Creation date: Aout 2013
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die('Restricted access'); 

//fonction pour execution des plugins
$dispatcher = JDispatcher::getInstance(); 
JPluginHelper::importPlugin('content'); 


echo '<table><tr><td>';
echo '<div class="gmapfp" id="gmapfp_article">';
//Verifier si un fichier article_template existe
$template = '';
	$height_msg = '500px';
	$width_msg = '400px';

	$config 	= JComponentHelper::getParams('com_gmapfp');
	$document   = JFactory::getDocument();
	$pane 		= JPane::getInstance();

	foreach ($this->lieux as $lieu) { 
	// insertion du lien canonique pour viter l'indexation par les robbots des lien comporant le "tmpl=component"
		$link =JRoute::_('index.php?option=com_gmapfp&view=gmapfp&layout=article&id='.$lieu->slug, false);
		$document->addCustomTag( '<link rel="canonical" href="'.$link.'" />');
		
		$this->lieu = $this->getItem(0, $this->params);
		$this->champs = $this->getChamps(0); 

		$path = COM_GMAPFP_IMAGES_FOLDER."/GA".$lieu->id;
		$path2 = COM_GMAPFP_IMAGES_HTTP."/GA".$lieu->id.'/';
		$path_thumbs = COM_GMAPFP_IMAGES_HTTP."/GA".$lieu->id."/thumbs/";

		if ($lieu->metadesc) {
			$document->setDescription( $lieu->metadesc );
		}
		if ($lieu->metakey) {
			$document->setMetadata('keywords', $lieu->metakey);
		}
		$document->setTitle(@$lieu->ville.' : '.$lieu->nom.' ('.$lieu->title.')');
		$mdata = new JParameter($this->lieu->metadata);
		$mdata = $mdata->toArray();
		foreach ($mdata as $k => $v)
		{
			if ($v) {
				$document->setMetadata($k, $v);
			}
		}
	?>
		<div id="enregistrement">
			<?php
					//affichage du dtail d'un lieu
					$template = '';
					if (($this->params->get('gmapfp_template_article')) and (is_file(JPATH_SITE.'/components/com_gmapfp/views/gmapfp/tmpl/tmpl_'.$this->params->get('gmapfp_template_article').'_article.php'))) {
						$template = '_'.$this->params->get('gmapfp_template_article');
					}			
					$this->_layout='tmpl'.$template;
					echo JView::Display('article');
					$this->_layout='default';

			?>
		</div>
	<?php       
		echo $pane->startPane( 'gmapfp_pane' );
		//carte
		echo $pane->startPanel(JText::_( 'GMAPFP_CARTE' ),'carte');
			echo '<div id="mapmap">';
			echo $this->map;
			echo '</div>';
		echo $pane->endPanel();
		//recherche les photos de la galerie
		require(JPATH_SITE.DS.'components/com_gmapfp/views/gmapfp/tmpl/item_galerie_v'.$this->lieu->params->get('gmapfp_num_galerie', 2).'.php');
		//champ custom
		echo $this->getChampsHtml(5, $pane);
		//email
		if (($this->lieu->email!=null)and($this->params->get('gmapfp_msg')==1)) {
			echo $pane->startPanel(JText::_( 'GMAPFP_DISPLAY_MSG' ),'message');
				echo "<div style='width:100%; min-height:".$config->get('gmapfp_height')."px; max-height:100%;' >";
				$this->_layout='item';
				echo JView::Display('msg');
				$this->_layout='default';
				echo "</div>";
			echo $pane->endPanel();
		}
		
		//insertion du lien externe
		$link4=substr($this->lieu->link,0,4);
		$link5=substr($this->lieu->link,0,5);
		$link9=substr($this->lieu->link,0,9);
		$link10=substr($this->lieu->link,0,10);
		$linkok=0;
		if ((!empty($this->lieu->icon))||(!$this->lieu->icon='')) {
			if ($this->lieu->article_slug>=1) {
				$linkmap=JRoute::_(ContentHelperRoute::getArticleRoute($this->lieu->article_slug, $this->lieu->article_id.':'.$this->lieu->article_alias, 0));
				$linkmap .= '?&tmpl=component';
				$linkok=1;
			};
			if (($link5=="http:")||($link4=="www.")||($link9=="index.php")) {
				$linkmap=$this->lieu->link;
				if ($link4=="www.") {$linkmap="http://".$linkmap;};
				if ($link10=="index.php?") {$linkmap=JURI::base().$linkmap."&tmpl=component";};
				$linkok=1;
			};
		};
		if ($linkok&&($this->lieu->icon<>'')) {
			if (!$this->lieu->icon_label) {
				$label = $this->lieu->icon;
			}else{
				$label = $this->lieu->icon_label;
			}
			echo $pane->startPanel($label,'lien_ext');
				echo "<iframe width='100%' height='".$config->get('gmapfp_height')."px' src='".$linkmap."'><a href='".$linkmap."'>SELFHTML</a></iframe>";
			echo $pane->endPanel();
		}

		//insertion de JComments
		  $jcomments =  JPATH_SITE.'/components/com_jcomments/jcomments.php';
		  if ((file_exists($jcomments))and($this->params->get('gmapfp_jcomments'))) {
			require_once($jcomments);
			echo $pane->startPanel(JText::_( 'GMAPFP_JCOMMENT' ),'JComments');
				echo '<div style="clear: both;">';
				echo JComments::showComments($lieu->id, 'com_gmapfp', $lieu->nom);
				echo '</div>';
			echo $pane->endPanel();
		  }

		echo $pane->endPane();
	};
?>
</div>
</td><td class="gmapfp_info_divers">
<?php
	echo $this->getChampsHtml(0);
?>
</td>
</tr>
</table>