<?php 
	/*
	* GMapFP Component Google Map for Joomla! 2.5.x
	* Version 10.117pro
	* Creation date: Ocotbre 2015
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die('Restricted access'); 
$config = JComponentHelper::getParams('com_gmapfp');
$layout = JRequest::getVar('layout', '', '', 'str');
$url = "http://".$_SERVER['SERVER_NAME'].$_SERVER['REQUEST_URI'];
$mod_class_suffix = $this->params->get('pageclass_sfx');

JHTML::_('behavior.formvalidation');

if ($this->params->get('captcha_type')) {
	$document   = JFactory::getDocument();
	$document->addCustomTag('
	<script type="text/javascript">
	 var RecaptchaOptions = {
		custom_translations : {
				instructions_visual : "'.JText::_('GMAPFP_RECAPTCHA_VISUAL').'",
				instructions_audio : "'.JText::_('GMAPFP_RECAPTCHA_AUDIO').'",
				play_again : "'.JText::_('GMAPFP_RECAPTCHA_AGAIN').'",
				cant_hear_this : "'.JText::_('GMAPFP_RECAPTCHA_HEAR').'",
				visual_challenge : "'.JText::_('GMAPFP_RECAPTCHA_VISUAL_CH').'",
				audio_challenge : "'.JText::_('GMAPFP_RECAPTCHA_AUDIO_CH').'",
				refresh_btn : "'.JText::_('GMAPFP_RECAPTCHA_REFRESH').'",
				help_btn : "'.JText::_('GMAPFP_RECAPTCHA_HELP').'",
				incorrect_try_again : "'.JText::_('GMAPFP_RECAPTCHA_TRY_AGAIN').'",
		},
		theme : \''.$this->params->get('gmapfp_recaptcha_color').'\'
	 };
	 </script>
	');
};

foreach ($this->lieux as $lieu) {
	$recipient = $lieu->email;
	$id = $lieu->id;
	$title = $lieu->nom;
};

?>

<div class="gmapfp contentpane<?php echo $config->get( 'pageclass_sfx' ); ?>">
<?php
	$user   = JFactory::getUser();
	$CORRECT_NOM=$user->name;
	$CORRECT_EMAIL=$user->email;
	$CORRECT_SUBJECT='';
	$CORRECT_MESSAGE='';

    if ($recipient === "") {
		JError::raiseWarning(0, JText::_('GMAPFP_EMAIL_RECEPTEUR'));
		return false;
    }
	?>
    
    <div class="gmapfp gmapfp_contact <?php echo $mod_class_suffix ?>">
		<form id="emailForm" action="<?php echo JRoute::_('index.php'); ?>" method="post" class="form-validate">
	<?php
    //essai de rcuprer les infos du fichier XML
    $div1 = '';
    $div2 = '';
    if (JFile::exists(JPATH_COMPONENT."/helpers/mail/email_fields.xml")) {
		$language = JFactory::getLanguage();
		$language->load('com_gmapfp_mail', JPATH_COMPONENT."/helpers/mail/");
        $xml_str = file_get_contents(JPATH_COMPONENT."/helpers/mail/email_fields.xml");
        $xml_data = simplexml_load_string($xml_str);
    
        if ($xml_data->div1) {
            foreach ($xml_data->div1->children() as $child) {
                $div1 .= '<label for="'.$child->getName().'">'."\n";
                $div1 .= JText::_( $child->attributes()->title )."\n";
                $div1 .= '</label><br />'."\n";
                $div1 .= $child->children()->asXML()."\n";
                $div1 .= '<br />'."\n";
            }
        }
        if ($xml_data->div2) {
            $div2 = '<div class="gmapfp_message_objet">'."\n";
                foreach ($xml_data->div2->children() as $child) {
                    $div2 .= '<label for="'.$child->getName().'">'."\n";
                    $div2 .= JText::_( $child->attributes()->title )."\n";
                    $div2 .= '</label><br />'."\n";
                    $div2 .= $child->children()->asXML()."\n";
                    $div2 .= '<br />'."\n";
                }
            $div2 .= '</div>'."\n";
        }
        unset($xml_str, $xml_data, $child);
    } else {
        $div2 = '<div class="gmapfp_message_objet">'."\n";
                    $div2 .= '<label for="contact_text">'."\n";
                    $div2 .= JText::_( 'GMAPFP_EMAIL_MESSAGE' )."\n";
                    $div2 .= '</label><br />'."\n";
        $div2 .= '<textarea class="inputbox required" name="message" id="contact_text" cols="50" rows="8">'.$CORRECT_MESSAGE.'</textarea>'."\n";
        $div2 .= '<br />'."\n";
        $div2 .= '</div>'."\n";
    }
    ?>
    <div class="gmapfp_message_ref">
        <label id="name_textmsg" for="contact_name">
            &nbsp;<?php echo JText::_( 'GMAPFP_EMAIL_NOM' );?>
        </label>
        <br />
        <input class="inputbox required" type="text" name="nom" id="contact_name" size="30" value="<?php echo $CORRECT_NOM?>"/>
        <br />
        <label id="email_textmsg" for="contact_email">
            &nbsp;<?php echo JText::_( 'GMAPFP_VOTRE_EMAIL' );?>
        </label>
        <br />
        <input class="inputbox required validate-email" type="text" name="email" id="contact_email" size="30" value="<?php echo $CORRECT_EMAIL?>" />
        <br />
        <label id="subject_textmsg" for="contact_subject">
            &nbsp;<?php echo JText::_( 'GMAPFP_EMAIL_SUJET' );?>
        </label>
        <br />
        <input class="inputbox required" type="text" name="subject" id="contact_subject" size="30" value="<?php echo $CORRECT_SUBJECT?>"/>
        <br />
	<?php echo $div1; ?>
    </div>
	<?php 
	echo $div2;

    $user   = JFactory::getUser();
    if (($this->params->get('gmapfp_afficher_captcha'))&&!$user->get('gid')) { 
    
        switch ($this->params->get('captcha_type')) {
        case 1 :
        ?>
            <div class=gmapfp_captcha>
                <?php
                  require_once(JPATH_COMPONENT.'/libraries/recaptcha/recaptchalib.php');
                    $lang 		= JFactory::getLanguage(); 
                    $tag_lang	= substr($lang->getTag(),0,2);
                  echo recaptcha_get_html($this->params->get('gmapfp_recaptcha_key_public').'&hl='.$tag_lang);
                ?>
                <script type="text/javascript"> 
                    standard_class = document.getElementById('recaptcha_response_field').className;
                    document.getElementById('recaptcha_response_field').className = standard_class + ' required'; 
                </script>
            </div>
        <?php
            break;
        default :
        ?>
            <div>
                <?php $link = JURI :: root().'index.php?option=com_gmapfp&task=captacha&tmpl=component'; ?>
                <p>
                    <img class="captcha" onclick="jcomments.clear('captcha');" id="comments-form-captcha-image" name="captcha-image" src="<?php echo $link; ?>" style="width:121px; height:60px;" />
                    <script type="text/javascript" src="<?php echo JURI :: root() ?>components/com_gmapfp/libraries/reload.js"></script> 
                    <a href="javascript:ReloadCaptchaImages('captcha-image');">
                        <img alt='reload.gif' src="<?php echo JURI :: root() ?>components/com_gmapfp/images/reload.gif" id='ContactCaptchaReload' name='ContactCaptchaReload' border="0" />
                    </a> 
                </p>
                <label for="keystring">
                    <?php echo JText::_('GMAPFP_CAPTCHA') ?><br />
                </label>
                <input class="gmapfp inputbox <?php echo $mod_class_suffix ?> required" type="text" id="keystring" name="keystring">
            </div>
    <?php 
        };
    };

	if ($this->params->get( 'email_copy' )) : ?>
		 <div class="gmapfp_email_copy">
				<input type="checkbox" name="email_copy" id="email_copy" value="1"  />
				<label for="contact_email_copy">
					<?php echo JText::_( 'GMAPFP_EMAIL_A_COPY' ); ?>
				</label>
	   </div>
	<?php endif; ?>

    <button name="upform"  class="button validate" type="submit"><?php echo JText::_('GMAPFP_EMAIL_BOUTON') ?></button>

	<input type="hidden" name="option" value="com_gmapfp" />
	<input type="hidden" name="view" value="gmapfp" />
	<input type="hidden" name="redirect" value="<?php echo $url; ?>" />
	<input type="hidden" name="controller" value="gmapfpcontact" />   
	<input type="hidden" name="id" value="<?php echo $id; ?>" />
	<input type="hidden" name="task" value="submit" />
	<?php echo JHTML::_( 'form.token' ); ?>
  	</form>
	</div>
</div>