<?php
	/*
	* GMapFP Component Google Map for Joomla! 2.5.x
	* Version 10.88pro
	* Creation date: Aout 2013
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die('Restricted access'); 

$width_map = '70%';

$height_msg = '600px';
$width_msg = '450px';

$height_prn = '92%';
$width_prn = '700px';

$height_link = '80%';
$width_link = '80%';

$itemid = JRequest::getVar('Itemid', 0, '', 'int');
$layout = JRequest::getVar('layout', '', '', 'str');
$view	= JRequest::getVar('view', '', '', 'str');
$tmpl	= JRequest::getVar('tmpl', '', '', 'str');
if ($tmpl) $tmpl = '&tmpl='.$tmpl;

$row	= $this->lieu;
$champs = $this->champs;

$path = JURI::base().'images/gmapfp/';
$image_classements = $path.'classements/';
$image = $path.$row->img;
$image_art = $path.'thumbsArt/'.$row->img;

$hauteur_taille2 = $this->params->get( 'gmapfp_hauteur_img_art' );
$largeur_taille1 = 'width:'.($this->params->get( 'gmapfp_largeur_img_art' )+26).'px';
$printer=JURI::base().'components/com_gmapfp/images/printer.png';
$loupe=JURI::base().'components/com_gmapfp/images/recherche.png';

//fonction pour execution des plugins
$dispatcher = JDispatcher::getInstance(); 
JPluginHelper::importPlugin('content'); 

?>
<h2 class="contentheading">
	<a href="<?php echo JRoute::_('index.php?option=com_gmapfp&view=gmapfp&layout=article&id='.$row->slug.$tmpl,false).'">'.$row->nom;?></a>
	<?php 
        if ($row->classements) {
            echo '&nbsp;&nbsp;&nbsp;';
            $Classements = explode(',', $row->classements);
            foreach ($Classements as $Classement) {
                if (array_key_exists($Classement, $this->lists['classements']))
                    echo '<img title="'.$this->lists['classements'][$Classement]->nom.'" src="'.$image_classements.$this->lists['classements'][$Classement]->img.'" />';
            }
        }
    ?>
</h2>
<?php 
	//si affichage d'un article ou d'une catgorie d'article, n'affiche pas le nom de la catgorie
	if ( $this->params->get( 'show_category' )) {
		if (($layout!='categorie')) {
			echo '<h4>('.$row->title.')</h4>';
		};
	}
?>
<div class="article-tools clearfix" style="float: none !important;">
	<ul class="actions">
		<?php
        if ( $this->params->get( 'show_create_date' )) {
            echo '<li class="createdate">'.JHTML::_('date',  $row->created,  JText::_('DATE_FORMAT_LC2') ).'&nbsp;&nbsp;</li>';
        }
        if (($row->author!=null)&&($this->params->get('show_author')==1)) {
            echo '<li class="createby">'.$row->author.'</li>';
        }
        if ( $this->params->get( 'show_hit' )) {
            echo '<li>&nbsp;&nbsp;|&nbsp;&nbsp;'.JText::_('JGLOBAL_HITS').': '.$row->hits.'</li>';
        }
        ?>
		<?php
        //affichage des icon
        echo '<li class="gmapfp_icon" align="right">';
        //icon impression
        if ( $this->params->get( 'show_print_icon' )) {
            $link =JRoute::_('index.php?option=com_gmapfp&view=gmapfp&tmpl=component&layout=print_article&flag=1&id='.$row->id.'&Itemid='.JRequest::getVar('Itemid', 0, '', 'int'));
			echo '<a href="'.$link.'" class="lightboxgmafp" rev="width:'.$width_prn.' height:'.$height_prn.' disableScroll:true caption:`'.JText::_('GMAPFP_READY_TO_PRINT').'`" title="'.JText::_('GMAPFP_IMPRIMER').'"><img style="height: 24px;" src='.$printer.' /></a>&nbsp;&nbsp;&nbsp;';
            
        }
        echo '</li>';
        ?>
    </ul>
</div>
<table id="gmapfp_article" class="blog<?php echo $this->params->get('pageclass_sfx');?> gmapfp" cellpadding="0" cellspacing="0">
    <tr>
        <td valign="top">
            <table class="gmapfp_detail">
                <tr>
					<?php 
                    echo '<td class="gmapfp_taille2">';
					echo '<table>';
						if ($row->labels) {
							$Labels = explode(',', $row->labels);
							echo '<tr><td class="labels" style="height: 20%">';
							foreach ($Labels as $Label) {
								if (array_key_exists($Label, $this->lists['labels']))
									echo '<img title="'.$this->lists['labels'][$Label]->nom.'" src="'.$image_classements.$this->lists['labels'][$Label]->img.'" />';
							}
							if (count($Labels)>0) echo '<br /><br />';
							echo '</td></tr>';
						}
						echo '<tr><td class="infos" style="height: 60%">';
						echo $this->getChampsHtml(0);
						$adresse = '';
						if (!empty($row->adresse)) $adresse .= $row->adresse.'<br />';
						if (!empty($row->adresse2)) $adresse .= $row->adresse2.'<br />';
						if ($this->params->get('gmapfp_zipcode_ville')) $adresse .= $row->codepostal.' ';
						$adresse .= $row->ville;
						if (!$this->params->get('gmapfp_zipcode_ville')) $adresse .= ' '.$row->codepostal;
						if (!empty($row->codepostal) or !empty($row->ville)) $adresse .= '<br />';
						$adresse .= $row->departement.' '.$row->pay;
						
						if ($row->adresse or $row->adresse2 or $row->codepostal or $row->ville or $row->departement or $row->pay) 
							echo '<label>'.JText::_('GMAPFP_ADRESSE').'</label><br /><span>'.$adresse.'</span><br />';
						echo $this->getChampsHtml(1);
						if ($row->pictos) {
							$Pictos = explode(',', $row->pictos);
							echo '</td></tr><tr><td class="pictos" style="height: 20%">';
							foreach ($Pictos as $Picto) {
								if (array_key_exists($Picto, $this->lists['pictos']))
									echo '<img title="'.$this->lists['pictos'][$Picto]->nom.'" src="'.$image_classements.$this->lists['pictos'][$Picto]->img.'" />';
							}
						}
 						echo '</td></tr></table>';
                      ?>
                    </td>
                    <?php
					echo '<td>';
					echo $this->getChampsHtml(2);
					if (($row->email!=null)and($this->params->get('gmapfp_msg')==0)) {echo '<label>'.JText::_('GMAPFP_EMAIL').'</label><span>'.@JHTML::_('email.cloak',$row->email).'</span><br />';};
					if ($row->web!=null) {
						if (substr($row->web,0,5)!="http:") {$lien_web = "http://".$row->web;} else {$lien_web = $row->web;};
						echo '<label>'.JText::_('GMAPFP_SITE_WEB').'</label><span><a href='.$lien_web.' target="_blank" > '.$row->web.' </a></span> <br />';
					};
					echo $this->getChampsHtml(3);
				echo '</td>';
					if ($row->img!=null) {
						echo '<td class="gmapfp_taille1" style="'.$largeur_taille1.'">';
						echo '<a class="lightboxgmafp" href="'.$image.'" ><img src="'.$loupe.'" height="18px"/><img src="'.$image_art.'" /></a>';
                    	echo '</td>';
					}
				?>
                </tr>
            </table>
            <table class="gmapfp_article">
                <tr>
                    <td>
                        <?php
						echo $this->getChampsHtml(4);
					?>
					</td>
				</tr>
            </table>
        </td>
    </tr>
</table>
