<?php
	/*
	* GMapFP Component Google Map for Joomla! 2.5.x
	* Version 10.90pro
	* Creation date: Aot 2013
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die('Restricted access'); 

//fonction pour execution des plugins dans la personnalisation
$dispatcher =& JDispatcher::getInstance(); 
JPluginHelper::importPlugin('content'); 

//largeur de la carte
	switch (substr($this->params->get('gmapfp_width'),-1)){
		case '%' :
			$width_carte  = $this->params->get('gmapfp_width');
			$width_carte2 = substr($this->params->get('gmapfp_width'),0 ,-1);
			$unite_carte  = '%';
			break;
		case 'x' :
			$width_carte  = $this->params->get('gmapfp_width');
			$width_carte2 = substr($this->params->get('gmapfp_width'),0 ,-2);
			$unite_carte  = 'px';
			break;
		default :
			$width_carte  = $this->params->get('gmapfp_width').'px';
			$width_carte2 = $this->params->get('gmapfp_width');
			$unite_carte  = 'px';
	}

//largeur de la liste
//si carte et listing les un en dessous des autres, la largeur de la liste = la largeur de la carte
	if (($this->params->get('gmapfp_position_liste')==2)or($this->params->get('gmapfp_position_liste')==3)) {
		$width_liste  = $width_carte;
		$width_liste2 = $width_carte2;
		$unite_liste  = $unite_carte;
	}else{
		switch (substr($this->params->get('gmapfp_width_list'),-1)){
			case '%' :
				$width_liste  = '200px';
				$width_liste2 = 200;
				$unite_liste  = 'px';
				break;
			case 'x' :
				$width_liste  = $this->params->get('gmapfp_width_list');
				$width_liste2 = substr($this->params->get('gmapfp_width_list'),0 ,-2);
				$unite_liste  = 'px';
				break;
			default :
				$width_liste  = $this->params->get('gmapfp_width_list').'px';
				$width_liste2 = $this->params->get('gmapfp_width_list');
				$unite_liste  = 'px';
		}
	}

//	$width_liste2 = $this->params->get('gmapfp_width_list');
	$nbre_col	= (int)$this->params->get('gmapfp_nombre_col');
	if (!$nbre_col){$nbre_col=1;};
	$width_col 	= ((int)($width_liste2/$nbre_col)).$unite_liste;

?>
<?php if ($this->params->get('show_page_heading', 1)) : ?>
<div class="componentheading<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
<h1>
	<?php echo $this->escape($this->params->get('page_title')); ?>
</h1>
</div>
<?php endif; ?>

<?php if (($this->params->get('show_description', 1) || $this->params->def('show_description_image', 1)) && $this->params->def('catid')) : ?>
	<div class="category-desc">
	<?php if ($this->params->get('show_description_image') && $this->category->image) : ?>
		<img src="<?php echo $this->category->image; ?>"/>
	<?php endif; ?>
	<?php if ($this->params->get('show_description') && $this->category->description) : ?>
		<?php echo JHtml::_('content.prepare', $this->category->description, '', 'com_gmapfp.category'); ?>
	<?php endif; ?>
	<div class="clr"></div>
	</div>
<?php endif; ?>

<?php
//affichage des filtres
if ($this->params->get('gmapfp_filtre')==1) {
	$ajax = '';
	if ($this->ajax) $ajax = '_ajax';
	require(JPATH_SITE.'/components/com_gmapfp/views/gmapfp/tmpl/item_filtre'.$ajax.'.php');
};
?>
<div <?php //echo $map_px; ?>>
<table class="blog<?php echo $this->params->get('pageclass_sfx'); ?> gmapfp" cellpadding="0" cellspacing="0">
    <?php
	//carte en dessous du listing
	if ($this->params->get('gmapfp_position_liste')==2) {?>
        <tr valign="top" width="<?php echo $width_carte;?>">
        	<td>
				<div> <?php echo $this->map; ?> <div>
            </td>
        </tr>
    <?php };?>
    <tr>
    	<?php 
		//carte  gauche du listing
		if ($this->params->get('gmapfp_position_liste')==1) {?>
            <td valign="top" width="<?php echo $width_carte;?>">
                <div><?php echo $this->map;?> </div>
            </td>
        <?php };
        //listing
		?>
        <td valign="top" >
            <div class="gmapfp_enveloppe_liste" style="overflow:auto; <?php 
				if ($this->params->get('gmapfp_position_liste')<2) { 
					echo 'width:'.($width_liste2+22).'px; '; 
					echo 'height:'.($this->params->get('gmapfp_height')+0).'px; '; 
				} ?>
            ">
            <div class="gmapfp_liste" >
		<?php 
			if (isset($this->perso->intro_detail)) {
				$article = new stdClass();
				$article->text=@$this->perso->intro_detail; 
				$results = $dispatcher->trigger('onContentPrepare', array ('com_gmapfp', & $article, & $this->params, 0)); 
				echo $article->text;
			}
            $compte = 0;
			$index_list = 0;
			$decale=false;
			echo '<table  style="width:'.$width_liste.'"><tr>';
            foreach ($this->rows as $row) : ?>
            	<td nowrap="nowrap" class="gmapfp_article_listing_<?php $index_list++; echo (($index_list%2) XOR $decale); ?>">
                <?php 
                if (empty($row->glat)or empty($row->glng)) {
					echo '<span class="sidebar">';
				}else{
                    echo '<span class="sidebar" onmouseover=\'google.maps.event.trigger(marker['.$compte.'],"mouseover")\' onmousedown=\'google.maps.event.trigger(marker['.$compte.'],"mousedown")\' onmouseup=\'google.maps.event.trigger(marker['.$compte.'],"mouseup")\' onmouseout=\'google.maps.event.trigger(marker['.$compte.'],"mouseout")\' >';
					$compte ++;
				};
                $affichage = "";
                if ($this->params->get('gmapfp_view_marqueur')){
                	if (!$row->m_url) $row->m_url = $this->get_default_marqueur($row->catid);
					$affichage="<img src=".str_replace('..', JUri::root(), $row->m_url).">";
				}
                if ($this->params->get('gmapfp_view_ville'))
                    $affichage .= $row->ville." : ";
                echo $affichage.$row->nom; 
                ?>
                	</span>
            	</td>
            <?php 
			if ($index_list>=$nbre_col) { 
				echo '</tr><tr>';
				$index_list=0;
				$decale=!$decale;
			};

			endforeach;?>
            </tr></table>
            </div>
            </div>
        </td>
    	<?php 
		//carte d droite du listing
		if ($this->params->get('gmapfp_position_liste')==0) {?>
            <td valign="top" width="<?php echo $width_carte;?>" >
                <div>   <?php echo $this->map;?></div>
            </td>
        <?php };?>
    </tr>
    <?php 
	//carte sous le listing
	if ($this->params->get('gmapfp_position_liste')==3) {?>
        <tr valign="top" width="<?php echo $width_carte;?>">
        	<td>
				<div> <?php echo $this->map; ?> <div>
            </td>
        </tr>
    <?php };?>
</table>
</div>
<?php
if (isset($this->perso->conclusion_detail)) {
	$article = new stdClass();
	$article->text=@$this->perso->conclusion_detail; 
    $results = $dispatcher->trigger('onContentPrepare', array ('com_gmapfp', & $article, & $this->params, 0)); 
	echo $article->text;
}
?>
<?php if ($this->params->get('gmapfp_licence')) : ?>
<table width="100%" class="gmapfp">
    <tr>
        <td valign="top" align="center">
            <?php echo JText::_('GMAPFP_COPYRIGHT'); ?>
        </td>
    </tr>
</table>
<?php endif; ?>