<?php
	/*
	* GMapFP Component Google Map for Joomla! 2.5.x
	* Version 10.98pro
	* Creation date: Octobre 2013
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

jimport( 'joomla.application.component.view');

class GMapFPsViewGMapFPList extends JView
{
    function display($tpl = null)
    {
		$mainframe = JFactory::getApplication(); 
		$Itemid    = JRequest::getInt('Itemid'); 
		$option    = JRequest::getCMD('option'); 

        $document   = JFactory::getDocument();

        $params = clone($mainframe->getParams('com_gmapfp'));
        $model      = $this->getModel(); 

		//n'active ajax que si l'on ai pas en tamplate par dfaut
		$ajax = ($params->get('gmapfp_filtre') and $params->get('gmapfp_ajax', 0) and ($params->get('gmapfp_template') == 'categories' or $params->get('gmapfp_template') == 'bus_route'));
		$model->set_ajax($ajax);

        // Parametres
        $params->def('show_headings',           1);
        $params->def('filter',                  1);

        //ajout du fil d'actualit
        if($params->get('show_feed_link', 1) == 1)
        {
            $link   = '&format=feed&limitstart=';
            $attribs = array('type' => 'application/rss+xml', 'title' => 'RSS 2.0');
            $document->addHeadLink(JRoute::_($link.'&type=rss'), 'alternate', 'rel', $attribs);
            $attribs = array('type' => 'application/atom+xml', 'title' => 'Atom 1.0');
            $document->addHeadLink(JRoute::_($link.'&type=atom'), 'alternate', 'rel', $attribs);
        }

		/*
		 * Handle the breadcrumbs
		 */
		$app	= JFactory::getApplication();
		$menus	= $app->getMenu();
		$menu  = $menus->getActive();
		$pathway	= $mainframe->getPathway();
		$layout = '';
		$layout = & $menu->query['layout'];

		if (($this->getLayout() == 'article')&&($layout != 'article')) {
			if (@$lieux[0] and count($lieux) == 1)
				$pathway->addItem($lieux[0]->nom, '');
			else {
				JError::raiseError(404, JText::_('COM_GMAPFP_PLACE_NOT_FOUND'));
				return false;
			}
		}
		/********/

		$perso		= $model->getPersonnalisation($params->get('id_perso'));
        $rows       = $model->getGMapFPList();
       	$map        = $model->getView();
        $custom     = $model->getCustom();
		$filtres	= $model->getFilterList($option, $Itemid);
		if (($params->get('show_description', 1) || $params->def('show_description_image', 1)) && $params->def('catid'))
			$category	= $model->getCategory();
		else $category = "";
        $marqueurs     = $model->getmarqueurs();

        $this->map = $map;	        
        $this->custom = $custom;
        $this->rows = $rows;
        $this->perso = $perso;
        $this->params = $params;
        $this->filtres = $filtres;
        $this->ajax = $ajax;
		$this->category = $category;
		$this->marqueurs = $marqueurs;

		if ($this->params->get('menu-meta_description'))
			$document->setDescription($this->params->get('menu-meta_description'));
		if ($this->params->get('menu-meta_keywords'))
			$document->setMetadata('keywords', $this->params->get('menu-meta_keywords'));
		if ($this->params->get('robots'))
			$document->setMetadata('robots', $this->params->get('robots'));

        parent::display($tpl);
    }
	
	function get_default_marqueur($cat_id)
	{
        $model      = $this->getModel(); 
		$category   = $model->getCategory($cat_id);
		if (!$category->marqueur) $category->marqueur = 1;
		return $this->marqueurs[$category->marqueur]->url;
	}
}
?>
