<?php
	/*
	* GMapFP Component Google Map for Joomla! 3.x
	* Version 10.117pro
	* Creation date: Octobre 2015
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die();

class GMapFPControllerGmapfpAjax extends GMapFPController
{

    protected $allowed_ext = array('jpg','jpeg','png','gif');

    public function upload_image(){
	
		$mainframe 	= JFactory::getApplication(); 
		$config 	= JComponentHelper::getParams('com_gmapfp');
		$user		= JFactory::getUser();
		$userid		= $user->get('id');
		require_once( JPATH_COMPONENT.'/libraries/imagemagic.php' );
		$image_magic = new GMapFPImageMagic;
		
		// Set FTP credentials, if given
		JClientHelper::setCredentialsFromRequest('ftp');

        $type_image = array(".gif",".jpg",".jpeg",".png",".bmp"); 
		$loaderror = false;
        $file = $_FILES['image1'];
        $file_name = $_FILES['image1']['name'];
		// Make the filename safe
		$file['name']	= JFile::makeSafe($file_name);

        $ext = strrchr($file_name,'.');
        $ext = strtolower($ext);
        if (!in_array( $ext, $type_image )) 
 			$this->exit_upload(false, JText::_( 'GMAPFP_BAD_EXT'));

		$folder = JPATH_ROOT.'/images/gmapfp/';
		$folder = JPath::clean($folder);
		
		if (strlen($_FILES['image1']['tmp_name']) > 0 and $_FILES['image1']['name'] != "none"){	
			//si je n'ai pas dj ce fichier, je le copie		
            if(!is_file($folder.strtolower($userid.'__'.$file['name'])))
				if (!$config->get('gmapfp_ajust_main', 0)) {
					if (!JFile::upload($_FILES['image1']['tmp_name'], $folder.strtolower($userid.'__'.$file['name'])))
					{
						// Error in upload
						JLog::add('Controller GMapFP => upload_image(), Error on upload:  => '.$folder.strtolower($userid.'__'.$file['name']), JLog::ERROR, 'com_gmapfp');
						$this->exit_upload(false, JText::_('GMAPFP_UPLOAD_NOK').'1');
					}
				} else {
					$miniature_ok = $image_magic->imageMagic($file['tmp_name'], $folder.strtolower($userid.'__'.$file['name']), $config->get('gmapfp_largeur_img_main', 800), $config->get('gmapfp_hauteur_img_main', 600), 0, null, $errorMsg);
				}
			else $loaderror=true;				
			if($loaderror) {
				$msg = JText::_( 'GMAPFP_UPLOAD_NOK').' => '.strtolower($file['name']).JText::_( 'GMAPFP_EXIST');
				$this->exit_upload(false,$msg);
			} else { 
				//creation des miniatures
				$filein = $folder.strtolower($userid.'__'.$file['name']);
				$errorMsg = 'controller imageMagic not error line 320 !';

				//cre la miniature pour la carte
				if (!is_dir($folder.'thumbsGMap')){
					JFolder::create($folder.'thumbsGMap');
					@JFile::write($folder.'thumbsGMap/index.html', "<html>\n<body bgcolor=\"#FFFFFF\">\n</body>\n</html>");
				}
				$fileout = $folder.'thumbsGMap/'.strtolower($userid.'__'.$file['name']);				
				$miniature_ok = $image_magic->imageMagic($filein, $fileout, $config->get('gmapfp_largeur_img', 100), $config->get('gmapfp_hauteur_img', 100), $config->get('gmapfp_crop', 1), null, $errorMsg);
				
				//cre la miniature pour l'article
				if (!is_dir($folder.'thumbsArt')){
					JFolder::create($folder.'thumbsArt');
					@JFile::write($folder.'thumbsArt/index.html', "<html>\n<body bgcolor=\"#FFFFFF\">\n</body>\n</html>");
				}
				$fileout = $folder.'thumbsArt/'.strtolower($userid.'__'.$file['name']);				
				$miniature_ok = $image_magic->imageMagic($filein, $fileout, $config->get('gmapfp_largeur_img_art', 250), $config->get('gmapfp_hauteur_img_art', 250), $config->get('gmapfp_crop', 1), null, $errorMsg);
				
				if ($miniature_ok) {
					$this->exit_upload(true,strtolower($userid.'__'.$file['name']));
				}
			}
		}
		$this->exit_upload(false,'Nom de fichier non dfini');
	
	
    }

	function exit_upload($status,$datas='') {
		$response = array('response'=>$status,'datas'=>$datas);            
		echo json_encode($response);
		JFactory::getApplication()->close();
	}
}
?>
