<?php
	/*
	* GMapFP Component Google Map for Joomla! 2.5.x
	* Version 10.91pro
	* Creation date: Août 2013
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die();

class JElementGMapFPBubbles extends JElement
{

	public	$_name = 'GMapFPBubbles';

	function fetchTooltip($label, $description, &$xmlElement, $control_name='', $name='') {
		return '<label id="'.$control_name.'-lbl" for="'.$control_name.'" class="hasTip" title="'.JText::_($label).'::'.JText::_($description).'">'.JText::_($label).'</label>';
	}

	function fetchElement($name, $value, &$xmlElement, $control_name)
	{
		jimport( 'joomla.filesystem.folder' ); 
		jimport( 'joomla.utilities.simplexml' );
		$listcategories = array();
		$path = JPATH_ROOT.$xmlElement->attributes('directory');
		$files = JFolder::files($path, '.xml');
		foreach ($files as $file) {
			$xml = new JSimpleXML;
			$xml->loadFile($path.'/'.$file);
			$attributs = $xml->document->tmpl[0]->attributes();
			$list_bubbles[] = JHTML::_('select.option', $attributs['value'], Jtext::_($attributs['title']));
		}
		if (!empty($list_bubbles))
		{
			$lists['bubbles']	= JHTML::_('select.genericlist',   $list_bubbles, $control_name.'['.$name.']', 'class="inputbox" size="1" ', 'value', 'text', $value, '' );
			
			return $lists['bubbles'];
		} else {
			return 'Error : no existing bubbles';
		}
	}
}
?>