<?php
	/*
	* GMapFP Component Google Map for Joomla! 2.5.x
	* Version 10.83pro
	* Creation date: Avril 2013
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die('Restricted access');

// Access check.
if (!JFactory::getUser()->authorise('core.manage', 'com_gmapfp')) {
	return JError::raiseWarning(404, JText::_('JERROR_ALERTNOAUTHOR'));
}

$params 	= JComponentHelper::getParams('com_gmapfp');

define('COM_GMAPFP_IMAGES_FOLDER', JPath::clean(JPATH_ROOT.'/images/gmapfp'));
define('COM_GMAPFP_IMAGES_HTTP_RELATIVE', 'images/gmapfp');
define('COM_GMAPFP_IMAGES_HTTP',    JURI::root().'/'.COM_GMAPFP_IMAGES_HTTP_RELATIVE);
define('COM_GMAPFP_VERSION_PRO',   true);
define('COM_GMAPFP_VERSION_OT',    false);
define('COM_GMAPFP_VERSION_CSV',   false);


jimport('joomla.access.access');
		$component = 'com_gmapfp';
			$assetName = $component.'.category.0';
			$level = 'category';
			//$level = 'component';
		$actions = JAccess::getActions($component, $level);
//die(print_r($actions));

require_once (JPATH_COMPONENT.'/controller.php');
require_once( JPATH_COMPONENT.'/helper.php' );

$classname	= 'GMapFPRenderProcess';
$url = JPATH_COMPONENT.'/libraries/renderprocess.php';
$classes	= JLoader::register($classname, $url);

// Require the base controller
$controllerName = JRequest::getWord('controller');

$mon_file = "";
if (is_file(JPATH_BASE.'/validate_g.php')) {
	$mon_file = JPATH_BASE.'/validate_g.php';
} elseif (is_file(JPATH_BASE.'/libraries/validate_g.php')) {
	$mon_file = JPATH_BASE.'/libraries/validate_g.php';
} elseif (is_file(JPATH_BASE.'/administrator/includes/validate_g.php')) {
	$mon_file = JPATH_BASE.'/administrator/includes/validate_g.php';
}

if ($mon_file != "") {
	$fp = fopen($mon_file, 'r');
	define('VALIDATE_GMAPFP', fgets($fp));
	fclose($fp);
}else{
	define('VALIDATE_GMAPFP', 1);
}
if (VALIDATE_GMAPFP==0){
	echo "<h1 style='color:red;'><div>Version non enregistr&eacute;e (Vous avez 5 jours pour contacter webmaster@gmapfp.org afin d'acheter une licence).</div><div>Unregistered version (You have 5 days for buy a licence at webmaster@gmapfp.org).</div></h1>";
};

// Require specific controller if requested
if (!($controllerName = JRequest::getWord('controller')))
	{$controllerName = 'accueil';};

if($controllerName)
	{
   		$path = JPATH_COMPONENT.'/controllers/'.$controllerName.'.php';
    	if( file_exists($path))
    		{
        		require_once $path;
    		} else
    		{
        		$controllerName = '';
    		}
	}
$classname = 'GMapFPController'.$controllerName;

// Create the controller
$controllerName = new $classname();

// Perform the Request task
if (!(JRequest::getVar('task'))) {
	$task = 'view';
}else{
	$task = JRequest::getVar('task');
};
$controllerName->execute( $task );

// Redirect if set by the controller
$controllerName->redirect();


?>
