<?php 
	/*
	* GMapFP Component Google Map for Joomla! 2.5.x
	* Version 10.91pro
	* Creation date: Aot 2013
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die('Restricted access'); 


$user		= JFactory::getUser();
$userId		= $user->get('id');
$listOrder	= $this->lists['order'];
$listDirn	= $this->lists['order_Dir'];
$canOrder	= 1;//$user->authorise('core.edit.state', 'com_gmapfp.category');
$saveOrder	= $listOrder=='ordering';
?>

<form action="index.php?option=com_gmapfp&controller=classements&task=view" method="post" name="adminForm">
<div id="editcell">
	<table class="adminlist">
	<thead>
		<tr>
		<tr>
			<th width="5">
				<?php echo JText::_( 'JGRID_HEADING_ROW_NUMBER' ); ?>
			</th>
			<th width="20">
				<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count( $this->classements ); ?>);" />
			</th>
			<th  width="200" class="title">
				<?php echo JHTML::_('grid.sort',   'GMAPFP_NOM', 'nom', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
			</th>
			<th  class="title">
				<?php echo JText::_('GMAPFP_APERCU'); ?>
			</th>
			<th width="5%">
				<?php echo JHtml::_('grid.sort', 'JSTATUS', 'published', $listDirn, $listOrder); ?>
			</th>
			<th width="10%">
				<?php echo JHtml::_('grid.sort', 'JCATEGORY', 'cat', $listDirn, $listOrder); ?>
			</th>
			<th width="10%">
					<?php echo JHtml::_('grid.sort',  'JGRID_HEADING_ORDERING', 'ordering', $listDirn, $listOrder); ?>
					<?php if ($canOrder && $saveOrder): ?>
						<?php echo JHtml::_('grid.order',  $this->classements, 'filesave.png', 'saveorder'); ?>
					<?php endif;?>
			</th>
			<th width="5%">
				<?php echo JHtml::_('grid.sort', 'JGRID_HEADING_LANGUAGE', 'language', $listDirn, $listOrder); ?>
			</th>
			<th width="1%">
				<?php echo JHtml::_('grid.sort', 'JGRID_HEADING_ID', 'id', $listDirn, $listOrder); ?>
			</th>
		</tr>			
	</thead>
		<?php
		$k = 0;
		for ($i=0, $n=count( $this->classements ); $i < $n; $i++)
		{
			$ordering	= ($listOrder == 'ordering');
			$canCreate	= $user->authorise('core.create',		'com_gmapfp');
			$canEdit	= $user->authorise('core.edit',			'com_gmapfp');
			//$canCheckin	= $user->authorise('core.manage',		'com_checkin') || $item->checked_out==$user->get('id') || $item->checked_out==0;
			$canChange	= $user->authorise('core.edit.state',	'com_gmapfp');// && $canCheckin;

			$row = $this->classements[$i];
			
			$published		= JHTML::_('grid.published', $row, $i );
			$checked = JHTML::_('grid.id',   $i, $row->id );
			$link = JRoute::_( 'index.php?option=com_gmapfp&controller=classements&task=edit&cid[]='. $row->id );
	
			?>
			<tr class="<?php echo "row$k"; ?>">
				<td>
				<?php echo $this->pageNav->getRowOffset( $i ); ?>
				</td>
				<td>
					<?php echo $checked; ?>
				</td>
				<td>
					<?php if ($canEdit) : ?>
						<a href="<?php echo $link; ?>">
							<?php echo $this->escape($row->nom); ?></a>
					<?php else : ?>
							<?php echo $this->escape($row->nom); ?>
					<?php endif; ?>
				</td>
				<td>
					<img src="<?php echo JURI::base().'..'.'/images/gmapfp/classements/'.$row->img; ?>" title="<?php echo $row->img; ?>" />
				</td>
				<td align="center">
					<?php echo $published;?>
				</td>
				<td align="center">
					<?php switch ($row->cat) {
						case 1 :
							echo JText::_('GMAPFP_CLASSEMENTS');
							break;
						case 2 :
							echo JText::_('GMAPFP_LABELS');
							break;
						case 3 :
							echo JText::_('GMAPFP_PICTOS');
							break;
						default :
							echo JText::_('JUNDEFINED');
					} ?>
				</td>
				<td class="order">
					<?php if ($canChange) : ?>
						<?php if ($saveOrder) :?>
							<?php if ($listDirn == 'asc') : ?>
								<span><?php echo $this->pagination->orderUpIcon($i, ($row->cat == @$this->classements[$i-1]->cat),'orderup', 'JLIB_HTML_MOVE_UP', $ordering); ?></span>
								<span><?php echo $this->pagination->orderDownIcon($i, $n, ($row->cat == @$this->classements[$i+1]->cat), 'orderdown', 'JLIB_HTML_MOVE_DOWN', $ordering); ?></span>
							<?php elseif ($listDirn == 'desc') : ?>
								<span><?php echo $this->pagination->orderUpIcon($i, ($row->cat == @$this->classements[$i-1]->cat),'orderdown', 'JLIB_HTML_MOVE_UP', $ordering); ?></span>
								<span><?php echo $this->pagination->orderDownIcon($i, $n, ($row->cat == @$this->classements[$i+1]->cat), 'orderup', 'JLIB_HTML_MOVE_DOWN', $ordering); ?></span>
							<?php endif; ?>
						<?php endif; ?>
						<?php $disabled = $saveOrder ?  '' : 'disabled="disabled"'; ?>
						<input type="text" name="order[]" size="5" value="<?php echo $row->ordering;?>" <?php echo $disabled ?> class="text-area-order" />
					<?php else : ?>
						<?php echo $row->ordering; ?>
					<?php endif; ?>
				</td>
				<td class="center">
					<?php if ($row->language=='*'):?>
						<?php echo JText::alt('JALL','language'); ?>
					<?php else:?>
						<?php echo $row->language ? $this->escape($row->language) : JText::_('JUNDEFINED'); ?>
					<?php endif;?>
				</td>
				<td align="center">
					<?php echo $row->id; ?>
				</td>
			</tr>
			<?php
			$k = 1 - $k;
		}
		?>
        <tfoot>
            <tr>
                <td colspan="15">
                    <?php echo $this->pageNav->getListFooter(); ?>
                </td>
            </tr>
        </tfoot>
		</table>
	</div>

	<input type="hidden" name="option" value="com_gmapfp" />
	<input type="hidden" name="controller" value="classements" />
	<input type="hidden" name="task" value="view" />
	<input type="hidden" name="boxchecked" value="0" />
	<input type="hidden" name="filter_order" value="<?php echo $listOrder; ?>" />
	<input type="hidden" name="filter_order_Dir" value="<?php echo $listDirn; ?>" />
	<?php echo JHTML::_( 'form.token' ); ?>
</form>
<div class="copyright" align="center">
	<br />
	<?php echo JText::_( 'GMAPFP_COPYRIGHT' );?>
</div>
