<?php 
	/*
	* GMapFP Component Google Map for Joomla! 2.5.x
	* Version 10.91pro
	* Creation date: Août 2013
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die('Restricted access'); 
	
$ordering = ($this->lists['order'] == 'a.ordering');
JHTML::_('behavior.tooltip');

$user		= JFactory::getUser();
$userId		= $user->get('id');

$config	= JFactory::getConfig();
$now	= JFactory::getDate();

$db		= JFactory::getDBO();
$nullDate = $db->getNullDate();

?>
<form action="index.php?option=com_gmapfp&controller=gmapfp&task=view" method="post" name="adminForm">
	<table  class="adminform">
		<tr>
			<td width="100%">
				<?php echo JText::_( 'JSEARCH_FILTER_LABEL' ); ?>
				<input type="text" name="search" id="search" value="<?php echo $this->lists['search'];?>" class="text_area" onchange="document.adminForm.submit();" />
				<button onclick="this.form.submit();"><?php echo JText::_( 'JSEARCH_FILTER_SUBMIT' ); ?></button>
				<button onclick="document.getElementById('search').value='';
                        this.form.getElementById('filtreville').value='-- <?php echo JText::_( 'GMAPFP_VILLE_FILTRE' ) ?> --'; 
                        this.form.getElementById('filtredepartement').value='-- <?php echo JText::_( 'GMAPFP_DEPARTEMENT_FILTRE' ) ?> --';
                        this.form.getElementById('filtrecategorie').value=0;
		                this.form.submit();"><?php echo JText::_( 'JSEARCH_FILTER_CLEAR' ); ?></button>
			</td>
			<td nowrap="nowrap">
				<?php
				echo $this->lists['ville'];
				echo $this->lists['departement'];
				echo $this->lists['categorie'];
				echo $this->lists['auteur'];
				echo $this->lists['langue'];
				?>
			</td>
		</tr>
	</table>
<div id="editcell">
	<table class="adminlist">
	<thead>
		<tr>
			<th width="10">
				<?php echo JText::_( 'JGRID_HEADING_ROW_NUMBER' ); ?>
			</th>
			<th width="10">
				<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count( $this->items ); ?>);" />
			</th>
			<th nowrap="nowrap">
				<?php 
					if (@$this->custom[6]->nom) {
						$nom = $this->custom[6]->nom;
					}else{
						$nom = JText::_( 'GMAPFP_NOM' );
					}
					echo JHTML::_('grid.sort', $nom, 'a.nom', @$this->lists['order_Dir'], @$this->lists['order'] );
				?>
			</th>
			<th  width="7%" nowrap="nowrap">
				<?php echo JHTML::_('grid.sort', 'GMAPFP_VILLE', 'a.ville', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
			</th>
			<th  width="7%" nowrap="nowrap">
				<?php echo JHTML::_('grid.sort', 'GMAPFP_DEPARTEMENT', 'a.departement', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
			</th>
			<th  width="7%" nowrap="nowrap">
				<?php echo JHTML::_('grid.sort', 'GMAPFP_PAYS', 'a.pay', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
			</th>
			<th width="1%" align="center">
				<?php echo JHTML::_('grid.sort', 'JSTATUS', 'a.published', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
			</th>
			<th  width="7%" nowrap="nowrap">
				<?php 
					if (@$this->custom[12]->nom) {
						$nom_cat = $this->custom[12]->nom;
					}else{
						$nom_cat = JText::_( 'JCATEGORY' );
					}
					echo JHTML::_('grid.sort',   $nom_cat, 'b.title', @$this->lists['order_Dir'], @$this->lists['order'] );
				?>
			</th>
			<th width="8%" nowrap="nowrap">
				<?php echo JHTML::_('grid.sort','JGRID_HEADING_ORDERING', 'a.ordering', $this->lists['order_Dir'], $this->lists['order'] ); ?>
				<?php if ($ordering) echo JHTML::_('grid.order',  $this->items ); ?>
			</th>
            <th  width="7%">
                <?php echo JHTML::_('grid.sort', 'JGRID_HEADING_ACCESS', 'access_level', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
            </th>
			<th  width="10" nowrap="nowrap">
				<?php echo JHTML::_('grid.sort', 'JGRID_HEADING_CREATED_BY', 'a.created_by', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
			</th>
            <th align="center" width="10">
                <?php echo JHTML::_('grid.sort', 'JDATE', 'a.created', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
            </th>
            <th align="center" width="10">
                <?php echo JHTML::_('grid.sort', 'JGLOBAL_HITS', 'a.hits', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
            </th>
            <th align="center" width="10">
                <?php echo JHTML::_('grid.sort', 'JGRID_HEADING_LANGUAGE', 'a.language', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
            </th>
			<th width="10" nowrap="nowrap">
				<?php echo JHTML::_('grid.sort', 'JGRID_HEADING_ID', 'a.id', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
			</th>
		</tr>
	</thead>
	<?php
	$k = 0;
	for ($i=0, $n=count( $this->items ); $i < $n; $i++)
	{
		$row = $this->items[$i];
		
		$canCreate	= $user->authorise('core.create',		'com_gmapfp.category.'.$row->catid);
		$canEdit	= $user->authorise('core.edit',			'com_gmapfp.article.'.$row->id);
		$canCheckin	= $user->authorise('core.manage',		'com_checkin') || $row->checked_out == $userId || $row->checked_out == 0;
		$canEditOwn	= $user->authorise('core.edit.own',		'com_gmapfp.article.'.$row->id) && $row->created_by == $userId;
		$canChange	= $user->authorise('core.edit.state',	'com_gmapfp.article.'.$row->id) && $canCheckin;

		$checked 	= JHTML::_('grid.id',   $i, $row->id );
		$link 		= JRoute::_( 'index.php?option=com_gmapfp&controller=gmapfp&task=edit&cid[]='. $row->id );

		?>
		<tr class="<?php echo "row$k"; ?>">
			<td>
				<?php echo $this->pageNav->getRowOffset( $i ); ?>
			</td>
			<td>
				<?php echo $checked; ?>
			</td>
			<td>
				<?php if ($row->checked_out) : ?>
                    <?php echo JHtml::_('jgrid.checkedout', $i, $row->editor, $row->checked_out_time, '', $canCheckin);?>
                <?php endif; ?>
				<?php if ($canEdit || $canEditOwn) : ?>
                    <a href="<?php echo $link; ?>"><?php echo $this->escape($row->nom); ?></a>
				<?php else : ?>
                    <?php echo $this->escape($row->nom); ?>
                <?php endif; ?>
                    <p class="smallsub">
                        <?php echo JText::sprintf('JGLOBAL_LIST_ALIAS', $this->escape($row->alias));?></p>
			</td>
			<td nowrap="nowrap">
				<?php echo $row->ville; ?>
			</td>
			<td nowrap="nowrap">
				<?php echo $row->departement; ?>
			</td>
			<td nowrap="nowrap">
				<?php echo $row->pay; ?>
			</td>
			<td align="center">
				<?php echo JHtml::_('jgrid.published', $row->published, $i, '', $canChange, 'cb', $row->publish_up, $row->publish_down); ?>
			</td>
			<td>
				<?php echo $row->title; ?>
			</td>
			<td class="order">
				<span><?php echo $this->pageNav->orderUpIcon( $i, true,'orderup', 'Move Up', $ordering ); ?></span>
				<span><?php echo $this->pageNav->orderDownIcon( $i, $n, true, 'orderdown', 'Move Down', $ordering ); ?></span>
				<?php $disabled = $ordering ?  '' : 'disabled="disabled"'; ?>
				<input type="text" name="order[]" size="5" value="<?php echo $row->ordering;?>" <?php echo $disabled ?> class="text_area" style="text-align: center" />
			</td>
            <td align="center">
				<?php echo $row->access_level; ?>
            </td>
			<td>
				<a href="mailto:<?php echo $row->auteur_mail; ?>"><?php echo $row->auteur; ?></a>
			</td>
            <td nowrap="nowrap">
                <?php echo JHTML::_('date',  $row->created, JText::_('DATE_FORMAT_LC4') ); ?>
            </td>
            <td nowrap="nowrap" align="center">
                <?php echo $row->hits ?>
            </td>
            <td class="center">
                <?php if ($row->language=='*'):?>
                    <?php echo JText::alt('JALL','language'); ?>
                <?php else:?>
                    <?php echo $row->language_title ? $this->escape($row->language_title) : JText::_('JUNDEFINED'); ?>
                <?php endif;?>
            </td>
			<td align="center">
				<?php echo $row->id; ?>
			</td>
		</tr>
		<?php
		$k = 1 - $k;
	}
	?>
        <tfoot>
            <tr>
                <td colspan="15">
                    <?php echo $this->pageNav->getListFooter(); ?>
                </td>
            </tr>
        </tfoot>
    </table>
<div class="copyright" align="center">
	<br />
	<?php echo JText::_( 'GMAPFP_COPYRIGHT' );?>
</div>
</div>
<input type="hidden" name="option" value="com_gmapfp" />
<input type="hidden" name="task" value="view" />
<input type="hidden" name="controller" value="gmapfp" />
<input type="hidden" name="boxchecked" value="0" />
<input type="hidden" name="filter_order" value="<?php echo $this->lists['order']; ?>" />
<input type="hidden" name="filter_order_Dir" value="<?php echo $this->lists['order_Dir']; ?>" />
<?php echo JHTML::_( 'form.token' ); ?>
</form>
