<?php
	/*
	* GMapFP Component Google Map for Joomla! 1.7.x
	* Version 10.46pro
	* Creation date: Mai 2012
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die('Restricted access'); ?>

<script language="javascript" type="text/javascript">
	var marker = "";
	var markerImage = new Image();
    
	var shadow = "";
    var shadowImage = new Image();

	Joomla.submitbutton = function(pressbutton) {
        var form = document.adminForm;
        if (pressbutton == 'cancel') {
            submitform( pressbutton );
            return;
        }
        // do field validation
        if (form.nom.value == "") {
            alert( "<?php echo JText::_( 'GMAPFP_NOM_NON_VIDE', true ); ?>" );
        } else {
            //detecte la taille du marqueur
            document.getElementById("marker_height").value = markerImage.height;
            document.getElementById("marker_width").value = markerImage.width;
            //renseigne les valeurs de centrage du marqueur : iconAnchor
            var centre_x = document.getElementById("centre_x");
            if (centre_x.value == ""){
                centre_x.value = markerImage.width/2;
            }
            var centre_y = document.getElementById("centre_y");
            if (centre_y.value == ""){
                centre_y.value = markerImage.width;
            }

            //detecte la taille de l'ombre
            if (shadow.value == ""){
                //shadow.value = "http://www.google.com/mapfiles/shadow50.png";
            }
            document.getElementById("shadow_height").value = shadowImage.height;
            document.getElementById("shadow_width").value = shadowImage.width;

            submitform( pressbutton );
        }
    }

    function RafraichirMarqueur(){
      document.getElementById("image_marqueur").src = document.getElementById("url").value;
            marker = document.getElementById("url");
            markerImage.src = marker.value;
			EnableValue()
      document.getElementById("pos_centre_img").style.left = (620 - document.getElementById("centre_x").value) + 'px';
      document.getElementById("pos_centre_img").style.top = (300 - document.getElementById("centre_y").value) + 'px';
    }

    function RafraichirOmbre(){
      document.getElementById("image_ombre").src = document.getElementById("url_shadow").value;
	  shadowImage.src = shadow.value;
    }

    function RafraichirCentre_x(){
      document.getElementById("pos_centre_img").style.left = (620 - document.getElementById("centre_x").value) + 'px';
      document.getElementById("pos_centre_ombre").style.left = (620 - document.getElementById("centre_x").value) + 'px';
    }

    function RafraichirCentre_y(){
      document.getElementById("pos_centre_img").style.top = (300 - document.getElementById("centre_y").value) + 'px';
      document.getElementById("pos_centre_ombre").style.top = (300 - document.getElementById("centre_y").value) + 'px';
    }

    function init(){
            marker = document.getElementById("url");
			shadow = document.getElementById("url_shadow");
            markerImage.src = marker.value;
			shadowImage.src = shadow.value;
			setTimeout("EnableValue()", 500)
	 }

    function EnableValue(){
      document.getElementById("view_marker_height").value = markerImage.height;
      document.getElementById("view_marker_width").value = markerImage.width;
	 }

	window.addEvent('domready', function(){ init();});
	 
</script>

<form action="index.php" method="post" name="adminForm" id="adminForm">
<div>
    <fieldset class="adminform">
    <legend><?php echo JText::_( 'GMAPFP_DETAILS' ); ?></legend>
    <table class="admintable">
        <tr>
            <td width="110" class="key">
                <label for="nom">
                    <?php echo JText::_( 'GMAPFP_NOM' ); ?>:
                </label>
            </td>
            <td>
                <input class="inputbox" type="text" name="nom" id="nom" size="60" value="<?php echo $this->marqueurs->nom; ?>" />
            </td>
        </tr>
        <tr>
            <td class="key">
                <label for="url">
                    <?php echo JText::_( 'GMAPFP_URL' ); ?>:
                </label>
            </td>
            <td>
                <input class="inputbox" type="text" name="url" id="url" onchange="RafraichirMarqueur()" size="60" value="<?php echo $this->marqueurs->url; ?>" />
            </td>
        </tr>
        <tr>
            <td class="key">
                <label for="size">
                    <?php echo JText::_( 'GMAPFP_MARKER_SIZE' ); ?>:
                </label>
            </td>
            <td>
                <label>x : </label><input class="inputbox" type="text" id="view_marker_width" disabled="disabled" size="10" value="<?php echo $this->marqueurs->marker_width; ?>" />
                <label>&nbsp;y : </label><input class="inputbox" type="text" id="view_marker_height" disabled="disabled" size="10" value="<?php echo $this->marqueurs->marker_height; ?>" />
            </td>
        </tr>
        <tr>
            <td class="key">
                <label for="centre">
                    <?php echo JText::_( 'GMAPFP_CENTRE' ); ?>:
                </label>
            </td>
            <td>
                <label>x : </label><input class="inputbox" type="text" name="centre_x" id="centre_x" onchange="RafraichirCentre_x()" size="10" value="<?php echo $this->marqueurs->centre_x; ?>" />
                <label>&nbsp;y : </label><input class="inputbox" type="text" name="centre_y" id="centre_y" onchange="RafraichirCentre_y()" size="10" value="<?php echo $this->marqueurs->centre_y; ?>" />
            </td>
        </tr>
        <tr>
            <td class="key">
                <label for="url_shadow">
                    <?php echo JText::_( 'GMAPFP_URL_SHADOW' ); ?>:
                </label>
            </td>
            <td>
                <input class="inputbox" type="text" name="url_shadow" id="url_shadow" onchange="RafraichirOmbre()" size="60" value="<?php echo $this->marqueurs->url_shadow; ?>" />
            </td>
        </tr>
        <tr>
            <td width="120" class="key">
                <?php echo JText::_( 'JPUBLISHED' ); ?>:
            </td>
            <td>
                <?php echo JHTML::_( 'select.booleanlist',  'published', 'class="inputbox"', $this->marqueurs->published ); ?>
            </td>
        </tr>
    </table>
    </fieldset>
</div>
                <div style="position: absolute; top: 284px; left: 604px; width: 32px; height: 32px;">
                    <img src="components/com_gmapfp/images/cible.png"/>
                </div>
                <div id="pos_centre_ombre" style="position: absolute; top: <?php echo (300-$this->marqueurs->centre_y); ?>px; left: <?php echo (620-$this->marqueurs->centre_x); ?>px;">
                    <img id="image_ombre" src="<?php echo $this->marqueurs->url_shadow; ?>"/>
                </div>
                <div id="pos_centre_img" style="position: absolute; top: <?php echo (300-$this->marqueurs->centre_y); ?>px; left: <?php echo (620-$this->marqueurs->centre_x); ?>px;">
                    <img id="image_marqueur" src="<?php echo $this->marqueurs->url; ?>"/>
                </div>
<div class="clr"></div>

<input type="hidden" name="marker_width" id="marker_width" value="" />
<input type="hidden" name="marker_height" id="marker_height" value="" />
<input type="hidden" name="shadow_width" id="shadow_width" value="" />
<input type="hidden" name="shadow_height" id="shadow_height" value="" />
<input type="hidden" name="option" value="com_gmapfp" />
<input type="hidden" name="id" value="<?php echo $this->marqueurs->id; ?>" />
<input type="hidden" name="task" value="edit" />
<input type="hidden" name="controller" value="marqueurs" />
</form>
<div class="copyright" align="center">
    <br />
    <?php echo JText::_( 'GMAPFP_COPYRIGHT' );?>
</div>
