<?php
	/*
	* GMapFP Component Google Map for Joomla! 2.5.x
	* Version 10.91pro
	* Creation date: Août 2013
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die('Restricted access');
JHtml::_('behavior.keepalive');

$editor = JFactory::getEditor();
$config = JComponentHelper::getParams('com_gmapfp'); 
?>

<script language="javascript" type="text/javascript">
	Joomla.submitbutton = function(pressbutton) {
		var form = document.adminForm;
		if (pressbutton == 'cancel') {
			submitform( pressbutton );
			return;
		}
		// do field validation
		if (form.nom.value == "") {
			alert( "<?php echo JText::_( 'GMAPFP_NOM_NON_VIDE', true ); ?>" );
		} else {
			<?php
			echo $editor->save( 'text_intro_detail' );
			echo $editor->save( 'text_conclusion_detail' );
			echo $editor->save( 'text_intro_carte' );
			echo $editor->save( 'text_conclusion_carte' );
			?>
			submitform( pressbutton );
		}
	}
</script>

<form action="index.php" method="post" name="adminForm" id="adminForm" >
<div>
	<fieldset class="gmapfp_configuration">
	<legend><?php echo JText::_( 'GMAPFP_DETAILS' ); ?></legend>
	<table class="admintable">
		<tr>
			<td width="110" class="key">
				<label for="title">
					<?php echo JText::_( 'GMAPFP_NOM' ); ?>:
				</label>
			</td>
			<td>
				<input class="inputbox" type="text" name="nom" id="nom" size="60" value="<?php echo $this->personnalisations->nom; ?>" />
			</td>
		</tr>
    	<tr>
            <td width="110" class="key">
            	<label for="title">
            	<?php echo JText::_( 'GMAPFP_INTRO_CARTE' ); ?>:
            	</label>
            </td>
        	<td valign="top" class="inputbox">
            	<?php
				echo $editor->display('text_intro_carte', htmlspecialchars($this->personnalisations->intro_carte, ENT_COMPAT, 'UTF-8'), '100%', '200', '75', '20', false, 'text_intro_carte');				?>
        	</td>
		</tr>
    	<tr>
            <td width="110" class="key">
            	<label for="title">
            	<?php echo JText::_( 'GMAPFP_CONCLUSION_CARTE' ); ?>:
            	</label>
            </td>
        	<td valign="top" class="inputbox">
            	<?php
				echo $editor->display('text_conclusion_carte', htmlspecialchars($this->personnalisations->conclusion_carte, ENT_COMPAT, 'UTF-8'), '100%', '200', '75', '20', false, 'text_conclusion_carte');								?>
        	</td>
		</tr>
    	<tr>
            <td width="110" class="key">
            	<label for="title">
            	<?php echo JText::_( 'GMAPFP_INTRO_DETAIL' ); ?>:
            	</label>
            </td>
        	<td valign="top" class="inputbox">
            	<?php
				echo $editor->display('text_intro_detail', htmlspecialchars($this->personnalisations->intro_detail, ENT_COMPAT, 'UTF-8'), '100%', '200', '75', '20', false, 'text_intro_detail');								?>
        	</td>
		</tr>
    	<tr>
            <td width="110" class="key">
            	<label for="title">
            	<?php echo JText::_( 'GMAPFP_CONCLUSION_DETAIL' ); ?>:
            	</label>
            </td>
        	<td valign="top" class="inputbox">
            	<?php
				echo $editor->display('text_conclusion_detail', htmlspecialchars($this->personnalisations->conclusion_detail, ENT_COMPAT, 'UTF-8'), '100%', '200', '75', '20', false, 'text_conclusion_detail');								?>
        	</td>
		</tr>
		<tr>
			<td width="120" class="key">
				<?php echo JText::_( 'JPUBLISHED' ); ?>:
			</td>
			<td >
				<?php echo JHTML::_( 'select.booleanlist',  'published', 'class="inputbox"', $this->personnalisations->published ); ?>
			</td>
		</tr>
	</table>
	</fieldset>
</div>
<div class="clr"></div>
<div class="clr"></div>

<input type="hidden" name="option" value="com_gmapfp" />
<input type="hidden" name="id" value="<?php echo $this->personnalisations->id; ?>" />
<input type="hidden" name="task" value="edit" />
<input type="hidden" name="controller" value="personnalisations" />
</form>
<div class="copyright" align="center">
	<br />
	<?php echo JText::_( 'GMAPFP_COPYRIGHT' );?>
</div>
