<?php
	/*
	* GMapFP Component Google Map for Joomla! 2.5.x
	* Version 10.113pro
	* Creation date: Juillet 2014
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die();

class GMapFPsControllerGmapfpAjax extends GMapFPsController
{
	private $log_instance = null;

	function __construct()
	{
		parent::__construct();

	}

	function rebuilt()
	{
		$mainframe = JFactory::getApplication(); 
        $params = clone($mainframe->getParams('com_gmapfp'));

		if ($params->get('gmapfp_log', 0)) {
			jimport('joomla.error.log');
			$this->log_instance = &JLog::getInstance('GMapFP_'.JFactory::getDate()->toFormat('%Y_%m_%d').'.php');
		}
		$values    = JRequest::getString('values', ''); 

		$model = $this->getModel('gmapfp');
		$model->set_ajax(true);
		$places = $model->make_places('', $values);
		$datas = '[';
		$direction = array();

		$cn = 0;
		$points = '[';
		if ($places[0])
		foreach ($places[0] as $place) {
			if ($cn) $points .= ', ';
			$cn++;
			$lat = (real)$place[1];
			$lng = (real)$place[2];
			if ($lat>89 || $lat<-89) {$lat = 0; $lng = 0;}
			if ($lng>360 || $lng<-360) {$lat = 0; $lng = 0;}
			$points .= '[';
			$points .= (int)$place[0].', '.$lat.', '.$lng.', '.$place[3].', "'.$place[4].'", "'.$place[5].'", '.$place[6].', "'.$place[7].'", "'.$place[8].'", ';
			$points .= '["'.$place[9][0].'", '.$place[9][1].', '.$place[9][2].', '.$place[9][3].', '.$place[9][4].', "'.$place[9][5].'", '.$place[9][6].', '.$place[9][7].', '.$place[9][8].', '.$place[9][9].']';
			$points .= ']';
			
			if ((real)$place[1] && (real)$place[2])
				$direction[strtolower($place[7])] = '["'.(real)$place[1].','.(real)$place[2].','.(int)$place[0].'","'.$place[7].'"]';
		}
		$points .= ']';
		
		//lments pour les filtres
		$array_filtres = array();
		$filtres = array();
		if ($places[2][0])
		foreach ($places[2][0] as $key => $filtre) {
			$filtres[] = "'filtre".$key."'";
			$array_filtres[] = $filtre;
		}
		//trier les lment pour la direction
		ksort($direction);
		array_unshift($direction, '["","'.str_replace('&nbsp;', ' ', JText::_( 'GMAPFP_CHOIX_DE' )).'"]', '["","'.str_replace('&nbsp;', ' ', JText::_( 'GMAPFP_CHOIX_VERS' )).'"]');
		
		$result = '['.$points.',['.implode(', ', $filtres).'],['.implode(', ', $array_filtres).'],['.implode(', ', $direction).']]';
		
		if ($params->get('gmapfp_log', 0)) $this->log_instance->addEntry(array('category' => 'GMapFP:rebuilt()-> result','message' =>$cn++.'->'.$result));

		header('Content-Type: text/html;charset=utf-8'); 
		echo $result;
		
		die;
	}

}
?>
