	/*
	* GMapFP Component Google Map for Joomla! 3.x
	* Version J3_5P
	* Creation date: Août 2013
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

var gmapfp_filter_index = 1;
var gmapfp_filter_change_number = 1;
		
function gmapfp_update_select_of_filters() {
	document.body.style.cursor  = "wait";
	GMapFP_disable_filter(true);
	for ( var i=0; i<gmapfp_filtres.length; i++) {
		if (gmapfp_filtres[i] != "filtre_catid") {
			var filter_as_value = false;
			var the_filtre = document.getElementById(gmapfp_filtres[i]);
			if (the_filtre && (!the_filtre.filter_selected || the_filtre.filter_selected > gmapfp_filter_change_number)) {
				var filtre_value = the_filtre.value;
				var filtre_id = the_filtre.id;
				the_filtre.options.length=0;
				var filtre_values = gmapfp_filtres_list[i];
				if (filtre_values.length > 0) {
					the_filtre.style.display="block";
					for ( var j=0; j<filtre_values.length; j++) {
						if (filtre_values[j][0]==filtre_value) {
							gmapfp_selected = true;
							filter_as_value = true;
						}
						else gmapfp_selected = false;
						the_filtre.options[j]=new Option(filtre_values[j][1], filtre_values[j][0], gmapfp_selected, gmapfp_selected)
					};
				} else
					the_filtre.style.display="none";
			}
			if ((filtre_value && filtre_value != "" && filtre_value != "0") && !filter_as_value) {
				for(var i = 0; i < GMapFP_Request_Variable.length; i++) {
					if (GMapFP_Request_Variable[i].substr(0,filtre_id.length) == filtre_id) {
						GMapFP_Request_Variable = GMapFP_Request_Variable.slice(0,i).concat(GMapFP_Request_Variable.slice(i+1,GMapFP_Request_Variable.length));
					}
				}
				GMapFP_Send_Request ();
			}
		}
	}
}

function GMapFP_disable_filter (value) {
	for(var i = 0; i < gmapfp_filtres.length; i++) {
		if (document.getElementById(gmapfp_filtres[i]))
			document.getElementById(gmapfp_filtres[i]).disabled = value;
	}
}

function GMapFP_Ajax_Request_Filter(el) {
	document.body.style.cursor  = "wait";
	GMapFP_disable_filter(true);
	if (el.selectedIndex) {
		if(!el.filter_selected) {
			el.filter_selected = gmapfp_filter_index;
			gmapfp_filter_index ++;
		}
		gmapfp_filter_change_number = el.filter_selected;
	} else el.filter_selected = false;
	for(var i = 0; i < GMapFP_Request_Variable.length; i++) {
		if (GMapFP_Request_Variable[i].substr(0,el.id.length) == el.id) {
			GMapFP_Request_Variable = GMapFP_Request_Variable.slice(0,i).concat(GMapFP_Request_Variable.slice(i+1,GMapFP_Request_Variable.length));
		}
	}
	if (el.value && ((el.value > 0 && el.id.substring(7, 12) !='field' ) || (el.value >= 0 && el.id.substring(7, 12) =='field' ))) {
	//if (el.value && el.value > 0 ) {
		GMapFP_Request_Variable.push(el.id + "=" + el.value);
	}
	GMapFP_Send_Request ();
}

function GMapFP_Send_Request () {
	displayAjax('index.php?option=com_gmapfp&controller=gmapfpajax&task=rebuilt&values="' + GMapFP_Request_Variable.toString() + '"&Itemid=' + gmapfp_itemid )
}

function GMapFP_Enter_Search() {
	document.body.style.cursor  = "wait";
	GMapFP_disable_filter(true);
	for(var i = 0; i < GMapFP_Request_Variable.length; i++) {
		if (GMapFP_Request_Variable[i].substr(0,13) == 'filtre_search') {
			GMapFP_Request_Variable = GMapFP_Request_Variable.slice(0,i).concat(GMapFP_Request_Variable.slice(i+1,GMapFP_Request_Variable.length));
		}
	}
	if (document.getElementById("search_gmapfp").value != "") {
		GMapFP_Request_Variable.push('filtre_search=' + document.getElementById("search_gmapfp").value);
	}
	GMapFP_Send_Request ();
}

function GMapFP_init_search () {
	document.body.style.cursor  = "wait";
	for(var i = 0; i < GMapFP_Request_Variable.length; i++) {
		if (GMapFP_Request_Variable[i].substr(0,13) == "filtre_search") {
			GMapFP_Request_Variable = GMapFP_Request_Variable.slice(0,i).concat(GMapFP_Request_Variable.slice(i+1,GMapFP_Request_Variable.length));
		}
	}
	GMapFP_Send_Request ();
}

function GMapFP_reset_filters_variable () {
	for(var i = 0; i < GMapFP_Request_Variable.length; i++) {
		if (GMapFP_Request_Variable[i].substr(0,12) != "filtre_catid") {
			GMapFP_Request_Variable = GMapFP_Request_Variable.slice(0,i).concat(GMapFP_Request_Variable.slice(i+1,GMapFP_Request_Variable.length));
			i--;
		}
	}
}

function GMapFP_reset_filters_contenu () {
	for(var i = 0; i < gmapfp_filtres.length; i++) {
		var the_filtre = document.getElementById(gmapfp_filtres[i]);
		if (gmapfp_filtres[i] != "filtre_catid" && the_filtre) {
				if (the_filtre.options) {
					the_filtre.options.length=0;
	
					var filtre_values = gmapfp_filtres_list[i];
					if (filtre_values.length > 0) {
						the_filtre.style.display="block";
						for ( var j=0; j<filtre_values.length; j++) {
							the_filtre.options[j]=new Option(filtre_values[j][1], filtre_values[j][0], false, false)
						};
					} else
						the_filtre.style.display="none";
				}
		}
	}
	gmapfp_reset_all_filters = false;
}

function GMapFP_init_fieds_direction () {
	var from_direction = document.getElementById("select_from");
	if (from_direction) {
		var to_direction = document.getElementById("select_to");
		from_direction.options.length=0;
		to_direction.options.length=0;
		
		var direction_values = result[3];
		if (direction_values.length > 0) {
			from_direction.options[0]=new Option(direction_values[0][1], direction_values[0][0], false, false)
			to_direction.options[0]=new Option(direction_values[1][1], direction_values[1][0], false, false)
			for ( var j=2; j<direction_values.length; j++) {
				from_direction.options[j-1]=new Option(direction_values[j][1], direction_values[j][0], false, false)
				to_direction.options[j-1]=new Option(direction_values[j][1], direction_values[j][0], false, false)
			};
		}
		
	}
}