<?php
	/*
	* GMapFP Component Google Map for Joomla! 2.5.x
	* Version 10.118pro
	* Creation date: Mai 2016
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/
	
    $mainframe 	= JFactory::getApplication();
    $language 	= JFactory::getLanguage();
    $language->load('com_gmapfp');
    //$config 	= JComponentHelper::getParams('com_gmapfp');//parametre du composant
    $config 	= $mainframe->getParams('com_gmapfp');//parametre de l'item
    if ($plugin) $perso = "";
		else $perso	= $this->getPersonnalisation();
	$doc		= JFactory::getDocument();
	
    $itineraire = JRequest::getInt('itineraire', 0);
    $affichage  = JRequest::getVar('affichage', '', '0', 'string');
    $itemid 	= JRequest::getInt('Itemid', 	0);
    $_layout 	= JRequest::getVar('layout', "", '', 'string');
    $flag       = JRequest::getInt('flag',      ($_layout=="article"));

	// si plugin, utilise les paramtre du plugin si dfini
	if ($plugin and ($event_control!='0' and $event_control!='')) 
		$event_control = $event_control - 1;
	else
		$event_control = $config->get('gmapfp_eventcontrol');
	if ($plugin and ($plus_detail!='0' and $plus_detail!='')) 
		$plus_detail = $plus_detail - 1;
	else
		$plus_detail = $config->get('gmapfp_plus_detail');
	
	$ControlOption 	= '';
	$event_map 		= '';
	$standard_function	= '';
    $carte			= '';
	$MapVariables	= '';
	
    if (empty($num)) { $num = ''; };
	
/*********************************************
* traitement des donnes de zoom et centrage *
*********************************************/
    $zoom = "";
	$centrage_auto = $config->get('gmapfp_auto', 1);
    if (($_layout == "item_carte") or ($flag)) {
        if ((empty($this->_id))or($config->get('gmapfp_zoom_lightbox_carte', 100)!=100)) {
            $zoom = $config->get('gmapfp_zoom_lightbox_carte');
			$centrage_auto = $config->get('gmapfp_auto_other', 1);
        }else{
            $zoom = $rows[0]->gzoom;
        };
    };
	$print_layout = '';
	if ($_layout == "print_article") {
   		$print_layout = 'print_';
		if ((empty($this->_id)) or ($config->get('gmapfp_zoom_lightbox_imprimer', 100)!=100)) {
            $zoom = $config->get('gmapfp_zoom_lightbox_imprimer');
			$centrage_auto = $config->get('gmapfp_auto_other', 1);
        }else{
            $zoom = $rows[0]->gzoom;
        };
    };

    if (($zoom == "") or ($zoom == 0)) {
        $zoom = $config->get('gmapfp_zoom', 10);
    };
    if (!($Zmap)) {
        $Zmap = $zoom;
    };
	
	//centrage et zoom manuel par dfaut
	$centrageauto='';
	$Zauto='';
    if ($plugin) {
        //centrage de la carte et choix du zoom de dpart avec plugin
        if (!(($glat_plugin)and($glng_plugin))) {
            if ($Zmap) {
            //centreage auto et zoom manuel
				$centrageauto	= 1;
            }else{
             //centrage et zoom automatique
				$centrageauto	= 1;
				$Zauto			= 1;
            }
        };
    }else{
		//centrage de la carte et choix du zoom de dpart sans plugin
        if ((($centrage_auto==1) or ($Zmap==0))) {
             if ($Zmap) {
            //centrage auto et zoom manuel
				$centrageauto	= 1;
            }else{
            //centrage et zoom automatique
				$centrageauto	= 1;
				$Zauto			= 1;
			};
        };
    };
	if ($centrageauto == 1) {
		$centrageauto='carteGMapFP'.$num.'.setCenter(bounds_GMapFP'.$num.'.getCenter());'."\n";
	}
	if ($Zauto == 1) {
		$Zauto='carteGMapFP'.$num.'.fitBounds(bounds_GMapFP'.$num.');'."\n";
		//limitation de la valeur du zoom automatique
		$event_map.='	google.maps.event.addListenerOnce(carteGMapFP'.$num.', \'zoom_changed\', function(){UpdateZoomMax();})'."\n";
		$standard_function .='function UpdateZoomMax(){'."\n";
		$standard_function .='	var mapZoom = carteGMapFP'.$num.'.getZoom();'."\n";
		$standard_function .='	if (mapZoom > '.$config->get('gmapfp_auto_zoom_maxi').')'."\n";
		$standard_function .='	{carteGMapFP'.$num.'.setZoom('.$config->get('gmapfp_auto_zoom_maxi').');}'."\n";
		$standard_function .='}'."\n";		
	}
/*************************************************
* fin traitement des donnes de zoom et centrage *
*************************************************/

/**************************/
/* Cration des marqueurs */
/**************************/
    //creation de l'infowindow

	// Slection de la cible
	$largeur_lightbox = $config->get('gmapfp_largeur_lightbox', '70%');
	$hauteur_lightbox=$config->get('gmapfp_hauteur_lightbox', '70%');
	switch ($config->get('target'))
	{
		case 1:
			// open in parent avec navigation
			$cible = 'parent.location=place[5]';
			break;
		case 2:
			// open in nouvelle fentre avec barre de navigation
			$cible = "window.open(place[5], \"info\"+place[3], 'toolbar=yes,location=yes,status=yes,menubar=yes,scrollbars=yes,resizable=yes,width=".$largeur_lightbox.",height=".$hauteur_lightbox."'); ";
			break;
		case 3:
			// open in a popup window
			$cible = "window.open(place[5], \"info\"+place[3], 'toolbar=no,location=no,status=no,menubar=no,scrollbars=yes,resizable=yes,width=".$largeur_lightbox.",height=".$hauteur_lightbox."');";
			break;
		default:
			// open in lightbox
			$cible ='fb.start({ href: place[5], rev: "width:'.$largeur_lightbox.' height:'.$hauteur_lightbox.' scrolling:yes innerBorder:1" });';
			break;
	}

	$ajout_nom = false;
	// choix avec / sans possibilit de clik : More information
	$MoreInfoTexte = '';
	if ($flag==0 && ($plus_detail==1 || ($plus_detail!=0 && $event_control==1))) {
		$MoreInfoTexte = '
			google.maps.event.addListener(marker, \'mouseup\', function(e) {
				'.$cible.'
			});
		';
	}
	
    $MapVariables .= '
	var infowindow'.$num.' = new Array();
	var num_open = 0;
	';
	
	switch ($event_control) {
		case 2 :
			//MouseOver + Fermeture manuel + Click
			$create_infowindow = '
			function attachinfowindow(marker, place, i){
				'.$MoreInfoTexte.'
				infowindow'.$num.'[i] = new google.maps.InfoWindow({
					content: place[4],
					maxWidth : '.(int)$config->get('gmapfp_width_bulle_GMapFP', 400).',
					disableAutoPan : '.$config->get('gmapfp_AutoPan', 0).'
				});
				google.maps.event.addListener(marker, \'mouseover\', function(e) {
					infowindow'.$num.'[num_open].close(carteGMapFP'.$num.',marker);
					infowindow'.$num.'[i].setZIndex(++infowindowLevel);
					infowindow'.$num.'[i].open(carteGMapFP'.$num.',marker);
					num_open = i;
				});
			}';
			break;
		case 1 :
		   //MouseOver + Fermeture auto + Click
			$create_infowindow = '
			function attachinfowindow(marker, place, i){
				'.$MoreInfoTexte.'
				infowindow'.$num.'[i] = new google.maps.InfoWindow({
					content: place[4],
					maxWidth : '.(int)$config->get('gmapfp_width_bulle_GMapFP', 400).',
					disableAutoPan : '.$config->get('gmapfp_AutoPan', 0).'
				});
				google.maps.event.addListener(marker, \'mouseover\', function(e) {
					infowindow'.$num.'[i].setZIndex(++infowindowLevel);
					infowindow'.$num.'[i].open(carteGMapFP'.$num.',marker);
				});
				google.maps.event.addListener(marker, \'mouseout\', function(e) {
					infowindow'.$num.'[i].setZIndex(++infowindowLevel);
					infowindow'.$num.'[i].close(carteGMapFP'.$num.',marker);
				});
			}';
			break;
		default : //case 0
			//Seulement Click
			if ($plus_detail==0 || $plus_detail==2 || $flag==1) {
				$MoreInfoTexte = '
					infowindow'.$num.'[i] = new google.maps.InfoWindow({
						content: place[4],
						maxWidth : '.(int)$config->get('gmapfp_width_bulle_GMapFP', 400).',
						disableAutoPan : '.$config->get('gmapfp_AutoPan', 0).'
					});
					
					google.maps.event.addListener(marker, \'mouseup\', function(e) {
						infowindow'.$num.'[parseInt(marker_precedent'.$num.')].close();
						infowindow'.$num.'[i].setZIndex(++infowindowLevel);
						infowindow'.$num.'[i].open(carteGMapFP'.$num.',marker);
						marker_precedent'.$num.' = i;
					});
				';
			}
			
			$create_infowindow='
			function attachinfowindow(marker, place, i){
					'.$MoreInfoTexte.'
				}';
	}
	unset ($cible);
	unset ($MoreInfoTexte);

    //clustering des marqueurs
	if (!$config->get('gmapfp_clustering', 1)) {
		$map_without_clustering = 'map: carteGMapFP'.$num.',';
		$markerCluster ='';
	} else {
		$map_without_clustering = '';
		$clustering_styles = $config->get('gmapfp_clustering_styles', 'null');
		$options_clustering = 'maxZoom : '.$config->get('gmapfp_clustering_zmax', 14).', gridSize: '.$config->get('gmapfp_clustering_gridSize', 'null').', styles: styles['.$clustering_styles.']';
		$markerCluster ='markerCluster'.$num.' = new MarkerClusterer(carteGMapFP'.$num.', marker'.$num.', {'.$options_clustering.'});';
	}
    //cration du marqueur
    $create_marker = 'create_carteGMapFP'.$num.'.prototype.addMarker = function     (donnees){
		'
        .$create_infowindow
        .'
    for (var i = 0; i < donnees.length; i++) {
		var place = donnees[i];
        infos_marqueur = place[9];
		image_marker = new google.maps.MarkerImage(
			infos_marqueur[0],
            new google.maps.Size(infos_marqueur[1], infos_marqueur[2]),
            new google.maps.Point(0,0),
            new google.maps.Point(infos_marqueur[3], infos_marqueur[4])
		);
	    var shadow_marker = new google.maps.MarkerImage(infos_marqueur[5],
			new google.maps.Size(infos_marqueur[6], infos_marqueur[7]),
			new google.maps.Point(0,0),
			new google.maps.Point(infos_marqueur[8], infos_marqueur[9]));
		var shape_marker = {
			coord: [0, 0, infos_marqueur[1], infos_marqueur[2]],
			type: \'rect\'
		};

        var maLatLng = new google.maps.LatLng(place[1], place[2]);
		bounds_GMapFP'.$num.'.extend(maLatLng);
        marker'.$num.'[i] = new google.maps.Marker({
            '.$map_without_clustering.'
            position: maLatLng,
            title: place[7],
            icon: image_marker,
			shadow: shadow_marker,
			shape: shape_marker,
            zIndex: place[3]
        });
		marker'.$num.'[i].mycategory  = place[8];
        attachinfowindow(marker'.$num.'[i], place, i);
    }
	'.$markerCluster.'
    '
    .$centrageauto
    .$Zauto
    .'};'."\n\n";

    $VariableDirection='';
    $DeclareDirection='';
    if ((($config->get('gmapfp_itineraire') == 1) and ($Itin == 0)) or ($Itin == 1) or $itineraire) {
        $VariableDirection = 'var directionDisplay'.$num.';
            var directionsService'.$num.' = new google.maps.DirectionsService();';
        $Option_Direction = 'draggable: true';
		$DeclareDirection = '
			var renderOptions = {
			'.$Option_Direction.'
			}
            directionsDisplay'.$num.' = new google.maps.DirectionsRenderer(renderOptions);
            directionsDisplay'.$num.'.setMap(carteGMapFP'.$num.');
            directionsDisplay'.$num.'.setPanel(document.getElementById("gmapfp_directions'.$num.'"));';
    }
    $MapVariables .=
            'var infowindowLevel = 0;
			var bounds_GMapFP'.$num.' = new google.maps.LatLngBounds();
			var marker'.$num.' = new Array();
           '.$VariableDirection
			.'
    ';

//affichage de google earth 45 quand disponible    
	$control ="";
    if ($config->get('gmapfp_Tilt45', 1)){
		$control .= '
		  carteGMapFP'.$num.'.setTilt(45);';
	}

 // insertion photos Panoramino
    $event_panoramino = "";
    if ($config->get('gmapfp_enable_pano_photos', 0) or (($config->get('gmapfp_plus_info', 1) and ($More == 0)) or ($More == 1))){
		$event_panoramino = 
		'
          panoramioLayer'.$num.' = new google.maps.panoramio.PanoramioLayer();';
		  
			if ($config->get('gmapfp_enable_pano_photos', 0)){
				$event_panoramino .= 
		'
				panoramioLayer'.$num.'.setMap(carteGMapFP'.$num.');
				panoramioLayer'.$num.'.enable = true;
		';
				$enable_pano_photos = 1;
			} else {
				$event_panoramino .= 
		'
				panoramioLayer'.$num.'.setMap(null);
				panoramioLayer'.$num.'.enable = false;
		';
				$enable_pano_photos = 0;
			}
	}

//insertion du traffic
    $traffic='';
    if ($config->get('gmapfp_enable_traffic', 1) or (($config->get('gmapfp_plus_info', 1) and ($More == 0)) or ($More == 1))) {
        $traffic= '
            trafficLayer'.$num.' = new google.maps.TrafficLayer();';
		if ($config->get('gmapfp_enable_traffic', 1)) {
			$traffic.= '
			trafficLayer'.$num.'.setMap(carteGMapFP'.$num.');
			trafficLayer'.$num.'.enable = true;';
			$enable_traffic = 1;
		} else {
			$traffic.= '
			trafficLayer'.$num.'.enable = false;';
			$enable_traffic = 0;
		}
	};

//insertion de la mto
    $meteo='';
    $cloud='';
    if ($config->get('gmapfp_enable_weather', 1) or (($config->get('gmapfp_plus_info', 1) and ($More == 0)) or ($More == 1))) {
        $meteo= '
            weatherLayer'.$num.' = new google.maps.weather.WeatherLayer({
          temperatureUnits: google.maps.weather.TemperatureUnit.'.$config->get('gmapfp_unite_temperature', 'CELSIUS').'
        });';
		if ($config->get('gmapfp_enable_weather', 1)) {
			$meteo.= '
			weatherLayer'.$num.'.setMap(carteGMapFP'.$num.');
			weatherLayer'.$num.'.enable = true;';
			$enable_meteo = 1;
		} else {
			$meteo.= '
			weatherLayer'.$num.'.enable = false;';
			$enable_meteo = 0;
		}
	//insertion des nuages
		if ($config->get('gmapfp_enable_cloud', 1) or (($config->get('gmapfp_plus_info', 1) and ($More == 0)) or ($More == 1))) {
			$cloud= '
				cloudLayer'.$num.' = new google.maps.weather.CloudLayer();';
			if ($config->get('gmapfp_enable_cloud', 1)) {
				$cloud.= '
				cloudLayer'.$num.'.setMap(carteGMapFP'.$num.');
				cloudLayer'.$num.'.enable = true;';
				$enable_cloud = 1;
			} else {
				$cloud.= '
				cloudLayer'.$num.'.enable = false;';
				$enable_cloud = 0;
			}
		};
	};


//insertion de la transit (mtro, bus)
    $transit='';
    if ($config->get('gmapfp_enable_transit', 1) or (($config->get('gmapfp_plus_info', 1) and ($More == 0)) or ($More == 1))) {
        $transit= '
            transitLayer'.$num.' = new google.maps.TransitLayer();';
		if ($config->get('gmapfp_enable_transit', 1)) {
			$transit.= '
			transitLayer'.$num.'.setMap(carteGMapFP'.$num.');
			transitLayer'.$num.'.enable = true;';
			$enable_transit = 1;
		} else {
			$transit.= '
			transitLayer'.$num.'.enable = false;';
			$enable_transit = 0;
		}
	};

//affichage de plus de dtail : Panoramino, trafic, ...
    if (($config->get('gmapfp_plus_info', 1) and ($More == 0)) or ($More == 1)){
		$MapVariables .='
		var moreControlText = [ "'.JText::_( 'GMAPFP_MORE' ).'", "'.JText::_( 'GMAPFP_CLICK_TO_OPEN' ).'", "'.JText::_( 'GMAPFP_CLICK_TO_SET' ).'", "'.JText::_( 'GMAPFP_PANORAMINO' ).'", "'.JText::_( 'GMAPFP_TRAFFIC' ).'", "'.JText::_( 'GMAPFP_WEATHER' ).'", "'.JText::_( 'GMAPFP_TRANSIT' ).'", "'.JText::_( 'GMAPFP_CLOUD' ).'"];';
		$control .= '
		  var moreControlDiv = document.createElement(\'DIV\');
		  var moreControl = new MoreControl("carteGMapFP'.$num.'", moreControlDiv, "panoramioLayer'.$num.'", '.$enable_pano_photos.', "trafficLayer'.$num.'", '.$enable_traffic.', "weatherLayer'.$num.'", '.$enable_meteo.', "cloudLayer'.$num.'", '.$enable_cloud.', "transitLayer'.$num.'", '.$enable_transit.');
		  moreControlDiv.index = 1;
		  carteGMapFP'.$num.'.controls[google.maps.ControlPosition.TOP_RIGHT].push(moreControlDiv);
		';
	}
	
//choix des options d'affichage de la carte
//bar de zoom 3D (ANDROID,SMALL,ZOOM_PAN)
    if (($config->get('gmapfp_mapcontrol') and ($bar_z_nav == 0)) or ($bar_z_nav == 1) )
        {$ControlOption.='zoomControl: true, panControl: true,
                  navigationControlOptions: {style: google.maps.NavigationControlStyle.ZOOM_PAN},';}
    else
        {$ControlOption.='zoomControl: false, panControl: false,';};
//Affichage de l'chelle
    if ((($config->get('gmapfp_scalecontrol')==1) and ($Ech == 0)) or ($Ech == 1) )
        {$ControlOption.='
              scaleControl: true,';}
    else
        {$ControlOption.='
              scaleControl: false,';};
//activation du zoom par molette de la sourie
    if ((($config->get('gmapfp_mousewheel')==1) and ($MZoom == 0)) or ($MZoom == 1) )
        {$ControlOption.='
              scrollwheel: true,';}
    else
        {$ControlOption.='
              scrollwheel: false,';};
//dsactivation du zoom par double click
    if (!$config->get('gmapfp_mousezoom_dclick', 1))
        {$ControlOption.='
              disableDoubleClickZoom: true,';}
    else
        {$ControlOption.='
              disableDoubleClickZoom: false,';};
//activation de la zone de zoom en bas  droite
    if ((($config->get('gmapfp_zzoom')==1) and ($ZZoom == 0)) or ($ZZoom == 1) )
        {$ControlOption.='
              overviewMapControl: true,';}
    else
        {$ControlOption.='
              overviewMapControl: false,';};


//affichage streetView
    $HeightPano=(int)$config->get('gmapfp_height_sv', 300);
    $streeview='';
    if ($config->get('gmapfp_streetView', 1))
        { $ControlOption.='
              streetViewControl: true,';
		$streeview = '
			var optionstreetview'.$num.' = {
				//position: mycentre,
				enableCloseButton: true,
				imageDateControl: true,
				visible: false,
				pov: {
					heading: 34,
					pitch: 10,
					zoom: 1
				}
			};
		';

        $streeview .= '
            panorama'.$num.' = new  google.maps.StreetViewPanorama(document.getElementById("div_streetview'.$num.'"), optionstreetview'.$num.');
                carteGMapFP'.$num.'.setStreetView(panorama'.$num.');
		';
        $streeview.='
            google.maps.event.addListener(panorama'.$num.', \'visible_changed\', function(mEvent) {
                if(panorama'.$num.'.getVisible()) {
                    var maDiv = document.getElementById("div_streetview'.$num.'");
                    maDiv.style.height = "'.$HeightPano.'px";
                } else {
                    var maDiv = document.getElementById("div_streetview'.$num.'");
                    maDiv.style.height = "1px";
                };
            });';}
    else
        { $ControlOption.='
              streetViewControl: false,';};

//insertion du fichier kml
    $xml_files = array();
	if ($config->get('gmapfp_geoXML') != "") $xml_files = explode(";",$config->get('gmapfp_geoXML'));
	if ($kml_file != '0')
		$xml_files[] = $kml_file;
    $geo_xml = '';
	$var_xml = '';
	$cn = 1;
    foreach ($xml_files as $xml_file) {
        $geo_xml .= '
			var optionkml = {
				preserveViewport: true
			}
            ctaLayer'.$cn.' = new google.maps.KmlLayer(\''.$xml_file.'\', optionkml);
                ctaLayer'.$cn.'.setMap(carteGMapFP'.$num.');
				kml_layer.push(ctaLayer'.$cn.");\n";
        $var_xml .= 'var ctaLayer'.$cn.';'."\n";
		$layer[] = "ctaLayer".$cn;
		$cn++;
		};
	$var_xml .= 'var kml_layer = Array();'."\n";

//auto complete les champs de saisie destination/provenance
	$auto_complete= '';
    if ($config->get('gmapfp_auto_complete', 1) and ((($config->get('gmapfp_itineraire') == 1) and ($Itin == 0)) or ($Itin == 1) or $itineraire)) {
        $auto_complete= '
        var input = document.getElementById("'.$print_layout.'text_from'.$num.'");
        var autocomplete_from'.$num.' = new google.maps.places.Autocomplete(input);
        var input = document.getElementById("'.$print_layout.'text_to'.$num.'");
        var autocomplete_to'.$num.' = new google.maps.places.Autocomplete(input);
		google.maps.event.addListener(carteGMapFP'.$num.', \'bounds_changed\', function(mEvent) {
			autocomplete_from'.$num.'.setBounds(carteGMapFP'.$num.'.getBounds());
			autocomplete_to'.$num.'.setBounds(carteGMapFP'.$num.'.getBounds());
		});
		';
		};
				
$mapTypeId=array();
//affichage bouton carte hybride
    if (($config->get('gmapfp_hybrid') and ($map_hyb == 0)) or ($map_hyb == 1))
        { $mapTypeId[]='google.maps.MapTypeId.HYBRID';}
//affichage bouton carte normale
    if (($config->get('gmapfp_normal') and ($map_nor == 0)) or ($map_nor == 1))
        { $mapTypeId[]='google.maps.MapTypeId.ROADMAP';}
//affichage bouton carte relief
    if (($config->get('gmapfp_physic') and ($map_phy == 0)) or ($map_phy == 1))
        { $mapTypeId[]='google.maps.MapTypeId.TERRAIN';}
//affichage bouton carte satellite
    if (($config->get('gmapfp_satellite') and ($map_sat == 0)) or ($map_sat == 1))
        { $mapTypeId[]='google.maps.MapTypeId.SATELLITE';}
    $mapTypeIds=implode( ",", $mapTypeId );
    $mapTypeIds='var types = ['.$mapTypeIds.'];';
//selection du type d'affichage des types de carte
    $MapTypeControlStyle='';
    if ($config->get('gmapfp_vertical'))
        { $MapTypeControlStyle='style: google.maps.MapTypeControlStyle.DROPDOWN_MENU,';}

	$carte_choix = 'ROADMAP';
    if ((($config->get('gmapfp_choix_affichage_carte')==2) and ($map_choix == 0)) or ($map_choix == 2)) { $carte_choix = 'SATELLITE';};
    if ((($config->get('gmapfp_choix_affichage_carte')==3) and ($map_choix == 0)) or ($map_choix == 3)) { $carte_choix = 'HYBRID';};
    if ((($config->get('gmapfp_choix_affichage_carte')==4) and ($map_choix == 0)) or ($map_choix == 4)) { $carte_choix = 'TERRAIN';};

	if ($plugin) {
		if ($glat_plugin) {
			$lat=$glat_plugin;
		}else{
			$lat='0';};
		if ($glng_plugin) {
			$lng=$glng_plugin;
		}else{
			$lng='0';};
	} else {
			if ($config->get('gmapfp_centre_lat')) {
			$lat=$config->get('gmapfp_centre_lat');
		}else{
			$lat='0';};
		if ($config->get('gmapfp_centre_lng')) {
			$lng=$config->get('gmapfp_centre_lng');
		}else{
			$lng='0';};
	}

//Ajout du logo GMapFP en bas  gauche de la carte
	if ($config->get('gmapfp_logo', 1)) {
		$active_logo = 'setTimeout("Hide_Google_link'.$num.'()",1000);';
		$code_logo = "		function Hide_Google_link".$num."() {
				//document.getElementById('map_canvas".$num."').childNodes[0].childNodes[1].childNodes[0].style.display = 'none';
				leHtml = document.getElementById('map_canvas".$num."').childNodes[0].childNodes[1].innerHTML;
				leHtml = '' + leHtml + '<a style=\"position: static; overflow-x: visible; overflow-y: visible; float: none; display: inline; \" title=\"GMapFP: Map Component for Joomla\" target=\"_blank\" href=\"http://gmapfp.org\"><div class=\"gmnoprint\" style=\"width: 60px; height: 24px; cursor: pointer; \"><img style=\"position: absolute; left: 0px; top: 24px; -webkit-user-select: none; border-top-width: 0px; border-right-width: 0px; border-bottom-width: 0px; border-left-width: 0px; border-style: initial; border-color: initial; border-image: initial; padding-top: 0px; padding-right: 0px; padding-bottom: 0px; padding-left: 0px; margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; width: 60px; height: 24px; \" src=\"http://gmapfp.org/logos/logo_blanc_24x60.png\"></div></a>';
				document.getElementById('map_canvas".$num."').childNodes[0].childNodes[1].innerHTML = leHtml;
		};
";
	} else {
		$active_logo = '';
		$code_logo = '';
	}

//autoouvrir le marqueur si 1lieu, carte, imprimer, ...
	$auto_ouvrir = '';
	if ($flag and $config->get('gmapfp_auto_ouvrir_titre', 1)) {
		$auto_ouvrir = "\n".'infowindow'.$num.'[1]=new google.maps.InfoWindow({
					content: places[0][4],
					maxWidth : '.(int)$config->get('gmapfp_width_bulle_GMapFP', 400).',
					disableAutoPan : '.$config->get('gmapfp_AutoPan', 0).'
				});';
		$auto_ouvrir .= "\n".'infowindow[1].open(carteGMapFP,marker[0]);';
	};

//activer la geolocalisation de l'utilisateur
	if ($config->get('gmapfp_geolocalisation', 1) and !$config->get('gmapfp_geolocalisation_bp', 1)) 	{
		$geolocalisation = '
			GMapFP_active_map.push(carteGMapFP'.$num.');
			GMapFP_active_bounds.push(bounds_GMapFP'.$num.');
			GMapFP_num.push(\''.$num.'\');
			document.getElementById("info_geolocalisation" + \''.$num.'\').style.display = "block";
			if (canPrepareGeolocation) {
				canPrepareGeolocation = false;
				prepareGeolocation();
				doGeolocation();
			}
			';
	} else $geolocalisation = '';
	

    $doc->addCustomTag( '<script type="text/javascript">
        '.
        $MapVariables."\n".
		$var_xml.
        '
        var carteGMapFP'.$num.';
        var panoramioLayer'.$num.';
        var trafficLayer'.$num.';
        var weatherLayer'.$num.';
        var cloudLayer'.$num.';
        var transitLayer'.$num.';
		var travel_mode'.$num.' = google.maps.DirectionsTravelMode.DRIVING;
		var marker_precedent'.$num.' = 0;
		var markerCluster'.$num.' = null;
		var geoloca_ajout_otpion = false;

        function create_carteGMapFP'.$num.'() {
            '.$mapTypeIds.'
			var mycentre = new google.maps.LatLng('.$lat.', '.$lng.');
            var myOptions = {
              zoom: '.$Zmap.',
              center: mycentre,
              '.$ControlOption.'
              mapTypeControlOptions: {
                '.$MapTypeControlStyle.'
                mapTypeIds: types
              },
              mapTypeId: google.maps.MapTypeId.'.$carte_choix.'
            };
            carteGMapFP'.$num.' = new google.maps.Map(document.getElementById("map_canvas'.$num.'"),myOptions);'."\n"
			//.'var mc = new MarkerClusterer(carteGMapFP'.$num.');'
            .$geo_xml
            ."\n\n"
			.$event_map
			.$event_panoramino
			.$traffic
			.$meteo
			.$cloud
			.$transit
			.$auto_complete
            .$streeview
            .$DeclareDirection
            .$control
			."\n}\n\n"
        .$standard_function
		.$create_marker
		.'	function initialise_gmapfp'.$num.'() {
				var maCarteGMapFP'.$num.'= new create_carteGMapFP'.$num.';
				maCarteGMapFP'.$num.'.addMarker(places'.$num.');'
		.$active_logo
		.$auto_ouvrir
		.$geolocalisation
		.'
			}
		'
		.$code_logo
		."\n</script>"

    );

    if (empty($Hmap)) {$Hmap=$config->get('gmapfp_height', '500');};
    
    if ($_layout == "article") {
		$Lmap='100%';
	} else {
		if (empty($Lmap)) {
			if ((strpos($config->get('gmapfp_width'),'%'))or(strpos($config->get('gmapfp_width'),'x'))){
				$Lmap=$config->get('gmapfp_width');
			}else{
				$Lmap=(int)$config->get('gmapfp_width', '500').'px';
			};
		};
		if ((!strpos($Lmap,'%'))and(!strpos($Lmap,'x'))){
			$Lmap=(int)$Lmap.'px';
		}
	}

    if (!empty($perso) and ($_layout != "article")) {
        //fonction pour execution des plugins dans la personnalisation
        $dispatcher = JDispatcher::getInstance();
        JPluginHelper::importPlugin('content');
        if (isset($perso->intro_carte)) {
			$article = new stdClass();
            $article->text=$perso->intro_carte;
            $results = $dispatcher->trigger('onContentPrepare', array ('com_gmapfp', & $article, & $this->params, 0));
            $carte.=$article->text;
        };
    };

    if ((@VALIDATE_GMAPFP==0)&&($plugin!=1)){
        $carte.=
            '<h1 style="color:red;">
				<div>Version non enregistr&eacute;e (Vous avez 5 jours pour contacter webmaster@gmapfp.org afin d\'acheter une licence).</div>
				<div>Unregistered version (You have 5 days for buy a licence at webmaster@gmapfp.org).</div>
			</h1>';
    };
    $carte.='<div id="gmapfp'.$num.'" class="gmapfp" fullscreen="false" style="position: relative; width:'.$Lmap.'; height:auto; overflow:hidden;">
	';

	//insertion des boutons d'option
	$gmapfp_bottons = JFolder::files(JPATH_BASE."/components/com_gmapfp/libraries/buttons", ".php", false, true);
	if ($gmapfp_bottons) {
		$botton_elements = array();
		$html = '';
		$script = '';
		foreach ($gmapfp_bottons as $gmapfp_botton) {
			//include $gmapfp_botton;
			require $gmapfp_botton;
		}
		unset ($gmapfp_bottons, $gmapfp_botton);
		if ($html) {
			$carte .='<div class="gmnoprint" style="position:absolute; top:120px; z-index:2000; width: 36px;">
			<img src="'.JURI::base().'components/com_gmapfp/libraries/buttons/images/hautmenuboutton.gif" />
			';
			$carte .= $html;
			$carte .='<img src="'.JURI::base().'components/com_gmapfp/libraries/buttons/images/basmenuboutton.gif" />
			</div>';
			$doc->addCustomTag($script);
			unset($html, $script);
		}
	}

    $carte.=
        '<div id="map_canvas'.$num.'" style="width:'.$Lmap.'; height:'.$Hmap.'px; background-image:url(components/com_gmapfp/floatbox/graphics/loader_black.gif); background-repeat:no-repeat; background-position:center;"></div>
		<div id="info_geolocalisation'.$num.'" class="gmapfp_geolocal_info" style="display: none;">Detecting your location...</div>';
	if ($aucune_info) $display = 'block';
	else $display = 'none';
	$carte .= '<div id="aucune_info'.$num.'" class="gmapfp_aucune_info" style="display: '.$display.';">'.JText::_('GMAPFP_AUCUNE_INFO').'</div>';
    if ($config->get('gmapfp_streetView', 1)) {
        $carte.=
         '<div id="div_streetview'.$num.'" style="width:100%;"></div> ';
    }

	if (isset($perso->conclusion_carte) and ($_layout != "article")) {
		$article = new stdClass();
		$article->text=$perso->conclusion_carte;
        $results = $dispatcher->trigger('onContentPrepare', array ('com_gmapfp', & $article, & $this->params, 0));
		$carte.=$article->text;
	};

	if ((($config->get('gmapfp_itineraire')==1) and ($Itin==0)) or ($Itin==1) or $itineraire) {

	$java_direction = '
		var MessageRoute = [ "OK", "'.JText::_( 'GMAPFP_NOT_FOUND' ).'", "'.JText::_( 'GMAPFP_ZERO_RESULTS' ).'", "'.JText::_( 'GMAPFP_MAX_WAYPOINTS_EXCEEDED' ).'", "'.JText::_( 'GMAPFP_INVALID_REQUEST' ).'", "'.JText::_( 'GMAPFP_OVER_QUERY_LIMIT' ).'", "'.JText::_( 'GMAPFP_REQUEST_DENIED' ).'", "'.JText::_( 'GMAPFP_UNKNOWN_ERROR' ).'"];
		';
		$doc->addCustomTag( '<script language="javascript" type="text/javascript">
		'.$java_direction.'
		</script>');

		//Ajoute mise a jour du lien impression et affichage de l'icon d'impression de l'itinraire
		$debutlink ='index.php?option=com_gmapfp&view=gmapfp&tmpl=component&layout=print_article&flag=1&id=';
		$finlink ='&Itemid='.JRequest::getVar('Itemid', 0, '', 'int');
		$printer=JURI::base().'components/com_gmapfp/images/printer.png';
		$print_layout = 'print_';
		if ($_layout != "print_article") {
			$print_layout = '';
			$doc->addCustomTag( '<script language="javascript" type="text/javascript">
				function Show_bp_print(num_map) {
					var ok = false;
					if (document.getElementById("select_from"+num_map).selectedIndex!=0 && (document.getElementById("select_to"+num_map).selectedIndex!=0 || document.getElementById("text_to"+num_map).value!="")) {
						var i = document.getElementById("select_from"+num_map).value.lastIndexOf(",");
						var link_print = "'.JURI::base().'" + "'.$debutlink.'" + document.getElementById("select_from"+num_map).value.substring(i+1) + "&plug_num="+num_map+"'.$finlink.'";
						ok = true;
					} else {
						if (document.getElementById("select_to"+num_map).selectedIndex!=0 && document.getElementById("text_from"+num_map).value!="") {
							var i = document.getElementById("select_to"+num_map).value.lastIndexOf(",");
							var link_print = "'.JURI::base().'" + "'.$debutlink.'" + document.getElementById("select_to"+num_map).value.substring(i+1) + "&plug_num="+num_map+"'.$finlink.'";
							ok = true;
						}
					}
					if (ok) {
						document.getElementById("frame_print_itin"+num_map).src = link_print;
						document.getElementById("bp_print_itin"+num_map).style.display = "block";
					} else {
						document.getElementById("bp_print_itin"+num_map).style.display = "none";
					}
				}
				function OnSubmit_Itin'.$num.'() {
					CalculRoute(\''.$num.'\', directionsDisplay'.$num.', directionsService'.$num.', travel_mode'.$num.', \'\'); 
					Show_bp_print(\''.$num.'\');
				}
			</script>');
		} else {
			$doc->addCustomTag( '<script language="javascript" type="text/javascript">
				function OnSubmit_Itin'.$num.'() {
					CalculRoute(\''.$num.'\', directionsDisplay'.$num.', directionsService'.$num.', travel_mode'.$num.', \''.$print_layout.'\'); 
				}
			</script>');
		}
		
		$bike_option = '';
		if (!$config->get('gmapfp_bike_option', 0)) 
			$bike_option = 'style = "display:none;"';
		$travel_option = '';
		if (!$config->get('gmapfp_travel_mode', 1)) 
			$travel_option = 'style = "display:none;"';
		$km_checked = "";
		$miles_checked = "";
		if ($config->get('gmapfp_km_miles', 0))
			$miles_checked = 'checked="checked"';
		else
			$km_checked = 'checked="checked"';
		$carte.='
			<p style="text-align:center;margin:2px 0;">&nbsp;</p>
			<form action="#" onsubmit="OnSubmit_Itin'.$num.'(); return false;" method="post" name="direction_form">
				<div class="gmnoprint">
					<legend style="float:left;">'.JText::_( 'GMAPFP_DIRECTION' ).'</legend>
						<div '.$travel_option.'>
							<span id="map_car_button'.$num.'" class="map-car-button-selected" title="'.JText::_( 'GMAPFP_BY_CAR' ).'" onclick="travel_mode'.$num.' = onchange_travel_mode(\'car\', travel_mode'.$num.', \''.$num.'\')">&nbsp;</span>
							<span id="map_walk_button'.$num.'" class="map-walk-button" title="'.JText::_( 'GMAPFP_WALKING' ).'" onclick="travel_mode'.$num.' = onchange_travel_mode(\'walk\', travel_mode'.$num.', \''.$num.'\')">&nbsp;</span>
							<span '.$bike_option.' id="map_bike_button'.$num.'" class="map-bike-button" title="'.JText::_( 'GMAPFP_BICYCLING' ).'" onclick="travel_mode'.$num.' = onchange_travel_mode(\'bike\', travel_mode'.$num.', \''.$num.'\')">&nbsp;</span>
							<span class="map-options-routes" style="float:left;">
							<a href="javascript:void(0); HideShow_OptionsRoute(\''.$num.'\');">'.JText::_( 'GMAPFP_SHOW_OPTIONS' ).'</a>
							<div class="map-options-routes_choose" id="map-options-routes_choose'.$num.'" style="display:none;">
								<input type="checkbox" id="checkbox_autoroute'.$num.'" ><label for="checkbox_autoroute'.$num.'">'.JText::_( 'GMAPFP_AUTOROUTE' ).'</label></input><br />
								<input type="checkbox" id="checkbox_peage'.$num.'" ><label for="checkbox_peage'.$num.'">'.JText::_( 'GMAPFP_PEAGE' ).'</label></input><br />
								<input type="radio" id="checkbox_unite'.$num.'" name="unite" value="K" '.$km_checked.'/><label for="checkbox_unite'.$num.'">'.JText::_( 'GMAPFP_KM' ).' </label>
								<input type="radio" id="checkbox_unite_miles'.$num.'" name="unite" value="M" '.$miles_checked.'/><label for="checkbox_unite_miles'.$num.'">'.JText::_( 'GMAPFP_MILES' ).'</label>
							</div>
						</span>
						</div>
						<div class="clearboth"></div>
					<p>
						'.JText::_( 'GMAPFP_DE' ).' :
						<select name="select_from'.$num.'" id="'.$print_layout.'select_from'.$num.'">
							<option value="">'.JText::_( 'GMAPFP_CHOIX_DE' ).'</option>';
							$select_from_or_to = '';
							if ($direction)
							foreach($direction as $tmp) {
								$select_from_or_to .= '<option value="'.$tmp[0].'">'.$tmp[1].'</option>';
							}
							unset($tmp);
							$carte .= $select_from_or_to;
							$carte .='
						</select>
						'.JText::_( 'GMAPFP_OU' ).'<input type="text" name="'.$print_layout.'text_from'.$num.'" id="'.$print_layout.'text_from'.$num.'" />
					</p>
					'.JText::_( 'GMAPFP_VERS' ).' :
					<select name="select_to'.$num.'" id="'.$print_layout.'select_to'.$num.'">
						<option value="">'.JText::_( 'GMAPFP_CHOIX_VERS' ).'</option>';
						$carte .= $select_from_or_to;
						unset($select_from_or_to);
						$carte .='
					</select>
					'.JText::_( 'GMAPFP_OU' ).'<input type="text" name="'.$print_layout.'text_to'.$num.'" id="'.$print_layout.'text_to'.$num.'" />
					<input type="submit" class="button" value='.JText::_( 'GMAPFP_GO' ).' />

					<!-- iframe pour preparation de l impression -->
					<iframe src="'.JURI::base().'components/com_gmapfp/index.html" style="visibility: hidden; height: 0; width: 100%;" name="frame_print_itin'.$num.'" id="frame_print_itin'.$num.'"></iframe>
					';
					
					if ($_layout == "print_article") {
						$plugin_num = JRequest::getVar('plug_num', '', '', 'string');				
						$carte.='
					
					<!-- rcupre les infos de la page parent si ils existent -->
					<script language="javascript">
						if (parent.direction_form'.$plugin_num.$num.'.getElementById("select_from'.$plugin_num.$num.'")){
							var select_from_index = parent.direction_form'.$plugin_num.$num.'.getElementById("select_from'.$plugin_num.$num.'").selectedIndex;
							if (select_from_index) var select_from_value = parent.direction_form'.$plugin_num.$num.'.getElementById("select_from'.$plugin_num.$num.'").options[parent.direction_form'.$plugin_num.$num.'.getElementById("select_from'.$plugin_num.$num.'").selectedIndex].value;
							
							var select_to_index   = parent.direction_form'.$plugin_num.$num.'.getElementById("select_to'.$plugin_num.$num.'").selectedIndex;
							if (select_to_index) var select_to_value = parent.direction_form'.$plugin_num.$num.'.getElementById("select_to'.$plugin_num.$num.'").options[parent.direction_form'.$plugin_num.$num.'.getElementById("select_to'.$plugin_num.$num.'").selectedIndex].value;
							
							var text_from_value   = parent.direction_form'.$plugin_num.$num.'.getElementById("text_from'.$plugin_num.$num.'").value;
							var text_to_value     = parent.direction_form'.$plugin_num.$num.'.getElementById("text_to'.$plugin_num.$num.'").value;
							
							if (select_from_value || select_to_value) {
							
								if (select_from_value == document.getElementById("print_select_from'.$num.'").options[1].value) {
									document.getElementById("print_select_from'.$num.'").selectedIndex = 1;
								} else {
									if (select_from_index != 0) {
										document.getElementById("print_select_from'.$num.'").options[2] = new Option(parent.direction_form'.$plugin_num.$num.'.getElementById("select_from'.$plugin_num.$num.'").options[parent.direction_form'.$plugin_num.$num.'.getElementById("select_from'.$plugin_num.$num.'").selectedIndex].text, select_from_value);
										document.getElementById("print_select_from'.$num.'").selectedIndex = 2;
									}
								}
								if (text_from_value) document.getElementById("print_text_from'.$num.'").value = text_from_value;
								
								if (select_to_value == document.getElementById("print_select_to'.$num.'").options[1].value) {
									document.getElementById("print_select_to'.$num.'").selectedIndex = 1;
								} else {
									if(select_to_index != 0) {
										document.getElementById("print_select_to'.$num.'").options[2] = new Option(parent.direction_form'.$plugin_num.$num.'.getElementById("select_to'.$plugin_num.$num.'").options[parent.direction_form'.$plugin_num.$num.'.getElementById("select_to'.$plugin_num.$num.'").selectedIndex].text, select_to_value);
										document.getElementById("print_select_to'.$num.'").selectedIndex = 2;
									}
								}
								if (text_to_value) document.getElementById("print_text_to'.$num.'").value = text_to_value;
		
								if ( (select_from_value!=0 || text_from_value!="") && (select_to_value!=0 || text_to_value!="")) {
									setTimeout("CalculRoute(\''.$num.'\', directionsDisplay'.$num.', directionsService'.$num.', travel_mode'.$num.', \''.$print_layout.'\')",1000); 
								}
							}
						}
					</script>
					';
					}
			if($_layout == "map") {
				$print_fct = 'window.frame_print_itin'.$num.'.print();';
			} else {
				$print_fct = 'window.print();';
			}
					$carte.='
				</div>
			<div name="gmapfp_directions'.$num.'" id="gmapfp_directions'.$num.'"></div>
			<div id="bp_print_itin'.$num.'" style="float: right; display: none;">		
				<img title="'.JText::_('GMAPFP_IMPRIMER').'" onclick="'.$print_fct.'" src="'.$printer.'" />
				<br/>
				<br/>
			</div>
			<br/>
			<input type="hidden" name="direction" value="1" />
			</form>
		';
	};
    $carte.='</div>';

    // Charge la procdure d'init de la carte
	// premire si pas besoin de rachraichissement
	// deuxieme si besoin de rafraichissement : pane
	if (false) {
    $doc->addCustomTag( '<script language="javascript" type="text/javascript">
    function LoadMarqueur'.$num.'() {
		setTimeout(initialise_gmapfp'.$num.' , 500);
 	}
    google.maps.event.addDomListener(window, "load", LoadMarqueur'.$num.');
    </script>');
	
	}else{
    $carte.= '<script language="javascript" type="text/javascript">

		google.maps.event.addDomListener(window, "load", initialise_map_gmapfp'.$num.');

		var tstGMapFP'.$num.' = document.getElementById("map_canvas'.$num.'");
		var tstIntGMapFP'.$num.';
			
		function CheckGMapFP'.$num.'() {
			if (tstGMapFP'.$num.') {
				if (tstGMapFP'.$num.'.offsetWidth != tstGMapFP'.$num.'.getAttribute("oldValue")) {
					tstGMapFP'.$num.'.setAttribute("oldValue",tstGMapFP'.$num.'.offsetWidth);
					initialise_gmapfp'.$num.'();
				}
			}
		}

		function initialise_map_gmapfp'.$num.'() {
		   tstGMapFP'.$num.'.setAttribute("oldValue",0);
		   tstIntGMapFP'.$num.' = setInterval("CheckGMapFP'.$num.'()",500);
		}
   </script>';
   }


?>