<?php
	/*
	* GMapFP Component Google Map for Joomla! 2.5.x
	* Version 10.102pro
	* Creation date: Novembre 2013
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die('Restricted access');
JHtml::_('behavior.keepalive');

$jpane_ok = $this->params->get('choix_jpane', 0);

$Itemid		= JRequest::getInt('Itemid'); 
$editor 	= JFactory::getEditor();
if ($editor->get('_name') == 'codemirror') $jpane_ok = false;;
$config 	= JFactory::getConfig();

$_lat = $this->params->get('gmapfp_centre_lat');
$_lng = $this->params->get('gmapfp_centre_lng');
$_zoom = $this->params->get('gmapfp_zoom');
if (empty($_lat)) {$_lat = 47.927385663;};
if (empty($_lng)) {$_lng = 2.1437072753;};
if (empty($_zoom)) {$_zoom = 10;};

$publish_up = JFactory::getDate($this->items->publish_up);
$publish_up->setOffset($config->getValue('config.offset'));
$publish_up = $publish_up->toFormat();

if (! empty($this->items->publish_down) || $this->items->publish_down == 'Never') {
	$publish_down = JText::_('GMAPFP_NEVER');
} else {
	$publish_down = JFactory::getDate($this->items->publish_down);
	$publish_down->setOffset($config->getValue('config.offset'));
	$publish_down = $publish_down->toFormat();
}

$created = JFactory::getDate($this->items->created);
$created->setOffset($config->getValue('config.offset'));
$created = $created->toFormat();

if ($this->params->get('gmapfp_autocomplete_adresse', 0)) {
	echo '
		<style type="text/css">
			.disable {color: grey; font-size: 80%; }
		</style>
	';
	$readonly = 'readonly="readonly"';
} else {
	echo '
		<style type="text/css">
			.enable {display: none; }
		</style>
	';
	$readonly = '';
};
?>
<script language="javascript" type="text/javascript">

	function validateForm( frm, my_task ) {
		var my_form = document.adminForm;
		if (my_task == 'cancel') {
			my_form.task.value = my_task;
			return;
		}
		ValueIsReal = (IsReal("glat")&&IsReal("glng")&&IsReal("gzoom"));
		if ((my_form.nom.value == "") || (my_form.catid.value == "0") || !ValueIsReal) {
			if (ValueIsReal) {
				alert( "<?php echo JText::_( 'GMAPFP_CHAMPS_VIDE', true ); ?>" );
			}
			return false;
		} else {
			<?php
			echo $editor->save( 'text_message' );
			echo $editor->save( 'text_horaires_prix' );
			?>
			my_form.task.value = my_task;
			my_form.submit();
			return true;
		}
	}
</script>

<script language="javascript" type="text/javascript">
	<?php
	echo 'var field_catid_json = '.$this->extension_fields['json'].';'."\n";
	?>
	function display_catid_field() {
		var value = document.adminForm.catid.value;
		
		for ( var cle in field_catid_json ) {
			var str ='';
			str += field_catid_json[cle];
			var my_array_cat = str.split(',');
			var correspond = false;
			for (var i = 0; i < my_array_cat.length; i++) {
				if (my_array_cat[i] == 'cat'+value) {
					correspond = true;
				}
			}
			if (correspond) {
				document.getElementById(cle).style.display = "table-row";
			} else {
				document.getElementById(cle).style.display = "none";
			}
		}
	}
</script>

<script language="javascript" type="text/javascript">
    var geocoder;
    var map;
    var marker1;

    function autocomplet_champs(latlng, change) {
	  //rcupre ville cp dpartement et pays
		if (latlng == "") latlng = marker1.getPosition();
		geocoder.geocode({'latLng': latlng}, function(results, status) {
		  if (status == google.maps.GeocoderStatus.OK) {
			  var cp=""; var pays=""; var region=""; var dep=""; var dep=""; var canton="";
			if (results[0]) {
				for ( var i=0; i<results[0].address_components.length; i++) {
					switch (results[0].address_components[i].types[0]) {
						case "postal_code":
							cp = results[0].address_components[i].long_name;
							break;
						case "country":
							pays = results[0].address_components[i].long_name;
							break;
						case "administrative_area_level_1": //FR:region US:state
							region = results[0].address_components[i].long_name;
							break;
						case "administrative_area_level_2": //FR:dpartement US:counties
							dep = results[0].address_components[i].long_name;
							break;
						case "administrative_area_level_3": //FR:canton US:?
							canton = results[0].address_components[i].long_name;
							break;
						case "locality":
							ville = results[0].address_components[i].long_name;
							break;
					}
				}
				<?php 
				if (!$this->params->get('gmapfp_cp_view',0) and $this->params->get('gmapfp_autocomplete_adresse',0)) echo "if ((document.getElementById('codepostal').value == '') || change) document.getElementById('codepostal').value = cp;";
				if (!$this->params->get('gmapfp_pays_view',0) and $this->params->get('gmapfp_autocomplete_adresse',0)) echo "if ((document.getElementById('pay').value == '') || change) document.getElementById('pay').value = pays;";
				switch ($this->params->get('gmapfp_autocomplete_adresse_dep',0)) {
					case 0 :
					if (!$this->params->get('gmapfp_departement_view',0) and $this->params->get('gmapfp_autocomplete_adresse',0)) echo "if ((document.getElementById('departement').value == '') || change) document.getElementById('departement').value = dep;";
					break;
					case 1 :
					if (!$this->params->get('gmapfp_departement_view',0) and $this->params->get('gmapfp_autocomplete_adresse',0)) echo "if ((document.getElementById('departement').value == '') || change) document.getElementById('departement').value = region;";
					break;
					case 2 :
					if (!$this->params->get('gmapfp_departement_view',0) and $this->params->get('gmapfp_autocomplete_adresse',0)) echo "if ((document.getElementById('departement').value == '') || change) document.getElementById('departement').value = canton;";
				}
				if (!$this->params->get('gmapfp_ville_view',0) and $this->params->get('gmapfp_autocomplete_adresse',0)) echo "if ((document.getElementById('ville').value == '') || change) document.getElementById('ville').value = ville;"; ?>
			} else {
			  alert("No results found");
			}
		  } else {
			alert("Geocoder failed due to: " + status);
		  }
		});		  
	}
	
    function init_GMapFP() {
		//redimensionne la lageur des editeurs
		if (window.addEventListener){
		 window.addEventListener("resize",resize,false);}  
		else if (window.attachEvent){
		 window.attachEvent("onresize",resize);
		}
		resize();

		UpdateAddress();
		geocoder = new google.maps.Geocoder();
        
		var lat, lng, zoom_carte;
        if(document.adminForm.glat.value!=0) lat = document.adminForm.glat.value;
        else lat = <?php echo $_lat?>;
        if(document.adminForm.glng.value!=0) lng = document.adminForm.glng.value;
        else lng = <?php echo $_lng?>;
        if(document.adminForm.gzoom.value!=0) zoom_carte = parseInt(document.adminForm.gzoom.value);
        else zoom_carte = <?php echo $_zoom?>;

		var latlng = new google.maps.LatLng(lat, lng);
		var myOptions = {
		  zoom: zoom_carte,
		  center: latlng,
		  mapTypeId: google.maps.MapTypeId.ROADMAP
		};

		map = new google.maps.Map(document.getElementById("map"), myOptions);

        var input = document.getElementById('autocomplete_adresse');
        var autocomplete = new google.maps.places.Autocomplete(input);

		google.maps.event.addListener(autocomplete, 'place_changed', function() {
			document.getElementById('localisation').value = document.getElementById('adresse').value + ' ' + document.getElementById('adresse2').value + ' ' + document.getElementById('autocomplete_adresse').value;
			showAddress(document.getElementById('localisation'));
		});

	  google.maps.event.addListener(map, "bounds_changed", function() {
		   document.adminForm.gzoom.value = map.getZoom();
	  });

		var infos_marqueur = ["http://www.google.com/mapfiles/marker.png", 20, 34, 10, 34];
		var image_marker = new google.maps.MarkerImage(
			infos_marqueur[0],
            new google.maps.Size(infos_marqueur[1], infos_marqueur[2]),
            new google.maps.Point(0,0),
            new google.maps.Point(infos_marqueur[3], infos_marqueur[4])
		);
		var shape_marker = {
			coord: [0, 0, infos_marqueur[1], infos_marqueur[2]],
			type: 'rect'
		};

      // Create a draggable marker which will later on be binded to a
      marker1 = new google.maps.Marker({
          map: map,
          position: new google.maps.LatLng(lat, lng),
          draggable: true,
            icon: image_marker,
			shape: shape_marker,
          title: '<?php echo JText::_( 'GMAPFP_DRAG_ME' ); ?>'
      });
	  google.maps.event.addListener(marker1, "drag", function() {
		document.adminForm.glat.value = marker1.getPosition().lat();
		document.adminForm.glng.value = marker1.getPosition().lng();
	  });
	  google.maps.event.addListener(marker1, "dragend", function() {
		autocomplet_champs(marker1.getPosition(), false);
	  });
    }

    // Register an event listener to fire when the page finishes loading.
    google.maps.event.addDomListener(window, 'load', pre_init_GMapFP);

	var tstIntGMapFP;
	
	function CheckGMapFP() {
		if (document.getElementById("map")) {
			if (document.getElementById("map").offsetWidth != document.getElementById("map").getAttribute("oldValue")) {
				document.getElementById("map").setAttribute("oldValue",document.getElementById("map").offsetWidth);
				init_GMapFP();
			}
		}
	}
	
	function pre_init_GMapFP() {
	   document.getElementById("map").setAttribute("oldValue",0);
	   tstIntGMapFP = setInterval("CheckGMapFP()",500);
	}

	function resize(){
			//Ajustement des fentres d'diteur		   
			var maDivForm = document.adminForm.offsetWidth;
			var maDivTitre = document.getElementById("gmapfp_titres").offsetWidth;
			var maDivEdit1 = document.getElementById("Edit1");
			var maDivEdit2 = document.getElementById("Edit2");
			var maTaille = ''+(maDivForm-maDivTitre-30)+'px';
			maDivEdit1.style.width = maTaille;
			maDivEdit2.style.width = maTaille;
	}

    function showAddress(e) {
		if (geocoder) {
			geocoder.geocode( { 'address' : e.value}, function(results, status) {
				if (status == google.maps.GeocoderStatus.OK) {
				  map.setCenter(results[0].geometry.location);
				  marker1.setPosition(results[0].geometry.location); 
					document.adminForm.glat.value = results[0].geometry.location.lat();
					document.adminForm.glng.value = results[0].geometry.location.lng();
					autocomplet_champs(results[0].geometry.location, false);
				} else {
				  alert(address + " not found for the following reason: " + status);
				}
			})
		}
    }

    function getCoordinate() {
		var lat, lng;
        if(document.adminForm.glat.value!=0) lat = document.adminForm.glat.value;
        else lat = <?php echo $_lat?>;
        if(document.adminForm.glng.value!=0) lng = document.adminForm.glng.value;
        else lng = <?php echo $_lng?>;
        if(document.adminForm.gzoom.value!=0) zoom_carte = parseInt(document.adminForm.gzoom.value);
        else zoom = <?php echo $_zoom?>;

		ValueIsReal = (IsReal("glat")&&IsReal("glng")&&IsReal("gzoom"));
		if (ValueIsReal) {
			var latlng = new google.maps.LatLng(lat, lng);
			map.setZoom(zoom_carte);
			map.setCenter(latlng);
			marker1.setPosition(latlng); 
			autocomplet_champs(latlng, false);
		}
    }
	
	function changeDisplayImage(chemin) {
		if (document.adminForm.img.value !='') {
			document.adminForm.imagelib.src=chemin + document.adminForm.img.value;
		} else {
			document.adminForm.imagelib.src='<?php echo JURI::root(); ?>images/gmapfp/blank/blank.png';
		}
	}

	function changeDisplayIcon(chemin) {
		if (document.adminForm.icon.value !='') {
			document.adminForm.imageicon.src=chemin + document.adminForm.icon.value;
		} else {
			document.adminForm.imageicon.src=chemin + '../blank/blank.png';
		}
	}

    function addphoto(namefile, file){
        var optX = new Option(file, namefile);
        var selX = document.adminForm.elements['img'];
        var lenghX = selX.length;
        selX.options[lenghX] = optX;
                selX.options[lenghX].selected = true;
    }

	function jSelectArticle(id, title, object) {
		document.getElementById(object + '_id').value = id;
		document.getElementById(object + '_name').value = title;
		document.getElementById('sbox-window').close();
	}

	function UpdateAddress(){
 		document.adminForm.localisation.value = document.adminForm.adresse.value + " " + document.adminForm.adresse2.value + " " + document.adminForm.codepostal.value + " " + document.adminForm.ville.value + " " + document.adminForm.departement.value + ", " + document.adminForm.pay.value;	
	}

	function IsReal(id){
		MonNombre=document.getElementById(id).value;
		if(isNaN(MonNombre))
		{
			alert("\"" + MonNombre + "\" <?php echo JText::_( 'GMAPFP_PAS_NOMBRE' ); ?>");
			return false;
		}	
		return true;
	}

	function change_disable (nom) {
		document.getElementById(nom).removeAttribute('readonly');
		document.getElementById('disable'+nom).className = "";
		document.getElementById('button'+nom).style.display = "none";
	}
</script>

<?php if ($this->params->get('show_page_heading', 1)) : ?>
<div class="componentheading<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
<h1>
	<?php echo $this->escape($this->params->get('page_title')); ?>
</h1>
</div>
<?php endif; ?>

<form action="<?php echo JRoute::_('index.php?',false);//echo JRoute::_('index.php?option=com_gmapfp&view=editlieux&controller=editlieux',false); ?>" class="gmapfp" method="post" name="adminForm">
	<div style="height:70px">
    <div class="toolbar" id="toolbar" style="height:70px"> 
		<table class="toolbar"><tr> 
 
            <td> 
            <button name="apply" class="button_gmapfp" onclick="return validateForm(this, 'apply');">
                <span class="icon-32-apply" title="<?php echo JText::_( 'GMAPFP_APPLY' ); ?>"> 
                </span> 
                <?php echo JText::_( 'GMAPFP_APPLY' ); ?>
            </button>
            </td> 
             
            <td> 
            <button name="save" class="button_gmapfp" onclick="return validateForm(this, 'save');" >
                <span class="icon-32-save" title="<?php echo JText::_( 'JSAVE' ); ?>"> 
                </span> 
                <?php echo JText::_( 'JSAVE' ); ?>
            </button>
            </td> 
             
            <td>
            <button name="cancel" class="button_gmapfp" onclick="return validateForm(this, 'cancel');" >
                <span class="icon-32-cancel" title="<?php echo JText::_( 'JCANCEL' ); ?>"> 
                </span> 
                <?php echo JText::_( 'JCANCEL' ); ?>
            </button>
            </td>
 
        </tr></table> 
    </div>
    </div>

<div id="gmapfp_submit">
	<table class="adminform">
		<tr>
			<td style="width:100px;" id="gmapfp_titres" class="key">
				<label for="nom">
					<?php 
                        if (@$this->custom[6]->nom) {
                            echo $this->custom[6]->nom;
                        }else{
                            echo JText::_( 'GMAPFP_NOM' );
                        }
                    ?>
				</label>
			</td>
			<td>
				<input class="inputbox" type="text" name="nom" id="nom" size="60" maxlength="200" value="<?php echo str_replace('"', '&quot;',$this->items->nom); ?>" />
			</td>
		</tr>
		<tr>
			<td style="width:100px;" align="right" class="key">
				<label for="alias">
					<?php echo JText::_( 'JFIELD_ALIAS_LABEL' ); ?>
				</label>
			</td>
			<td>
				<input class="text_area" type="text" name="alias" id="alias" size="32" maxlength="255" maxlength="250" value="<?php echo $this->items->alias;?>" />
			</td>
		</tr>
		<tr>
			<td style="width:100px;" class="key">
				<label for="catid">
					<?php echo JText::_( 'JCATEGORY' ); ?>
                </label>
			</td>
			<td>
				<?php
					echo $this->lists['catid'];
				?>
			</td>
		</tr>
		<tr <?php if (!$this->canDo->get('core.edit.state')) {echo 'style="display: none; visibility: hidden;"';}?>>
			<td style="width:100px;" class="key">
				<label for="published">
				<?php echo JText::_( 'JPUBLISHED' ); ?>
                </label>
			</td>
			<td >
				<?php echo JHTML::_( 'select.booleanlist',  'published', 'class="inputbox"', $this->items->published ); ?>
			</td>
		</tr>
    </table>
   <?php             
        if ($jpane_ok) {
            echo JHtml::_('tabs.start','content-sliders-'.$this->items->id, array('useCookie'=>1));
            echo JHtml::_('tabs.panel',JText::_('GMAPFP_LOCALISATION'), 'adminform');
        }else{
            echo '<fieldset class="adminform">';
            echo '<legend>'.JText::_( 'GMAPFP_LOCALISATION' ).'</legend>';
        }
    ?>
	<div class="clearboth"></div>
	<table class="admintable" style="width:100%">
    	<tr>
        	<td>
            	<table>
					<?php
                        if (@$this->extension_fields[0])
                        foreach($this->extension_fields[0] as $field) {
                            echo $field;
                        };
                    ?>
                    <tr <?php if (@$this->params->get('choix_adr1')){echo 'style="display: none; visibility: hidden;"';}?>>
                        <td style="width:100px;" class="key">
                            <label for="adresse">
                                <?php echo JText::_( 'GMAPFP_ADRESSE' ); ?> 1
                            </label>
                        </td>
                        <td>
                            <input class="inputbox" type="text" name="adresse" id="adresse" size="30" maxlength="200" value="<?php echo str_replace('"', '&quot;',$this->items->adresse); ?>" onchange="UpdateAddress()"/>
                        </td>
                    </tr>
                    <tr <?php if (@$this->params->get('choix_adr2')){echo 'style="display: none; visibility: hidden;"';}?>>
                        <td style="width:100px;" class="key">
                            <label for="adresse2">
                                <?php echo JText::_( 'GMAPFP_ADRESSE' ); ?> 2
                            </label>
                        </td>
                        <td>
                            <input class="inputbox" type="text" name="adresse2" id="adresse2" size="30" maxlength="200" value="<?php echo str_replace('"', '&quot;',$this->items->adresse2); ?>" onchange="UpdateAddress()"/>
                        </td>
                    </tr>
                    <tr <?php if (!$this->params->get('gmapfp_autocomplete_adresse',0)){echo 'style="display: none; visibility: hidden;"';}?>>
                        <td class="key">
                            <label for="codepostal">
                                <?php echo JText::_( 'GMAPFP_VILLE' ); ?>
                            </label>
                        </td>
                        <td>
                            <input class="inputbox" type="text" name="autocomplete_adresse" id="autocomplete_adresse" size="50" maxlength="80" title="<?php echo JText::_( 'GMAPFP_VILLE_DESC' ); ?>"/>
                        </td>
                    </tr>
                    <tr <?php if (@$this->params->get('choix_cp')){echo 'style="display: none; visibility: hidden;"';}?> id="disablecodepostal" class="disable">
                        <td style="width:100px;" class="key">
                            <label for="codepostal">
                                <?php echo JText::_( 'GMAPFP_CODEPOSTAL' ); ?>
                            </label>
                        </td>
                        <td>
                            <input class="inputbox" type="text" name="codepostal" id="codepostal" size="30" maxlength="80" value="<?php echo str_replace('"', '&quot;',$this->items->codepostal); ?>" onchange="UpdateAddress();"  <?php echo $readonly; ?>/>
                            <div class="blank enable" id="buttoncodepostal" style="margin-right:5px; float: left;"> 
                                    <input type="button" style="margin:0px;" class="button" onclick="change_disable('codepostal');" value="<?php echo JText::_('JACTION_EDIT'); ?>" />
                            </div> 
                        </td>
                    </tr>
                    <tr <?php if (@$this->params->get('choix_ville')){echo 'style="display: none; visibility: hidden;"';}?> id="disableville" class="disable">
                        <td style="width:100px;" class="key">
                            <label for="ville">
                                <?php echo JText::_( 'GMAPFP_VILLE' ); ?>
                            </label>
                        </td>
                        <td>
                            <input class="inputbox" type="text" name="ville" id="ville" size="30" maxlength="200" value="<?php echo str_replace('"', '&quot;',$this->items->ville); ?>" onchange="UpdateAddress();"  <?php echo $readonly; ?>/>
                            <div class="blank enable" id="buttonville" style="margin-right:5px; float: left;"> 
                                    <input type="button" style="margin:0px;" class="button" onclick="change_disable('ville');" value="<?php echo JText::_('JACTION_EDIT'); ?>" />
                            </div> 
                        </td>
                    </tr>
                    <tr <?php if (@$this->params->get('choix_dep')){echo 'style="display: none; visibility: hidden;"';}?> id="disabledepartement" class="disable">
                        <td style="width:100px;" class="key">
                            <label for="departement">
                                <?php echo JText::_( 'GMAPFP_DEPARTEMENT' ); ?>
                            </label>
                        </td>
                        <td>
                            <input class="inputbox" type="text" name="departement" id="departement" size="30" maxlength="200" value="<?php echo str_replace('"', '&quot;',$this->items->departement); ?>" onchange="UpdateAddress()"  <?php echo $readonly; ?>/>
                            <div class="blank enable" id="buttondepartement" style="margin-right:5px; float: left;"> 
								<input type="button" style="margin:0px;" class="button" onclick="change_disable('departement');" value="<?php echo JText::_('JACTION_EDIT'); ?>" />
                            </div> 
                        </td>
                    </tr>
                    <tr <?php if (@$this->params->get('choix_pays')){echo 'style="display: none; visibility: hidden;"';}?> id="disablepay" class="disable">
                        <td style="width:100px;" class="key">
                            <label for="pay">
                                <?php echo JText::_( 'GMAPFP_PAYS' ); ?>
                            </label>
                        </td>
                        <td>
                            <input class="inputbox" type="text" name="pay" id="pay" size="30" maxlength="200" value="<?php echo str_replace('"', '&quot;',$this->items->pay); ?>" onchange="UpdateAddress()"  <?php echo $readonly; ?>/>
                            <div class="blank enable" id="buttonpay" style="margin-right:5px; float: left;"> 
								<input type="button" style="margin:0px;" class="button" onclick="change_disable('pay');" value="<?php echo JText::_('JACTION_EDIT'); ?>" />
                            </div> 
                        </td>
                    </tr>
                    <tr <?php if (!$this->params->get('gmapfp_autocomplete_adresse',0)){echo 'style="display: none; visibility: hidden;"';}?>>
                        <td>
                        </td>
                        <td>
                        	<input type="button" class="button" onclick="autocomplet_champs('', true);" value="<?php echo JText::_('GMAPFP_REACATUALISER_DESC'); ?>" />
                        </td>
                    </tr>
					<?php
                        if (@$this->extension_fields[1])
                        foreach($this->extension_fields[1] as $field) {
                            echo $field;
                        };
                    ?>
                    <?php
                        if (@$this->extension_fields[2])
                        foreach($this->extension_fields[2] as $field) {
                            echo $field;
                        };
                    ?>
                    <tr <?php if (@$this->params->get('choix_email')){echo 'style="display: none; visibility: hidden;"';}?>>
                        <td style="width:100px;" class="key">
                            <label for="email">
                                <?php echo JText::_( 'GMAPFP_EMAIL' ); ?>
                            </label>
                        </td>
                        <td>
                            <input class="inputbox" type="text" name="email" id="email" size="30" maxlength="100" value="<?php echo str_replace('"', '&quot;',$this->items->email); ?>" />
                        </td>
                    </tr>
                    <tr <?php if (@$this->params->get('choix_web')){echo 'style="display: none; visibility: hidden;"';}?>>
                        <td style="width:100px;" class="key">
                            <label for="web">
                                <?php echo JText::_( 'GMAPFP_SITE_WEB' ); ?>
                            </label>
                        </td>
                        <td>
                            <input class="inputbox" type="text" name="web" id="web" size="30" maxlength="200" value="<?php echo str_replace('"', '&quot;',$this->items->web); ?>" />
                        </td>
                    </tr>
					<?php
                        if (@$this->extension_fields[3])
                        foreach($this->extension_fields[3] as $field) {
                            echo $field;
                        };
                    ?>
        		</table>
			</td>
            <td>
				<table>
                    <tr <?php if ((!$this->params->get('choix_list_image'))&&(!$this->params->get('choix_upload_image'))){echo 'style="display: none; visibility: hidden;"';}?>>
                        <td valign="top">
                            <label for="img">
                                <?php echo JText::_('GMAPFP_IMAGE'); ?>
                            </label>
                        <?php
                        ?>
                            <div id="gmapfp_image" style="overflow:auto;">
                            <?php 
                                $directory		= JURI::root().'/images/gmapfp/thumbsArt/';
            
                                if ((stristr($this->items->img,'bmp'))||(stristr($this->items->img,'gif'))||(stristr($this->items->img,'jpg'))||(stristr($this->items->img,'jpeg'))||(stristr($this->items->img,'png'))) {
                                    ?>
                                    <img src="<?php echo $directory.$this->items->img; ?>" name="imagelib" />
                                    <?php
                                } else {
                                    ?>
                                    <img src="images/gmapfp/blank/blank.png" name="imagelib" />
                                    <?php
                                }
                                echo'</div>';
                                echo '<div '; if (!@$this->params->get('choix_list_image')){echo 'style="display: none; visibility: hidden;"';}; echo'>';
                                    echo $this->lists['images'];
                                echo'</div>';
                            ?>
                    <?php if($this->params->get('choix_upload_image')) { ?>
                                <br /><a style="cursor:pointer; font-size: 150%" onclick="popupWindow('index.php?option=com_gmapfp&controller=editlieux&tmpl=component&task=edit_upload','win1',420,120,'no');" class="toolbar"><span class="icon-32-upload" style="height:32px; width:32px; display:block; clear: both;">&nbsp;</span> <?php echo JText::_('GMAPFP_UPLOAD') ?></a>
                    <?php }; ?>
                        </td>
                    </tr>
            	</table>
            </td>
		</tr>
	</table>
    <table>
        <?php $adresselocalisation = "".$this->items->adresse." ".$this->items->adresse2." ".$this->items->codepostal." ".$this->items->ville." ".$this->items->pay.""; ?>
        <tr>
			<td style="width:100px;" class="key">
            	<label for="localisation">       
            		<?php echo JText::_('GMAPFP_MAJ_ADRESSE'); ?>
            	</label>
            </td>
            <td valign="top">
            	<input type="text" style="width:90% !important" id="localisation" name="localisation" value=<?php echo ('"'.str_replace('"', '&quot;',$adresselocalisation).'"'); ?> /><input type="button" class="button" onclick="showAddress(document.adminForm.localisation);" value="<?php echo JText::_('JSEARCH_FILTER_SUBMIT'); ?>" />
            </td>
		</tr>
        <tr <?php if (@$this->params->get('choix_lat_lng')){echo 'style="display: none; visibility: hidden;"';}?>>
			<td style="width:100px;" class="key">
            	<label for="glat">
                	<?php echo JText::_('GMAPFP_LAT'); ?>
              	</label>
            	<label for="glng">
                	 - <?php echo JText::_('GMAPFP_LON'); ?>
              	</label>
            	<label for="gzoom">
                	- Zoom:
              	</label>
            </td>
            <td valign="top">
                <input class="inputbox" onblur="IsReal('glat');" type="text" name="glat" id="glat" size="20" maxlength="30" value="<?php echo $this->items->glat ?>" />
                <input class="inputbox" onblur="IsReal('glng');" type="text" name="glng" id="glng" size="20" maxlength="30" value="<?php echo $this->items->glng ?>" />
                <input class="inputbox" onblur="IsReal('gzoom');" type="text" name="gzoom" id="gzoom" size="2" maxlength="12" value="<?php echo $this->items->gzoom ?>" />
                <input type="button" class="button" onclick="getCoordinate();" value="<?php echo JText::_('GMAPFP_CHERCHER_COORDONNEES'); ?>" />
            </td>
    	</tr>
        <tr <?php if (@$this->params->get('choix_map')){echo 'style="display: none; visibility: hidden;"';}?>>
			<td style="width:100px;" class="key">
              	<label for="title">
              		<?php echo JText::_('GMAPFP_CARTE'); ?>
              	</label>
            </td>
            <td>
            	<div id="map" style="width:100%; height:<?php echo $this->params->get('gmapfp_height');?>px; overflow:hidden;"></div>
            </td>
        </tr>
		<?php 
			if($this->params->get('choix_marqueur', 0)) {
				echo '<tr>';
			} else {
				echo '<tr style="display: none; visibility: hidden;">';
			}
		?>
			<td style="width:100px;" class="key">
				<label for="marker"><?php echo JText::_( 'GMAPFP_MARKER' ); ?></label>
			</td>
			<td>
				<?php 
					$marqueurs = '';
					$marqueur_cat = '';
					$id_marqueur_cat = 0;
					$marqueurs_a_afficher = $this->params->get('marqueur_def', array());
					$deja_checked = false;
					if (property_exists($this, 'item') and property_exists(json_decode($this->item->cat_params), 'default_marqueur_categories'))$id_marqueur_cat = json_decode($this->item->cat_params)->default_marqueur_categories;
					$cnt = 0;
					foreach($this->marqueurs as $marqueur) {
						if (empty($marqueurs_a_afficher) or in_array($marqueur->id, $marqueurs_a_afficher)) {
							$checked = '';
							if (in_array(0, $marqueurs_a_afficher) or empty($marqueurs_a_afficher)) { $checked = 'checked="checked"'; }
							if (empty($marqueurs_a_afficher) and ($marqueur->id == $id_marqueur_cat or (!$id_marqueur_cat and !$cnt)) or in_array(0, $marqueurs_a_afficher)) {
								$marqueur_cat = '<div style="display: inline-block; vertical-align: bottom; border-right:1px solid #cccccc; width:40px; text-align: center;"><img src="'.JUri::root().'images/gmapfp/marqueurs/cat_default.png" title="'.JText::_( 'GMAPFP_MARKER_CAT_DEFAULT').'" /><br /><input type="radio" style="float:none;" name="index_marqueur" id="index_marqueur" value="0" '.$checked.' /></div>';
							}
							$checked = '';
							if (!empty($marqueurs_a_afficher) and !in_array(0, $marqueurs_a_afficher) and in_array($marqueur->id, $marqueurs_a_afficher) and !$deja_checked) { 
								$checked = 'checked="checked"'; 
								$deja_checked = true;
							}
							$marqueurs .= '<div style="display: inline-block; vertical-align: bottom; border-right:1px solid #cccccc; width:40px; text-align: center;"><img src="'.str_replace('..', JUri::root(), $marqueur->url).'" title="'.$marqueur->nom.'" /><br /><input type="radio" style="float:none;" name="index_marqueur" id="index_marqueur" value="'.$marqueur->id.'" '.$checked.' /></div>';
							$cnt++;
						}
					}
					echo $marqueur_cat.$marqueurs;
					unset($marqueur);
                ?>
			</td>
		</tr>
	</table>
   <?php             
	if (!$this->params->get('choix_classements') or !$this->params->get('choix_labels') or !$this->params->get('choix_pictos')) {
        if ($jpane_ok) {
            echo JHtml::_('tabs.panel',JText::_('GMAPFP_ICONS'), 'adminform');
        }else{
            echo '</fieldset>';
            echo '<fieldset>';
            echo '<legend>'.JText::_( 'GMAPFP_ICONS' ).'</legend>';
        }
	}
    ?>            
	<div class="clearboth"></div>
	<table>
        <tr <?php if (@$this->params->get('choix_classements')){echo 'style="display: none; visibility: hidden;"';}?>>
            <td width="110" class="key">
                <label for="classements">
                <?php 
                    echo JText::_( 'GMAPFP_CLASSEMENTS' );
                ?>:
                </label>
            </td>
            <td valign="top" class="inputbox">
                <?php echo $this->lists['classements']; ?>
            </td>
        </tr>
        <tr <?php if (@$this->params->get('choix_labels')){echo 'style="display: none; visibility: hidden;"';}?>>
            <td width="110" class="key">
                <label for="labels">
                <?php 
                    echo JText::_( 'GMAPFP_LABELS' );
                ?>:
                </label>
            </td>
            <td valign="top" class="inputbox">
                <?php echo $this->lists['labels']; ?>
            </td>
        </tr>
        <tr <?php if (@$this->params->get('choix_pictos')){echo 'style="display: none; visibility: hidden;"';}?>>
            <td width="110" class="key">
                <label for="pictos">
                <?php 
                    echo JText::_( 'GMAPFP_PICTOS' );
                ?>:
                </label>
            </td>
            <td valign="top" class="inputbox">
                <?php echo $this->lists['pictos']; ?>
            </td>
        </tr>
	</table>
   <?php             
        if ($jpane_ok) {
            echo JHtml::_('tabs.panel',JText::_('GMAPFP_DETAILS'), 'adminform');
        }else{
            echo '</fieldset>';
            echo '<fieldset>';
            echo '<legend>'.JText::_( 'GMAPFP_DETAILS' ).'</legend>';
        }
    ?>            
	<div class="clearboth"></div>
	<table>
		<?php
            if (@$this->extension_fields[4])
            foreach($this->extension_fields[4] as $field) {
                echo $field;
            };
        ?>
    	<tr <?php if (@$this->params->get('choix_message')){echo 'style="display: none; visibility: hidden;"';}?>>
			<td style="width:100px;" class="key">
            	<label for="text_message">
					<?php 
                        if (@$this->custom[10]->nom) {
                            echo $this->custom[10]->nom;
                        }else{
                            echo JText::_( 'GMAPFP_MESSAGE' );
                        }
                    ?>
            	</label>
            </td>
        	<td valign="top" class="inputbox">
            	<div id="Edit1" style="overflow:auto;">
					<?php
					if (GMAPFP_ANDROID) {
						echo '<textarea class="inputbox" rows="6" cols="" style="width:90%;" id="text_message" name="text_message">'.$this->items->text.'</textarea>';
					}else{
                    	echo $editor->display( 'text_message', $this->items->text, '90%', '100', '75', '20', false);
					}
                    ?>
                </div>
        	</td>
		</tr>
    	<tr <?php if (@$this->params->get('choix_horaire')){echo 'style="display: none; visibility: hidden;"';}?>>
			<td style="width:100px;" class="key">
            	<label for="text_horaires_prix">
					<?php 
                        if (@$this->custom[11]->nom) {
                            echo $this->custom[11]->nom;
                        }else{
                            echo JText::_( 'GMAPFP_HORAIRES_PRIX' );
                        }
                    ?>
            	</label>
            </td>
        	<td valign="top" class="inputbox">
            	<div id="Edit2" style="overflow:auto;">
					<?php
					if (GMAPFP_ANDROID) {
						echo '<textarea class="inputbox" rows="6" cols="" style="width:90%;" id="text_horaires_prix" name="text_horaires_prix">'.$this->items->horaires_prix.'</textarea>';
					}else{
                    	echo $editor->display( 'text_horaires_prix', $this->items->horaires_prix, '90%', '100', '75', '20', false);
					}
                    ?>
                </div>
        	</td>
		</tr>
		<?php
            if (@$this->extension_fields[5])
            foreach($this->extension_fields[5] as $field) {
                echo $field;
            };
        ?>
	</table>
   <?php             
        if ($jpane_ok) {
			if (@$this->params->get('gmapfp_view_galerie')) {
            	echo JHtml::_('tabs.panel',JText::_('GMAPFP_GALERIE'), 'adminform');
			}
        }else{
            echo '</fieldset>';
			if (@$this->params->get('gmapfp_view_galerie')) {
				echo '<fieldset>';
				echo '<legend>'.JText::_( 'GMAPFP_GALERIE' ).'</legend>';
			}
        }
    ?>            
	<div class="clearboth"></div>
	<?php if (@$this->params->get('gmapfp_view_galerie')) { ?>
        <table class="admintable" width="100%">
            <tr>
                <td width="100%">
                    <?php 
                        if ($this->items->id){
                    ?>            
            <iframe src="index.php?option=com_gmapfp&controller=editlieux&task=galerie&tmpl=component&cid=<?php echo $this->items->id;?>" id="folderframe" name="folderframe" width="100%" height="420px" marginwidth="0" marginheight="0" scrolling="auto" frameborder="0"></iframe>
                    <?php 
                        }else{
                            echo JText::_('GMAPFP_VALIDATE_BEFORE');
                        }
                    ?>            
                </td>
            </tr> 
        </table>
   <?php }; ?>
   <?php             
        if ($jpane_ok) {
			if (@$this->params->get('gmapfp_view_external_link')) {
            	echo JHtml::_('tabs.panel',JText::_('GMAPFP_EXTERNE'), 'adminform');
			}
        }else{
            echo '</fieldset>';
			if (@$this->params->get('gmapfp_view_external_link')) {
				echo '<fieldset>';
				echo '<legend>'.JText::_( 'GMAPFP_EXTERNE' ).'</legend>';
			}
        }
    ?>            
	<div class="clearboth"></div>
	<?php if (@$this->params->get('gmapfp_view_external_link')) { ?>
        <table class="admintable">
            <tr>
                <td class="key">
                    <label for="id_name">
                        <?php echo JText::_( 'GMAPFP_LINK' ); ?>:
                    </label>
                </td>
                <td>
                    <input class="inputbox" type="text" name="text_link" id="id_name" size="60" maxlength="200" value="<?php echo str_replace('"', '&quot;',$this->items->link); ?>" />
                </td>
            </tr>
            <tr>
                <td width="30%" class="key">
                    <label for="icon">
                        <?php echo JText::_('GMAPFP_ICON'); ?>:
                    </label>
                </td>
                <td valign="center"">
                    <?php 
						$chemin			= 'images/gmapfp/icons';
						$directory		= JURI::root().'/'.$chemin.'/';
						$javascript		= 'onchange="changeDisplayIcon('."'".$directory."'".');"';
						echo "<span>/images/gmapfp/icons/ ";
						echo $lists		= JHTML::_('list.images', 'icon', $this->items->icon, $javascript, $chemin, "bmp|gif|jpg|jpeg|png"  );
						echo "</span><span>";
						if ((stristr($this->items->icon,'bmp'))||(stristr($this->items->icon,'gif'))||(stristr($this->items->icon,'jpg'))||(stristr($this->items->icon,'jpeg'))||(stristr($this->items->icon,'png'))) {
                            echo '<img src='.$directory.$this->items->icon.' name="imageicon" style="height:32px;" />';
						} else {
                            echo '<img src="images/gmapfp/blank/blank.png" name="imageicon" style="height:32px;" />';
						}
						echo "</span>";
                   ?>
                </td>
            </tr>
            <tr>
                <td class="key">
                    <label for="icon_label">
                        <?php echo JText::_( 'GMAPFP_ICON_LABEL' ); ?>:
                    </label>
                </td>
                <td>
                    <input class="inputbox" type="text" name="icon_label" id="icon_label" size="60" maxlength="100" value="<?php echo str_replace('"', '&quot;',$this->items->icon_label); ?>" />
                </td>
            </tr>
        </table>
   <?php }; ?>
   <?php             
 	if ($this->params->get('gmapfp_view_publishing') or $this->params->get('choix_langue') or $this->params->get('choix_meta')) {
		$hidden = '';
	} else {
		$hidden = 'style="display: none; visibility: hidden;"';
	}
	if ($jpane_ok and empty($hidden)) {
			echo JHtml::_('tabs.panel',JText::_('GMAPFP_AUTRE'), 'adminform');
	}else{
		echo '</fieldset>';
		echo '<fieldset '.$hidden.'>';
		echo '<legend>'.JText::_( 'GMAPFP_AUTRE' ).'</legend>';
	}
    ?>            
	<div class="clearboth"></div>
	<?php if (@$this->params->get('gmapfp_view_publishing')) { ?>
    <fieldset class="adminform">
	<legend><?php echo JText::_( 'GMAPFP_PUBLISHING' ); ?></legend>
	<table class="admintable" style="width:100%">
        <tr>
            <td class="key">
                <label for="publish_up">
                    <?php echo JText::_( 'JGLOBAL_FIELD_PUBLISH_UP_LABEL' ); ?>:
                </label>
            </td>
            <td>
                <?php echo JHTML::_('calendar', $publish_up, 'publish_up', 'publish_up', '%Y-%m-%d %H:%M:%S', array('class'=>'inputbox', 'size'=>'25',  'maxlength'=>'19')); ?>
            </td>
        </tr>
        <tr>
            <td class="key">
                <label for="publish_down">
                    <?php echo JText::_( 'JGLOBAL_FIELD_PUBLISH_DOWN_LABEL' ); ?>:
                </label>
            </td>
            <td>
                <?php echo JHTML::_('calendar', $publish_down, 'publish_down', 'publish_down', '%Y-%m-%d %H:%M:%S', array('class'=>'inputbox', 'size'=>'25',  'maxlength'=>'19')); ?>
            </td>
        </tr>
        <tr>
            <td valign="top" class="key">
                <label for="access">
                    <?php echo JText::_( 'JFIELD_ACCESS_LABEL' ); ?>:
                </label>
            </td>
            <td>
                <?php echo $this->lists['access']; ?>
            </td>
        </tr>
    </table>
    </fieldset>
    <?php }; ?>
	<?php if ($this->params->get('choix_langue', 1)) { ?>
    <fieldset class="adminform">
	<legend><?php echo JText::_( 'JFIELD_LANGUAGE_LABEL' ); ?></legend>
	<table class="admintable" style="width:100%">
		<tr>
			<td style="width:100px;" class="key">
				<label for="language">
					<?php echo JText::_( 'JFIELD_LANGUAGE_LABEL' ); ?>
				</label>
			</td>
			<td>
                <?php echo $this->lists['langue']; ?>
			</td>
		</tr>
	</table>
	</fieldset>
    <?php }; ?>
	<?php if (@$this->params->get('choix_meta')) { ?>
    <fieldset class="adminform">
	<legend><?php echo JText::_( 'GMAPFP_MOTEUR' ); ?></legend>
	<table class="admintable" style="width:100%">
		<tr>
			<td style="width:100px;" class="key">
				<label for="metadesc">
					<?php echo JText::_( 'JFIELD_META_DESCRIPTION_LABEL' ); ?>
				</label>
			</td>
			<td>
				<textarea class="inputbox" name="metadesc" id="metadesc" cols="50" rows="3"><?php echo $this->items->metadesc; ?></textarea>
			</td>
		</tr>
		<tr>
			<td style="width:100px;" class="key">
				<label for="metakey">
					<?php echo JText::_( 'JFIELD_META_KEYWORDS_LABEL' ); ?>
				</label>
			</td>
			<td>
				<textarea class="inputbox" name="metakey" id="metakey" cols="50" rows="3"><?php echo $this->items->metakey; ?></textarea>
			</td>
		</tr>
	</table>
	</fieldset>
    <?php }; ?>
	<?php if (@$this->extension_fields[6]) { ?>
    <fieldset class="adminform">
	<legend><?php echo JText::_( 'JHIDE' ); ?></legend>
	<table class="admintable" style="width:100%">
   <?php             
		
		foreach($this->extension_fields[6] as $field) {
			echo $field;
		};
	?>
	</table>
	</fieldset>
    <?php }; ?>
   <?php             
        if ($jpane_ok) {
            echo JHtml::_('tabs.end');
        }else{
            echo '</fieldset>';
        }
    ?>            
    
</div>

<input type="hidden" name="option" value="com_gmapfp" />
<input type="hidden" name="id" value="<?php echo $this->items->id; ?>" />
<input type="hidden" name="version" value="<?php echo $this->items->version; ?>" />
<input type="hidden" name="created_by" value="<?php echo $this->items->created_by; ?>" />
<input type="hidden" name="created" value="<?php echo $created; ?>" />
<input type="hidden" name="hits" value="<?php echo $this->items->hits; ?>" />
<input type="hidden" name="metadata" value='<?php echo $this->items->metadata; ?>' />
<input type="hidden" name="task" value="" />
<input type="hidden" name="controller" value="editlieux" />
<?php echo JHTML::_( 'form.token' ); ?>
</form>
<?php if ($this->params->get('gmapfp_licence')) : ?>
    <div class="copyright" align="center">
        <br />
        <?php echo JText::_( 'GMAPFP_COPYRIGHT' );?>
    </div>
<?php endif; ?>
