<?php
	/*
	* GMapFP Component Google Map for Joomla! 2.5.x
	* Version 10.89pro
	* Creation date: Aout 2013
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die();

jimport( 'joomla.application.component.view' );

class GMapFPsViewEditLieux extends JView
{
	function display($tpl = null)
	{
		JHtml::_('behavior.keepalive');
		$mainframe 	= JFactory::getApplication(); 
		$Itemid    	= JRequest::getInt('Itemid'); 
		$option    	= JRequest::getCMD('option'); 
		$layout 	= JRequest::getVar('layout',  0, '', 'string');
		$document	= JFactory::getDocument();
		$user   	= JFactory::getUser();
		$cid    	= JRequest::getVar('cid',  0, '', 'array'); 

		$config_media 	= JComponentHelper::getParams('com_media');
		$params 		= clone($mainframe->getParams('com_gmapfp'));

		//gestion des droits
		require_once JPATH_COMPONENT_ADMINISTRATOR.'/helpers/gmapfp.php';
		$canDo	= GMapFPHelper::getActions();
		// Make sure you are logged in and have the necessary access rights
		if ((!$canDo->get('core.create') and !(int)$cid[0]) || ((int)$cid[0] > 0 and (!$canDo->get('core.edit') && !$canDo->get('core.edit.own')))) {
				$link = JRoute::_('index.php?option=com_users&view=login&Itemid='.$Itemid, false);
				$returnURL = JRoute::_('index.php?',false);
				$fullURL = new JURI($link);
				$fullURL->setVar('return', base64_encode($returnURL));
				$link = $fullURL->toString();
				$mainframe->redirect($link);
			return;
		}

		//dectection si android pour affichage de lditeur par dfaut ou d'une zone textearea
		$user_agent = $_SERVER['HTTP_USER_AGENT'];
		define('GMAPFP_ANDROID', stristr($user_agent,'iPhone') || stristr($user_agent,'iPod') || stristr($user_agent,'android'));

		$lang = JFactory::getLanguage(); 
		$tag_lang=(substr($lang->getTag(),0,2)); 
		
		if (!defined( '_JOS_GMAPFP_APIV3' ))
		{
			/** verifi que la fonction n'est dfini qu'une faois */
			define( '_JOS_GMAPFP_APIV3', 1 );
		
			$http = substr(JUri::base(), 0, strpos(JUri::base(), '://'));
			$document->addCustomTag( '<meta name="viewport" content="initial-scale=1.0, user-scalable=no" />'); 
			$document->addCustomTag( '<script type="text/javascript" src="'.$http.'://maps.googleapis.com/maps/api/js?sensor=true&language='.$tag_lang.'&libraries=places"></script>'); 
		}

        if (!defined( '_JOS_GMAPFP_LIGHTBOX' ))
        {
            /** verifi que la fonction n'est dfini qu'une faois */
            define( '_JOS_GMAPFP_LIGHTBOX', 1 );    
            
            $document->addCustomTag( '<link rel="stylesheet" type="text/css" href="'.JURI::base().'components/com_gmapfp/floatbox/floatbox.css" />');
            $document->addCustomTag( '<script type="text/javascript" src="'.JURI::base().'components/com_gmapfp/floatbox/floatbox.js"></script>');
        }
        
		 /**
		  * Affichage de la barre de menu
		   **/
		$document->addCustomTag('<link rel="stylesheet" href="'.$this->baseurl.'/components/com_gmapfp/views/editlieux/css/icon.css" type="text/css" media="screen" />');
		$document->addCustomTag('<link rel="stylesheet" href="'.$this->baseurl.'/components/com_gmapfp/views/editlieux/css/general.css" type="text/css" media="screen" />');
		$document->addCustomTag('<link rel="stylesheet" href="'.$this->baseurl.'/components/com_gmapfp/views/editlieux/css/medialist-thumbs.css" type="text/css" media="screen" />');
		/*$mainframe->addCustomHeadTag ('<script language="javascript" type="text/javascript" src="includes/js/joomla.javascript.js"></script>');*/

		$items		= $this->get('Data');
		$marqueurs	= $this->get('Marqueurs');
		$custom		= $this->get('Custom');
        $galerie    = $this->get('images');
		$isNew		= ($items->id < 1);
		$lists 		= $this->get('Classements');

		if (!($canDo->get('core.edit') || ($canDo->get('core.edit.own') and ((($user->id == $items->created_by and (int)$cid[0] == $items->id)) or ($items->id == 0)))||($canDo->get('core.create') and !(int)$cid[0]))){
			  JResponse::setHeader('HTTP/1.0 403',true);
              JError::raiseWarning( 403, JText::_('JERROR_ALERTNOAUTHOR').' ('.$user->id.'_'.$items->created_by.'_'.$items->id.')' );
			return;
		}

		//$config =& JComponentHelper::getParams('com_gmapfp');
		//$params->merge($config);

		if ($lists['labels']) {
			$list = $lists['labels'];
			$labels = array();
			$labels[] = JHTML::_('select.option', '', '-- '.JText::_( 'GMAPFP_SELECT_ITEM' ).' --' );
			$cn = 0;
			$required ='';
			if ($params->get("gmapfp_submit_labels")){$required="required";}
			
			foreach($list as $temp) {
				$cn++;
				$labels[] = JHTML::_('select.option', $temp->id, $temp->nom );
			}
			if ($cn>=1) {
				$lists['labels'] = JHTML::_('select.genericlist', $labels, 'labels[]', 'size="5" class="inputbox '.$required.'" multiple', 'value', 'text', explode(',', $items->labels) );
			}
			unset ($list);
		}
		
		if ($lists['classements']) {
			$list = $lists['classements'];
			$classements = array();
			$classements[] = JHTML::_('select.option', '', '-- '.JText::_( 'GMAPFP_SELECT_ITEM' ).' --' );
			$cn = 0;
			$required ='';
			if ($params->get("gmapfp_submit_classements")){$required="required";}
			
			foreach($list as $temp) {
				$cn++;
				$classements[] = JHTML::_('select.option', $temp->id, $temp->nom );
			}
			if ($cn>=1) {
				$lists['classements'] = JHTML::_('select.genericlist', $classements, 'classements[]', 'size="5" class="inputbox '.$required.'" multiple', 'value', 'text', explode(',', $items->classements) );
			}
			unset ($list);
		}
		
		if ($lists['pictos']) {
			$list = $lists['pictos'];
			$pictos = array();
			$pictos[] = JHTML::_('select.option', '', '-- '.JText::_( 'GMAPFP_SELECT_ITEM' ).' --' );
			$cn = 0;
			$required ='';
			if ($params->get("gmapfp_submit_pictos")){$required="required";}
			
			foreach($list as $temp) {
				$cn++;
				$pictos[] = JHTML::_('select.option', $temp->id, $temp->nom );
			}
			if ($cn>=1) {
				$lists['pictos'] = JHTML::_('select.genericlist', $pictos, 'pictos[]', 'size="5" class="inputbox '.$required.'" multiple', 'value', 'text', explode(',', $items->pictos) );
			}
			unset ($list);
		}

		jimport('joomla.language.helper');
		$List_langue['*'] = JText::_('JALL_LANGUAGE');
		$List_langue = array_merge($List_langue, JLanguageHelper::createLanguageList('', constant('JPATH_SITE'), true, true));
		$lists['langue'] = JHtml::_('select.genericlist', $List_langue, 'language', 'size="1" class="inputbox"', 'value', 'text', '*');

		// build list of categories
		if ($layout=='soumission')
		{
			$catids = array();
			$catids[] = JHTML::_('select.option', '', '-- '.JText::_( 'GMAPFP_SELECT_ITEM' ).' --' );
			$cn = 0;
			$listcategories = JHtml::_('category.options', 'com_gmapfp');
			$Les_catid = $params->get('catids');
			foreach($listcategories as $temp) {
				if (empty($Les_catid)){
						$cn++;
						$catids[] = JHTML::_('select.option', $temp->value, $temp->text );
				} else {
					if (in_array($temp->value, $Les_catid, true)) {
						$cn++;
						$catids[] = JHTML::_('select.option', $temp->value, $temp->text );
					}
				}
			}
			if ($cn>=1) {
				$lists['catid'] = JHTML::_('select.genericlist', $catids, 'catid', 'size="1" class="inputbox required" onchange="display_catid_field();"', 'value', 'text', '' );
			}
		}
		
		if ($layout=='edit_form')
		{
			$catids = array();
			$catids[] = JHTML::_('select.option', '0', '-- '.JText::_( 'GMAPFP_SELECT_ITEM' ).' --' );
			$cn = 0;
			$listcategories = JHtml::_('category.options', 'com_gmapfp');
			$Les_catid = $params->get('gmapf_categories_selected');
			foreach($listcategories as $temp) {
				if (empty($Les_catid)){
						$cn++;
						$catids[] = JHTML::_('select.option', $temp->value, $temp->text );
				} else {
					if (in_array($temp->value, $Les_catid, true)) {
						$cn++;
						$catids[] = JHTML::_('select.option', $temp->value, $temp->text );
					}
				}
			}
			if ($cn>=1) {
				$lists['catid'] = JHTML::_('select.genericlist', $catids, 'catid', 'size="1" class="inputbox required" onchange="display_catid_field();"', 'value', 'text', intval( $items->catid ) );
			}

			$langues = array();
			$langues[] = JHTML::_('select.option', '*', JText::_( 'JALL_LANGUAGE' ) );
			$listlangue = JHtml::_('contentlanguage.existing');
			foreach($listlangue as $temp) {
				$cn++;
				$langues[] = JHTML::_('select.option', $temp->value, $temp->text );
			}
			if ($cn>=1) {
				$lists['langue'] = JHTML::_('select.genericlist', $langues, 'language', 'size="1" class="inputbox"', 'value', 'text', $items->language );
			}
		
			$lists['access'] = JHTML::_('access.level', 'access', intval( $items->access ), '', false, false);
		};

		//creation de la liste des images principales
		jimport( 'joomla.filesystem.folder' );
		$imageFiles = JFolder::files( JPATH_SITE.'/images/gmapfp' );
        $directory	= JURI::base().'images/gmapfp/thumbsArt/';
		$javascript	= 'onchange="changeDisplayImage('."'".$directory."'".');"';
		$images 	= array(  JHTML::_('select.option',  '', '- '. JText::_( 'Select Image' ) .' -' ) );
		$extensions = "bmp|gif|jpg|jpeg|png";
		$userid		= $user->id;
		if ($params->get("gmapfp_view_all_img", 1)) {
			$image_existe = true;
			foreach ( $imageFiles as $file ) {
			   if ( preg_match( "#$extensions#i", $file ) ) {
			   		$name = strstr($file, '__');
					if ($name)
						$images[] = JHTML::_('select.option',  $file, substr($name, 2 ));
					else
						$images[] = JHTML::_('select.option',  $file);
				}
			}
		} else {
			$image_existe = false;
			foreach ( $imageFiles as $file ) {
			   if ( (preg_match( "#$extensions#i", $file ))AND((substr($file, 0, strlen($userid)+2) == $userid.'__' )OR($file=='blank.png')) ) {
					if ($file=='blank.png') {
						$images[] = JHTML::_('select.option',  $file);
					} else {
						$images[] = JHTML::_('select.option',  $file, substr($file, strlen($userid)+2 ));
						if ($file == $items->img) $image_existe = true;
					}
				}
			}
		};
		if (!$image_existe) {
			foreach ( $imageFiles as $file ) {
				if ($file == $items->img) {
			   		$name = strstr($file, '__');
					if ($name)
						$images[] = JHTML::_('select.option',  $file, substr($name, 2 ));
					else
						$images[] = JHTML::_('select.option',  $file);
					break;
				}
			}
		}
		$required ='';
		if ($params->get('gmapfp_submit_picture')) $required = "required";
		$lists['images'] = JHTML::_('select.genericlist',  $images, 'img', 'class="inputbox '.$required.'" size="1" '. $javascript, 'value', 'text', $items->img );
		//**

		$model = $this->getModel();
		$extension_fields=$model->getChamps($items->id, $params->get('choix_view_champs_selected'));
		$this->assignRef('extension_fields',		$extension_fields);

		$this->assignRef('canDo', $canDo);
		$this->assignRef('config_media',$config_media);
		$this->assignRef('custom',		$custom);
		$this->assignRef('items',		$items);
		$this->assignRef('marqueurs',	$marqueurs);
		$this->assignRef('params',		$params);
		$this->assignRef('lists',		$lists);
		$this->assignRef('galerie',		$galerie);

		if ($this->params->get('menu-meta_description'))
			$document->setDescription($this->params->get('menu-meta_description'));
		if ($this->params->get('menu-meta_keywords'))
			$document->setMetadata('keywords', $this->params->get('menu-meta_keywords'));
		if ($this->params->get('robots'))
			$document->setMetadata('robots', $this->params->get('robots'));

		parent::display($tpl);
	}

    function setImage($index = 0)
    {
        if (isset($this->galerie[$index])) {
            $this->_tmp_img = &$this->galerie[$index];
        } else {
            $this->_tmp_img = new JObject;
        }
    }

}
