<?php
	/*
	* GMapFP Component Google Map for Joomla! 1.7.x
	* Version 10.73pro
	* Creation date: Janvier 2013
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die('Restricted access'); 

if ($this->params->get('show_page_heading', 1)) : ?>
<div class="componentheading<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
<h1>
	<?php echo $this->escape($this->params->get('page_title')); ?>
</h1>
</div>
<?php endif;

if (!$this->row) : ?>
<div id="form_error" class="error">
	<?php echo JText::_( 'GMAPFP_LIEUX_INCOMPATIBLE' ); ?>
</div>
<?php 
	return false;
endif;

echo '<div class="gmapfp" id="gmapfp_article">';
//Verifier si un fichier article_template existe
$template = '';
if (($this->params->get('gmapfp_template_article')) and (is_file(JPATH_SITE.'/components/com_gmapfp/views/gmapfpcontact/tmpl/'.$this->params->get('gmapfp_template_article').'_article.php'))) {
	$template = $this->params->get('gmapfp_template_article');
	$this->_layout=$template;
	echo JView::Display('article');
	$this->_layout='default';
} else {

	$height_msg = '500px';
	$width_msg = '400px';
	
	$config =& JComponentHelper::getParams('com_gmapfp');
	$document   =& JFactory::getDocument();
	$pane = JPane::getInstance();
	
	$lieu = $this->row;
	$this->lieu =& $this->getItem($this->params);
	$this->champs =& $this->getChamps(0);

    if ($lieu->metadesc) {
        $document->setDescription( $lieu->metadesc );
    }
    if ($lieu->metakey) {
        $document->setMetadata('keywords', $lieu->metakey);
    }
    $document->setTitle(@$lieu->ville.' : '.$lieu->nom.' ('.$lieu->title.')');
	$mdata = new JParameter($this->lieu->metadata);
	$mdata = $mdata->toArray();
	foreach ($mdata as $k => $v)
	{
		if ($v) {
			$document->setMetadata($k, $v);
		}
	}
	echo '<div id="enregistrement">';
		//affichage du dtail d'un lieu
		$template = '';
		if (($this->params->get('gmapfp_template_article')) and (is_file(JPATH_SITE.'/components/com_gmapfp/views/gmapfp/tmpl/tmpl_'.$this->params->get('gmapfp_template_article').'_article.php'))) {
			$template = '_'.$this->params->get('gmapfp_template_article');
		}			
		require(JPATH_SITE.'/components/com_gmapfp/views/gmapfp/tmpl/tmpl'.$template.'_article.php');
	echo '</div>';
	
	if ($this->lieu->email) {
		echo '<div class="gmapfp">';
			echo $this->loadTemplate('form');
		echo '</div>';
	} else {
		JError::raiseWarning(100, JText::_('GMAPFP_EMAIL_RECEPTEUR'));
		echo '<div id="form_error">';
			echo $this->error;
		echo '</div>';
	}
	
	echo $pane->startPane( 'gmapfp_pane' );
	//carte
	echo $pane->startPanel(JText::_( 'GMAPFP_CARTE' ),'carte');
		echo '<div id="mapmap">';
		echo $this->map;
		echo '</div>';
	echo $pane->endPanel();
	//galerie
	$path = COM_GMAPFP_IMAGES_FOLDER."/GA".$lieu->id;
	$path2 = COM_GMAPFP_IMAGES_HTTP."/GA".$lieu->id.'/';
	$path_thumbs = COM_GMAPFP_IMAGES_HTTP."/GA".$lieu->id."/thumbs/";

		require(JPATH_SITE.DS.'components/com_gmapfp/views/gmapfp/tmpl/item_galerie_v'.$this->lieu->params->get('gmapfp_num_galerie', 2).'.php');
	//horaires et prix
	if (($this->lieu->horaires_prix!=null)&&($this->lieu->params->get('gmapfp_afficher_horaires_prix')==1)) {
		if ($this->custom[11]->nom) {
			$h_p = $this->custom[11]->nom;
		}else{
			$h_p = JText::_('GMAPFP_HORAIRES_PRIX');
		}
		echo $pane->startPanel(JText::_( $h_p ),'horaire');
			echo "<div style='width:100%; height:".$config->get('gmapfp_height')."px;' >";
				echo $this->lieu->horaires_prix;
			echo "</div>";
		echo $pane->endPanel();
	}
	//champ custom
	foreach ($this->champs as $champ) {
		if ($champ->position == 5 and !empty($champ->valeur)){
			echo $pane->startPanel($champ->label, $champ->alias);
				echo "<div class='".$champ->alias."' style='width:100%; min-height:".$config->get('gmapfp_height')."px; max-height:100%;' >";
				if (($champ->type == 3) or($champ->type == 6)){
					echo str_replace("\r\n", JText::_('GMAPFP_SEPARATEUR_CHAMP_PANE'), $champ->valeur);
				} else {
					echo $champ->valeur;
				}
				echo "</div>";
			echo $pane->endPanel();
		}
	}
	
	//insertion du lien externe
	$link4=substr($this->lieu->link,0,4);
	$link5=substr($this->lieu->link,0,5);
	$link9=substr($this->lieu->link,0,9);
	$link10=substr($this->lieu->link,0,10);
	$linkok=0;
	if ((!empty($this->lieu->icon))||(!$this->lieu->icon='')) {
		if ($this->lieu->article_slug>=1) {
			require_once JPATH_SITE . '/components/com_content/helpers/route.php';
			$linkmap=JRoute::_(ContentHelperRoute::getArticleRoute($this->lieu->article_slug, $this->lieu->article_id.':'.$this->lieu->article_alias, 0));
			$linkmap .= '?&tmpl=component';
			$linkok=1;
		};
		if (($link5=="http:")||($link4=="www.")||($link9=="index.php")) {
			$linkmap=$this->lieu->link;
			if ($link4=="www.") {$linkmap="http://".$linkmap;};
			if ($link10=="index.php?") {$linkmap=JURI::base().$linkmap."&tmpl=component";};
			$linkok=1;
		};
	};
	if ($linkok&&($this->lieu->icon<>'')) {
		if (!$this->lieu->icon_label) {
			$label = $this->lieu->icon;
		}else{
			$label = $this->lieu->icon_label;
		}
		echo $pane->startPanel($label,'lien_ext');
			echo "<iframe width='100%' height='".$config->get('gmapfp_height')."px' src='".$linkmap."'><a href='".$linkmap."'>SELFHTML</a></iframe>";
		echo $pane->endPanel();
	}

    //insertion de JComments
      $jcomments =  JPATH_SITE.'/components/com_jcomments/jcomments.php';
      if ((file_exists($jcomments))and($this->params->get('gmapfp_jcomments'))) {
        require_once($jcomments);
		echo $pane->startPanel(JText::_( 'GMAPFP_JCOMMENT' ),'JComments');
			echo '<div style="clear: both;">';
			echo JComments::showComments($lieu->id, 'com_gmapfp', $lieu->nom);
			echo '</div>';
		echo $pane->endPanel();
      }

	echo $pane->endPane();
};?>
</div>
